'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _style3 = require('yqcloud-ui/lib/card/style');

var _card = require('yqcloud-ui/lib/card');

var _card2 = _interopRequireDefault(_card);

var _style4 = require('yqcloud-ui/lib/spin/style');

var _spin = require('yqcloud-ui/lib/spin');

var _spin2 = _interopRequireDefault(_spin);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./ChartCard.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

/**
 * 卡片
 */
var ChartCard = function ChartCard(_ref) {
  var _ref$loading = _ref.loading,
      loading = _ref$loading === undefined ? false : _ref$loading,
      contentHeight = _ref.contentHeight,
      title = _ref.title,
      action = _ref.action,
      total = _ref.total,
      footer = _ref.footer,
      children = _ref.children,
      style = _ref.style,
      rest = (0, _objectWithoutProperties3['default'])(_ref, ['loading', 'contentHeight', 'title', 'action', 'total', 'footer', 'children', 'style']);

  var content = _react2['default'].createElement(
    'div',
    { className: 'chartCard' },
    _react2['default'].createElement(
      'div',
      { className: 'content', style: { height: contentHeight || 'auto' } },
      children
    ),
    footer && _react2['default'].createElement(
      'div',
      { className: 'footer' },
      footer
    )
  );

  return _react2['default'].createElement(
    _card2['default'],
    (0, _extends3['default'])({
      className: 'wb-card',
      title: _react2['default'].createElement(
        'div',
        { className: 'card-title' },
        title,
        _react2['default'].createElement(
          'span',
          { className: 'card-total' },
          total ? '(' + total + ')' : ''
        )
      ),
      bodyStyle: (0, _extends3['default'])({ padding: '10px 20px 20px 20px', height: '100%' }, style)
    }, rest),
    _react2['default'].createElement(
      _spin2['default'],
      { spinning: loading },
      content
    )
  );
};

exports['default'] = ChartCard;