'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports['default'] = undefined;

var _style3 = require('yqcloud-ui/lib/switch/style');

var _switch = require('yqcloud-ui/lib/switch');

var _switch2 = _interopRequireDefault(_switch);

var _style4 = require('yqcloud-ui/lib/icon/style');

var _icon = require('yqcloud-ui/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _mobxReact = require('mobx-react');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _addEventListener = require('yqcloud-ui/lib/rc-components/util/Dom/addEventListener');

var _addEventListener2 = _interopRequireDefault(_addEventListener);

var _animate = require('yqcloud-ui/lib/rc-components/animate');

var _animate2 = _interopRequireDefault(_animate);

var _CardContent = require('./CardContent');

var _CardContent2 = _interopRequireDefault(_CardContent);

var _warning = require('../../../common/warning');

var _warning2 = _interopRequireDefault(_warning);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var dragItem = null;
var timeoutId = 0;

var Card = (_dec = (0, _mobxReact.inject)('DashboardStore'), _dec(_class = (0, _mobxReact.observer)(_class = function (_Component) {
  (0, _inherits3['default'])(Card, _Component);

  function Card() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3['default'])(this, Card);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3['default'])(this, (_ref = Card.__proto__ || Object.getPrototypeOf(Card)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      dropSide: null
    }, _this.relativeX = 0, _this.relativeY = 0, _this.height = null, _this.onMouseMoveListener = null, _this.onMouseUpListener = null, _this.handleVisibleChange = function (checked) {
      var _this$props = _this.props,
          data = _this$props.data,
          DashboardStore = _this$props.DashboardStore;

      DashboardStore.changeVisible(data, checked);
    }, _this.handleAnimateEnd = function (key, flag) {
      if (dragItem) {
        if (!flag) {
          var _dragItem$parentNode$ = dragItem.parentNode.getBoundingClientRect(),
              top = _dragItem$parentNode$.top;

          _this.relativeY += top;
        } else {
          dragItem.style.zIndex = null;
          dragItem = null;
        }
      }
    }, _this.handleDragStart = function (_ref2) {
      var currentTarget = _ref2.currentTarget,
          clientX = _ref2.clientX,
          clientY = _ref2.clientY;

      timeoutId = setTimeout(function () {
        timeoutId = 0;
        var _this$props2 = _this.props,
            onDragStart = _this$props2.onDragStart,
            data = _this$props2.data;

        if (typeof onDragStart === 'function') {
          onDragStart(data);
        }
        dragItem = currentTarget.parentNode;

        var _dragItem$parentNode$2 = dragItem.parentNode.getBoundingClientRect(),
            top = _dragItem$parentNode$2.top;

        _this.relativeX = clientX;
        _this.relativeY = clientY - top;
        _this.onMouseMoveListener = (0, _addEventListener2['default'])(document, 'mousemove', _this.handleDragMove);
      }, 250);
      _this.onMouseUpListener = (0, _addEventListener2['default'])(document, 'mouseup', _this.handleDragEnd);
    }, _this.handleDragMove = function (_ref3) {
      var clientX = _ref3.clientX,
          clientY = _ref3.clientY;

      (0, _extends3['default'])(dragItem.style, {
        left: clientX - _this.relativeX + 'px',
        top: clientY - _this.relativeY + 'px'
      });
    }, _this.handleDragLeave = function () {
      if (timeoutId) {
        clearTimeout(timeoutId);
        _this.unSubscriptListener();
      }
    }, _this.handleDragEnd = function () {
      if (timeoutId) {
        clearTimeout(timeoutId);
      }
      _this.unSubscriptListener();
      if (dragItem) {
        (0, _extends3['default'])(dragItem.style, {
          left: 0,
          top: 0,
          zIndex: 1
        });
        var onDragEnd = _this.props.onDragEnd;

        if (typeof onDragEnd === 'function') {
          onDragEnd();
        }
      }
    }, _this.handleDropEnter = function (_ref4) {
      var currentTarget = _ref4.currentTarget,
          clientY = _ref4.clientY;

      var _currentTarget$getBou = currentTarget.getBoundingClientRect(),
          top = _currentTarget$getBou.top,
          height = _currentTarget$getBou.height;

      var currentDropSide = _this.state.dropSide;

      var dropSide = clientY - top > height / 2 ? 'bottom' : 'top';
      if (dropSide !== currentDropSide) {
        _this.setState({
          dropSide: dropSide
        });
      }
    }, _this.handleDropLeave = function () {
      _this.setState({
        dropSide: null
      });
    }, _this.handleDrop = function (e) {
      var _this$props3 = _this.props,
          onDrop = _this$props3.onDrop,
          data = _this$props3.data;
      var dropSide = _this.state.dropSide;

      if (dropSide) {
        if (typeof onDrop === 'function') {
          onDrop(e, data, dropSide);
        }
        _this.setState({
          dropSide: null
        });
      }
    }, _temp), (0, _possibleConstructorReturn3['default'])(_this, _ret);
  }

  (0, _createClass3['default'])(Card, [{
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      this.unSubscriptListener();
    }
  }, {
    key: 'unSubscriptListener',
    value: function unSubscriptListener() {
      if (this.onMouseMoveListener) {
        this.onMouseMoveListener.remove();
        this.onMouseMoveListener = null;
      }
      if (this.onMouseUpListener) {
        this.onMouseUpListener.remove();
        this.onMouseUpListener = null;
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _classNames;

      var _props = this.props,
          prefixCls = _props.prefixCls,
          component = _props.component,
          data = _props.data,
          DashboardStore = _props.DashboardStore,
          dragData = _props.dragData;
      var dropSide = this.state.dropSide;
      var editing = DashboardStore.editing;
      var dashboardNamespace = data.dashboardNamespace,
          dashboardCode = data.dashboardCode,
          dashboardTitle = data.dashboardTitle,
          dashboardIcon = data.dashboardIcon,
          visible = data.visible;

      var dragging = dragData === data;
      var wrapperClassString = (0, _classnames2['default'])(prefixCls + '-card-wrapper', (_classNames = {}, (0, _defineProperty3['default'])(_classNames, prefixCls + '-card-dragging', dragging), (0, _defineProperty3['default'])(_classNames, prefixCls + '-card-drop-' + dropSide, !!dropSide), (0, _defineProperty3['default'])(_classNames, prefixCls + '-card-disabled', !visible), _classNames));
      var wrapperProps = {
        className: wrapperClassString,
        // fix react 16.4.1 bug
        onMouseUp: function onMouseUp() {}
      };
      if (dragData && !dragging) {
        (0, _extends3['default'])(wrapperProps, {
          onMouseMove: this.handleDropEnter,
          onMouseLeave: this.handleDropLeave,
          onMouseUp: this.handleDrop
        });
      }

      (0, _warning2['default'])(!component, 'Dashboard Component<' + dashboardNamespace + '/' + dashboardCode + '> is missing.');

      return _react2['default'].createElement(
        'section',
        wrapperProps,
        _react2['default'].createElement(
          'div',
          { className: prefixCls + '-card-placeholder' },
          _react2['default'].createElement(
            'div',
            { className: prefixCls + '-card' },
            _react2['default'].createElement(
              'header',
              {
                className: prefixCls + '-card-title',
                onMouseDown: this.handleDragStart,
                onMouseLeave: this.handleDragLeave
              },
              _react2['default'].createElement(
                'h1',
                null,
                _react2['default'].createElement(_icon2['default'], { type: dashboardIcon }),
                _react2['default'].createElement(
                  'span',
                  null,
                  dashboardTitle
                ),
                editing && _react2['default'].createElement(_switch2['default'], { className: prefixCls + '-card-switch', checked: visible, onChange: this.handleVisibleChange })
              )
            ),
            _react2['default'].createElement(
              _animate2['default'],
              {
                component: '',
                transitionName: 'slide-up',
                showProp: 'visible',
                onEnd: this.handleAnimateEnd
              },
              _react2['default'].createElement(
                _CardContent2['default'],
                { visible: !dragData, key: 'content', prefixCls: prefixCls },
                component && (0, _react.createElement)(component)
              )
            )
          )
        )
      );
    }
  }]);
  return Card;
}(_react.Component)) || _class) || _class);
exports['default'] = Card;