'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports['default'] = exports.isJSON = undefined;

var _style15 = require('yqcloud-ui/lib/badge/style');

var _badge = require('yqcloud-ui/lib/badge');

var _badge2 = _interopRequireDefault(_badge);

var _style16 = require('yqcloud-ui/lib/row/style');

var _row = require('yqcloud-ui/lib/row');

var _row2 = _interopRequireDefault(_row);

var _style17 = require('yqcloud-ui/lib/col/style');

var _col = require('yqcloud-ui/lib/col');

var _col2 = _interopRequireDefault(_col);

var _style18 = require('yqcloud-ui/lib/popconfirm/style');

var _popconfirm = require('yqcloud-ui/lib/popconfirm');

var _popconfirm2 = _interopRequireDefault(_popconfirm);

var _style19 = require('yqcloud-ui/lib/tooltip/style');

var _tooltip = require('yqcloud-ui/lib/tooltip');

var _tooltip2 = _interopRequireDefault(_tooltip);

var _style20 = require('yqcloud-ui/lib/list/style');

var _list = require('yqcloud-ui/lib/list');

var _list2 = _interopRequireDefault(_list);

var _style21 = require('yqcloud-ui/lib/button/style');

var _button = require('yqcloud-ui/lib/button');

var _button2 = _interopRequireDefault(_button);

var _style22 = require('yqcloud-ui/lib/spin/style');

var _spin = require('yqcloud-ui/lib/spin');

var _spin2 = _interopRequireDefault(_spin);

var _style23 = require('yqcloud-ui/lib/icon/style');

var _icon = require('yqcloud-ui/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _style24 = require('yqcloud-ui/lib/avatar/style');

var _avatar = require('yqcloud-ui/lib/avatar');

var _avatar2 = _interopRequireDefault(_avatar);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _style25 = require('yqcloud-ui/lib/input/style');

var _input = require('yqcloud-ui/lib/input');

var _input2 = _interopRequireDefault(_input);

var _style26 = require('yqcloud-ui/lib/select/style');

var _select = require('yqcloud-ui/lib/select');

var _select2 = _interopRequireDefault(_select);

var _style27 = require('yqcloud-ui/lib/card/style');

var _card = require('yqcloud-ui/lib/card');

var _card2 = _interopRequireDefault(_card);

var _style28 = require('yqcloud-ui/lib/tabs/style');

var _tabs = require('yqcloud-ui/lib/tabs');

var _tabs2 = _interopRequireDefault(_tabs);

var _dec, _class;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _mobxReact = require('mobx-react');

var _quillDeltaToHtml = require('quill-delta-to-html');

var _reactRouterDom = require('react-router-dom');

var _SanitizeHtml = require('../../../components/SanitizeHtml');

var _WSHandler = require('../ws/WSHandler');

var _WSHandler2 = _interopRequireDefault(_WSHandler);

var _accessToken = require('../../common/accessToken');

var _Ellipsis = require('../../../components/Ellipsis');

var _Ellipsis2 = _interopRequireDefault(_Ellipsis);

var _HeaderStore = require('../../stores/HeaderStore');

var _HeaderStore2 = _interopRequireDefault(_HeaderStore);

var _itsmIcon = require('./style/icons/itsmIcon.svg');

var _itsmIcon2 = _interopRequireDefault(_itsmIcon);

var _allRead_foucs = require('./style/icons/allRead_foucs.svg');

var _allRead_foucs2 = _interopRequireDefault(_allRead_foucs);

var _allRead = require('./style/icons/allRead.svg');

var _allRead2 = _interopRequireDefault(_allRead);

var _constants = require('../../common/constants');

var _throttleTime = require('rxjs/operator/throttleTime');

var _HeaderStore3 = require('../../../../lib/containers/stores/HeaderStore');

var _HeaderStore4 = _interopRequireDefault(_HeaderStore3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var prefixCls = 'header-inbox';
var popoverPrefixCls = prefixCls + '-popover';
var intlPrefix = 'organization.header';
/* eslint-disable-next-line */
var reg = /\n|&nbsp;|&lt|&gt|<[^a\/][^>]*>|<\/[^a][^>]*>/g;
var TabPane = _tabs2['default'].TabPane;
var Meta = _card2['default'].Meta;
var Option = _select2['default'].Option;
var Search = _input2['default'].Search;
var isJSON = exports.isJSON = function isJSON(str) {
  if (typeof str === 'string') {
    try {
      var obj = JSON.parse(str);
      if ((typeof obj === 'undefined' ? 'undefined' : (0, _typeof3['default'])(obj)) === 'object' && obj) {
        return true;
      }
      return false;
    } catch (e) {
      console.log('error：' + str + '!!!' + e);
      return false;
    }
  }
  console.log('It is not a string!', str);
  return false;
};

var Inbox = (_dec = (0, _mobxReact.inject)('HeaderStore', 'AppState'), _dec(_class = (0, _mobxReact.observer)(_class = function (_Component) {
  (0, _inherits3['default'])(Inbox, _Component);

  function Inbox(props) {
    (0, _classCallCheck3['default'])(this, Inbox);

    var _this = (0, _possibleConstructorReturn3['default'])(this, (Inbox.__proto__ || Object.getPrototypeOf(Inbox)).call(this, props));

    _this.componentWillUnmount = function () {
      _this.setState(function (state, callback) {
        return;
      });
    };

    _this.componentWillMount = function () {
      var HeaderStore = _this.props.HeaderStore;
      var _this$state = _this.state,
          countParameter = _this$state.countParameter,
          totalUnRead = _this$state.totalUnRead;

      HeaderStore.getNoticeNum(_this.organizationId, (0, _extends3['default'])({}, countParameter, { isRead: 0 })).then(function (res) {
        _this.setState({
          totalUnRead: res.totalHits
        });
      });
      if (_this.fuwumenhu === 'Y') {
        _this.handleMessage();
      }
      var i = 1;
    };

    _this.selectgenderList = function (values) {
      var _this$props = _this.props,
          AppState = _this$props.AppState,
          HeaderStore = _this$props.HeaderStore;

      var inviteStatusList = HeaderStore.getStatusList;
      var tempEmp = inviteStatusList.filter(function (v) {
        return v.lookupValue === values;
      });
      if (tempEmp.length > 0) {
        return tempEmp[0].lookupMeaning;
      } else {
        return values;
      }
    };

    _this.handleButtonClick = function () {
      if (!_this.state.visible) {
        _this.setState({
          visible: true
        });
        _this.handleMessage();
        document.body.parentNode.style.overflow = 'hidden'; // 禁止横竖向滚动条
      } else {
        _this.setState({
          visible: false
        });
        document.body.parentNode.style.overflow = 'auto'; // 恢复横竖向滚动条
      }
    };

    _this.handleCancel = function (e) {
      _this.setState({
        visible: false
        // loading: true,
      });
      document.body.parentNode.style.overflow = 'auto'; // 恢复横竖向滚动条
    };

    _this.getNewAvatar = function (realName, loginName) {
      if (realName === '0') {
        realName = 'U';
      }
      if ((realName || loginName).charAt(0).charCodeAt(0) > 96 && (realName || loginName).charAt(0).charCodeAt(0) < 123) {
        return _react2['default'].createElement(
          'span',
          { style: {
              fontSize: '18px',
              fontWeight: 'bold'
            }
          },
          (realName || loginName).charAt(0)
        );
      } else if ((realName || loginName).charAt(0).charCodeAt(0) > 64 && (realName || loginName).charAt(0).charCodeAt(0) < 91) {
        return _react2['default'].createElement(
          'span',
          { style: {
              fontSize: '18px',
              fontWeight: 'bold'
            }
          },
          (realName || loginName).charAt(0)
        );
      } else if ((realName || loginName).charAt(0).charCodeAt(0) > 47 && (realName || loginName).charAt(0).charCodeAt(0) < 58) {
        return _react2['default'].createElement(
          'span',
          { style: {
              fontSize: '18px',
              fontWeight: 'bold'
            }
          },
          (realName || loginName).charAt(0)
        );
      } else {
        return _react2['default'].createElement(
          'span',
          { style: {
              fontSize: '18px',
              fontWeight: 'bold'
            }
          },
          (realName || loginName).charAt(0)
        );
      }
    };

    _this.changeMessageData = function (array) {
      var newArray = [];
      array.forEach(function (item) {
        newArray.push(item.content);
      });
      return newArray;
    };

    _this.handleMessage = function () {
      var HeaderStore = _this.props.HeaderStore;
      var _this$state2 = _this.state,
          parameterData = _this$state2.parameterData,
          inboxData = _this$state2.inboxData;

      _this.setState({
        defaultUnRead: 'allNotice'
      });
      HeaderStore.getNotice(_this.organizationId, parameterData).then(function (data) {
        var array = _this.changeMessageData(data);
        _this.setState({
          loading: false,
          inboxData: array,
          inboxLoaded: true,
          selectItem: array[0],
          checkNotice: true
        }, function () {
          if (_this.state.selectItem && _this.state.selectItem[0] && _this.state.selectItem[0].sourceSystem === 'ANNOUNCEMENT') {
            console.log('ANNOUNCEMENT - -');
            _this.announcementPreview(_this.state.selectItem[0].noticeNumber);
          }
        });
      });
      _this.getNoticeCount();
    };

    _this.getNoticeCount = function () {
      var HeaderStore = _this.props.HeaderStore;
      var countParameter = _this.state.countParameter;

      _this.setState({
        countParameter: countParameter
      });
      HeaderStore.getNoticeNum(_this.organizationId, countParameter).then(function (res) {
        _this.setState({
          allCount: res.totalHits
          // unReadCount: res.totalHits,
        });
      });
      HeaderStore.getNoticeNum(_this.organizationId, (0, _extends3['default'])({}, countParameter, { isRead: 0 })).then(function (res) {
        _this.setState({
          // allCount: res.totalHits,
          unReadCount: res.totalHits
        });
      });
    };

    _this.notice = function () {
      var HeaderStore = _this.props.HeaderStore;
      var _this$state3 = _this.state,
          parameterData = _this$state3.parameterData,
          selectItem = _this$state3.selectItem;

      _this.setState({
        loading: true,
        parameterData: parameterData
      });
      HeaderStore.getNotice(_this.organizationId, parameterData).then(function (data) {
        var array = _this.changeMessageData(data);
        _this.setState({
          loading: false,
          inboxData: array,
          selectItem: array[0],
          checkNotice: true
        }, function () {
          if (_this.state.selectItem && _this.state.selectItem[0] && _this.state.selectItem[0].sourceSystem === 'ANNOUNCEMENT') {
            console.log('ANNOUNCEMENT - -');
            _this.announcementPreview(_this.state.selectItem[0].noticeNumber);
          }
        });
      });
    };

    _this.getAllNotice = function () {
      var parameterData = _this.state.parameterData;

      parameterData.page = 1;
      delete parameterData.isRead;
      _this.setState({
        selectItem: '',
        checkNotice: false,
        defaultUnRead: 'allNotice',
        showNothing: false
      });
      _this.notice();
    };

    _this.getUnreadMsg = function () {
      var HeaderStore = _this.props.HeaderStore;
      var parameterData = _this.state.parameterData;

      parameterData.page = 1;
      parameterData.isRead = 0;
      _this.setState({
        defaultUnRead: 'unRead',
        selectItem: '',
        checkNotice: false,
        showNothing: false
      });
      _this.notice();
    };

    _this.getTypeNotice = function (e) {
      var _this$state4 = _this.state,
          parameterData = _this$state4.parameterData,
          countParameter = _this$state4.countParameter;

      if (e !== 'all') {
        parameterData.page = 1;
        parameterData.sourceSystem = e; // 查询的参数
        countParameter.sourceSystem = e; // 数量的参数
        _this.setState({
          filterType: false,
          selectItem: '',
          checkNotice: false,
          defaultType: e, // 使得Select默认类型为选中的
          showNothing: false
        });
      } else {
        parameterData.page = 1;
        delete parameterData.sourceSystem;
        delete countParameter.sourceSystem;
        _this.setState({
          filterType: true,
          defaultType: 'all',
          selectItem: '',
          checkNotice: false,
          defaultUnRead: 'allNotice',
          showNothing: false
        });
      }
      _this.getAllNotice();
      _this.getNoticeCount(); // 更新数量
      document.getElementsByClassName('allN-list')[0].scrollTop = 0;
    };

    _this.deleteType = function () {
      var _this$state5 = _this.state,
          parameterData = _this$state5.parameterData,
          countParameter = _this$state5.countParameter;

      parameterData.page = 1;
      delete parameterData.sourceSystem;
      delete countParameter.sourceSystem;
      _this.setState({
        filterType: true,
        defaultType: 'all',
        selectItem: '',
        checkNotice: false,
        defaultUnRead: 'allNotice',
        showNothing: false
      });
      _this.getAllNotice();
      _this.getNoticeCount(); // 更新数量
    };

    _this.singleIsRead = function (item) {
      var HeaderStore = _this.props.HeaderStore;
      var _this$state6 = _this.state,
          inboxData = _this$state6.inboxData,
          selectItem = _this$state6.selectItem;
      var _this$state7 = _this.state,
          unReadCount = _this$state7.unReadCount,
          totalUnRead = _this$state7.totalUnRead;

      var ids = [];

      ids.push(item.noticeId);
      _this.setState({ loading: true });
      HeaderStore.readMsg(_this.organizationId, ids).then(function (data) {
        if (data.success) {
          if (data.result.data >= 1) {
            /* 数量减少 */
            totalUnRead -= ids.length; // 铃铛的未读数量-1
            unReadCount -= ids.length; // 未读数量-1
            /* isRead = 1 */
            selectItem.forEach(function (k) {
              return k.noticeId === ids[0] ? k.isRead = 1 : '';
            });
            inboxData.forEach(function (i, index) {
              if (i[0].noticeId === selectItem[0].noticeId) {
                i = selectItem;
              }
            });
            /* 状态需要变化的 */
            _this.setState({
              loading: false,
              selectItem: selectItem,
              inboxData: inboxData,
              totalUnRead: totalUnRead, // 铃铛的未读数量-1
              unReadCount: unReadCount // 未读数量-1
            });
          }
        } else {
          _this.setState({ loading: false });
        }
      })['catch'](function (error) {
        Choerodon.handleResponseError(error);
      });
    };

    _this.partIsRead = function (item) {
      var HeaderStore = _this.props.HeaderStore;
      var _this$state8 = _this.state,
          inboxData = _this$state8.inboxData,
          selectItem = _this$state8.selectItem;
      var _this$state9 = _this.state,
          unReadCount = _this$state9.unReadCount,
          totalUnRead = _this$state9.totalUnRead;

      var ids = [];

      item.forEach(function (k) {
        if (k.isRead === 0) {
          ids.push(k.noticeId);
        }
      });
      _this.setState({ loading: true });
      HeaderStore.readMsg(_this.organizationId, ids).then(function (data) {
        if (data.success) {
          // if (data.result.data >= 1) {
          /* 数量减少 */
          totalUnRead -= ids.length; // 铃铛的未读数量-ids
          unReadCount -= ids.length; // 未读数量-ids
          /* isRead = 1 */
          selectItem.forEach(function (k) {
            return k.isRead = 1;
          });
          inboxData.forEach(function (i, index) {
            if (i[0].noticeId === selectItem[0].noticeId) {
              i = selectItem;
            }
          });
          /* 状态需要变化的 */
          _this.setState({
            loading: false,
            selectItem: selectItem,
            inboxData: inboxData,
            totalUnRead: totalUnRead, // 铃铛的未读数量
            unReadCount: unReadCount // 未读数量
          });
          // }
        } else {
          _this.setState({ loading: false });
        }
      })['catch'](function (error) {
        Choerodon.handleResponseError(error);
      });
    };

    _this.allIsRead = function (item) {
      var HeaderStore = _this.props.HeaderStore;
      var _this$state10 = _this.state,
          parameterData = _this$state10.parameterData,
          inboxData = _this$state10.inboxData,
          selectItem = _this$state10.selectItem;
      var totalUnRead = _this.state.totalUnRead;

      var ids = [];
      _this.setState({ loading: true });
      if (parameterData.sourceSystem) {
        inboxData.forEach(function (arr) {
          return arr.forEach(function (k) {
            if (k.isRead === 0) {
              ids.push(k.noticeId);
            }
            /* isRead = 1 */
            k.isRead = 1;
          });
        });
        HeaderStore.readMsg(_this.organizationId, ids).then(function (data) {
          if (data.success) {
            /* 数量减少 */
            totalUnRead -= ids.length; // 铃铛的未读数量-ids
            /* 状态需要变化的 */
            _this.setState({
              loading: false,
              selectItem: selectItem,
              inboxData: inboxData,
              totalUnRead: totalUnRead, // 铃铛的未读数量
              unReadCount: 0 // 未读数量
            });
          }
        })['catch'](function (error) {
          Choerodon.handleResponseError(error);
        });
      } else {
        HeaderStore.allToReads(_this.organizationId).then(function (res) {
          if (res.success) {
            _this.setState({
              totalUnRead: 0
            });
            _this.noticeAllToReads();
            _this.getNoticeCount();
          }
        })['catch'](function (error) {
          Choerodon.handleResponseError(error);
        });
      }
      document.getElementsByClassName('allN-list')[0].scrollTop = 0; // 全部标记已读后，滚动条应置顶
    };

    _this.noticeAllToReads = function (flag) {
      var HeaderStore = _this.props.HeaderStore;
      var _this$state11 = _this.state,
          parameterData = _this$state11.parameterData,
          selectItem = _this$state11.selectItem;

      _this.setState({
        loading: true
      });
      var data = _this.deepClone(parameterData);
      data.size = data.page * 100;
      data.page = 1;
      HeaderStore.getNotice(_this.organizationId, data).then(function (res) {
        var array = _this.changeMessageData(res);
        _this.setState({
          loading: false,
          inboxData: array,
          checkNotice: true
        });
        if (flag === 'read') {
          //
        } else {
          _this.setState({
            selectItem: array[0]
          });
        }
      });
    };

    _this.deepClone = function (obj) {
      var objC = JSON.stringify(obj);
      var objClone = JSON.parse(objC);
      return objClone;
    };

    _this.iconDelete = function (item, flag, e) {
      var HeaderStore = _this.props.HeaderStore;
      var _this$state12 = _this.state,
          selectMsgItem = _this$state12.selectMsgItem,
          selectItem = _this$state12.selectItem,
          parameterData = _this$state12.parameterData,
          inboxData = _this$state12.inboxData;

      var ids = [];
      // 单点删除
      _this.setState({ loading: true });
      if (flag === 'one') {
        ids.push(item.noticeId);
        if (selectItem.length !== 1) {
          // 有多条时单删
          HeaderStore.noticeDelete(_this.organizationId, ids).then(function (res) {
            if (res.success) {
              /* 数量减少 */
              _this.getNoticeCount();
              /* 删除当条 */
              selectItem.splice(selectItem.findIndex(function (v) {
                return v.noticeId === ids[0];
              }), 1);
              /* 状态需要变化的 */
              _this.setState({
                loading: false,
                selectItem: selectItem
              });
            }
          });
        } else {
          HeaderStore.noticeDelete(_this.organizationId, ids).then(function (res) {
            if (res.success) {
              /* 数量减少 */
              _this.getNoticeCount();
              /* 在inboxData中删除当条 */
              inboxData.forEach(function (i, index) {
                if (i[0].noticeId === selectItem[0].noticeId) {
                  inboxData.splice(index, 1);
                }
              });
              /* 状态需要变化的 */
              _this.setState({
                loading: false,
                inboxData: inboxData,
                selectItem: inboxData[0]
              });
            }
          });
        }
      } else {
        // 批量删除，获取当条所有子消息的id
        selectItem.forEach(function (_ref) {
          var noticeId = _ref.noticeId;
          return ids.push(noticeId);
        });
        HeaderStore.noticeDelete(_this.organizationId, ids).then(function (res) {
          if (res.success) {
            /* 数量减少 */
            _this.getNoticeCount();
            /* 在inboxData中删除当条 */
            inboxData.forEach(function (i, index) {
              if (i[0].noticeId === selectItem[0].noticeId) {
                inboxData.splice(index, 1);
              }
            });
            /* 状态需要变化的 */
            _this.setState({
              loading: false,
              inboxData: inboxData,
              selectItem: inboxData[0]
            });
          }
        });
      }
    };

    _this.noticeDelete = function (flag) {
      var HeaderStore = _this.props.HeaderStore;
      var _this$state13 = _this.state,
          parameterData = _this$state13.parameterData,
          selectItem = _this$state13.selectItem;

      _this.setState({
        loading: true
      });
      var data = _this.deepClone(parameterData);
      data.size = data.page * 100;
      data.page = 1;
      HeaderStore.getNotice(_this.organizationId, data).then(function (res) {
        var array = _this.changeMessageData(res);
        if (flag === 'ones') {
          // 当有多条时点击单删，加载中/仍选中当条，
          _this.setState({
            loading: false,
            inboxData: array,
            selectItem: selectItem,
            checkNotice: true
          });
        } else if (flag === 'one') {
          // 只有一条时单删，加载中/选中第一条/子消息无选中
          _this.setState({
            loading: false,
            inboxData: array,
            selectItem: array[0],
            checkNotice: true,
            selectMsgItem: ''
          });
        } else if (flag === 'piliang') {
          // 批量删除，加载中/选中第一条/子消息无选中
          _this.setState({
            loading: false,
            inboxData: array,
            selectItem: array[0],
            checkNotice: true,
            selectMsgItem: ''
          });
        }
      });
    };

    _this.listLoadMore = function () {
      var HeaderStore = _this.props.HeaderStore;
      var _this$state14 = _this.state,
          parameterData = _this$state14.parameterData,
          inboxData = _this$state14.inboxData;

      parameterData.page += 1;
      _this.setState({
        loadingMore: true,
        parameterData: parameterData
      });
      HeaderStore.getNotice(_this.organizationId, parameterData).then(function (res) {
        var other = Object.values(res);
        if (other.length) {
          var array = inboxData.concat(other);
          _this.setState({
            loadingMore: false,
            inboxData: array
          });
        } else {
          _this.setState({
            loadingMore: false,
            showNothing: true
          });
        }
      });
    };

    _this.handleSearch = function (value) {
      var HeaderStore = _this.props.HeaderStore;
      var parameterData = _this.state.parameterData;

      parameterData.queryText = value;
      parameterData.page = 1;
      _this.setState({
        parameterData: parameterData,
        // selectItem: '',
        defaultUnRead: 'allNotice',
        defaultType: 'all'
      });
      HeaderStore.queryNotice(_this.organizationId, parameterData).then(function (res) {
        var array = _this.changeMessageData(res);
        _this.setState({
          inboxData: array,
          selectItem: array[0],
          checkNotice: true,
          showNothing: false
        });
        document.getElementsByClassName('allN-list')[0].scrollTop = 0;
      });
    };

    _this.typeAvatar = function (type) {
      if (type === 'ITSM') {
        return _react2['default'].createElement(_avatar2['default'], { shape: 'square', size: 'small', style: { backgroundColor: '#2196F3' }, src: _itsmIcon2['default'] });
      } else if (type === 'KB') {
        return _react2['default'].createElement(
          _avatar2['default'],
          { shape: 'square', size: 'small', style: { backgroundColor: '#FF9500' } },
          _react2['default'].createElement(_icon2['default'], { type: 'zhishizhongxin' })
        );
      } else if (type === 'WF') {
        return _react2['default'].createElement(
          _avatar2['default'],
          { shape: 'square', size: 'small', style: { backgroundColor: '#6354F4' } },
          _react2['default'].createElement(_icon2['default'], { type: 'shu-ziji' })
        );
      } else if (type === 'SYSTEM') {
        return _react2['default'].createElement(
          _avatar2['default'],
          { shape: 'square', size: 'small', style: { backgroundColor: '#4DB5FF' } },
          _react2['default'].createElement(_icon2['default'], { type: 'itfuwuguanli-yiji' })
        );
      } else if (type === 'ANNOUNCEMENT') {
        return _react2['default'].createElement(
          _avatar2['default'],
          { shape: 'square', size: 'small', style: { backgroundColor: '#2196F3' } },
          _react2['default'].createElement(_icon2['default'], { type: 'announcement' })
        );
      }
    };

    _this.renderTime = function (noticeTime) {
      var HeaderStore = _this.props.HeaderStore;

      var minute = 1000 * 60;
      var hour = minute * 60;
      var day = hour * 24;
      var week = day * 7;
      var month = day * 30;
      var year = month * 12;
      var timeNow = new Date().getTime(); // 当前时间戳
      var timeNotice = new Date(noticeTime.replace(/-/g, '/')).getTime(); // 指定时间的时间戳,此处兼容ie和safari
      var time = timeNow - timeNotice;
      var result = null;
      if (time < 0) {
        result = '--';
      } else if (time / year >= 1) {
        result = '' + parseInt(time / year) + HeaderStore.language[intlPrefix + '.notice.dateYear'];
      } else if (time / month >= 1) {
        result = '' + parseInt(time / month) + HeaderStore.language[intlPrefix + '.notice.dateMonth'];
      } else if (time / week >= 1) {
        result = '' + parseInt(time / week) + HeaderStore.language[intlPrefix + '.notice.dateWeek'];
      } else if (time / day >= 1) {
        result = '' + parseInt(time / day) + HeaderStore.language[intlPrefix + '.notice.dateDay'];
      } else if (time / hour >= 1) {
        result = '' + parseInt(time / hour) + HeaderStore.language[intlPrefix + '.notice.dateHour'];
      } else if (time / minute >= 1) {
        result = '' + parseInt(time / minute) + HeaderStore.language[intlPrefix + '.notice.dateMinutes'];
      } else {
        result = HeaderStore.language[intlPrefix + '.notice.dateNow'];
      }
      return result;
    };

    _this.renderItemName = function (data) {
      var HeaderStore = _this.props.HeaderStore;

      if (data.sendPerson) {
        return data.sendPerson;
      } else if (data.createdBy) {
        return data.createdBy === '0' ? HeaderStore.language[intlPrefix + '.notice.systemAdmin'] : data.createdBy;
      } else {
        return HeaderStore.language[intlPrefix + '.notice.null'];
      }
    };

    _this.renderMessageLeft = function () {
      var HeaderStore = _this.props.HeaderStore;
      var _this$state15 = _this.state,
          inboxData = _this$state15.inboxData,
          inboxLoaded = _this$state15.inboxLoaded,
          selectItem = _this$state15.selectItem,
          selectMsgItem = _this$state15.selectMsgItem,
          filterType = _this$state15.filterType,
          defaultType = _this$state15.defaultType,
          allCount = _this$state15.allCount,
          unReadCount = _this$state15.unReadCount,
          parameterData = _this$state15.parameterData,
          loading = _this$state15.loading,
          loadingMore = _this$state15.loadingMore,
          isShowX = _this$state15.isShowX,
          readSpin = _this$state15.readSpin;

      var loadMore = inboxData.length ? _react2['default'].createElement(
        'div',
        { style: { marginTop: 5, height: 32, lineHeight: '32px' } },
        loadingMore && _react2['default'].createElement(_spin2['default'], null),
        !loadingMore && _this.state.showNothing ? _react2['default'].createElement(
          'span',
          { style: { marginLeft: 179 } },
          HeaderStore.language[intlPrefix + '.notice.noMore']
        ) : _react2['default'].createElement(
          _button2['default'],
          { onClick: _this.listLoadMore, className: 'loadingMore' },
          HeaderStore.language[intlPrefix + '.notice.clickMore']
        )
      ) : null;
      return _react2['default'].createElement(
        'div',
        { className: 'left-allNotice' },
        _react2['default'].createElement(
          'div',
          { className: 'allN-header' },
          _react2['default'].createElement(
            'div',
            { className: 'allN-select' },
            _react2['default'].createElement(
              _select2['default'],
              {
                size: 'large',
                value: _this.state.defaultUnRead,
                dropdownStyle: {
                  width: 135,
                  fontSize: '14px',
                  color: '#020E26'
                },
                onChange: function onChange(v) {
                  if (v === 'unRead') {
                    _this.getUnreadMsg();
                  } else {
                    _this.getAllNotice();
                  }
                }
              },
              _react2['default'].createElement(
                Option,
                { value: 'allNotice' },
                HeaderStore.language[intlPrefix + '.notice.allNotice'],
                '(',
                allCount >= 0 ? allCount : 0,
                ')'
              ),
              _react2['default'].createElement(
                Option,
                { value: 'unRead' },
                HeaderStore.language[intlPrefix + '.notice.unReadNotice'],
                '(',
                unReadCount >= 0 ? unReadCount : 0,
                ')'
              )
            )
          ),
          _react2['default'].createElement(
            'div',
            { className: 'typeSelect' },
            _react2['default'].createElement(
              _select2['default'],
              {
                defaultValue: defaultType,
                dropdownMatchSelectWidth: false,
                dropdownClassName: 'type-select',
                onChange: function onChange(e) {
                  return _this.getTypeNotice(e);
                }
              },
              _react2['default'].createElement(
                Option,
                { value: 'all' },
                HeaderStore.language[intlPrefix + '.notice.sourceSystem.all']
              ),
              _react2['default'].createElement(
                Option,
                { value: 'ITSM' },
                HeaderStore.language[intlPrefix + '.notice.sourceSystem.ITSM']
              ),
              _react2['default'].createElement(
                Option,
                { value: 'KB' },
                HeaderStore.language[intlPrefix + '.notice.sourceSystem.KB']
              ),
              _react2['default'].createElement(
                Option,
                { value: 'WF' },
                HeaderStore.language[intlPrefix + '.notice.sourceSystem.WF']
              ),
              _react2['default'].createElement(
                Option,
                { value: 'SYSTEM' },
                HeaderStore.language[intlPrefix + '.notice.sourceSystem.SYSTEM']
              ),
              _react2['default'].createElement(
                Option,
                { value: 'ANNOUNCEMENT' },
                HeaderStore.language['portal.layout.announcement']
              )
            )
          )
        ),
        _react2['default'].createElement(
          'div',
          { className: 'allN-list' },
          _react2['default'].createElement(_list2['default'], {
            split: true,
            id: 'noticeList',
            loading: loading,
            loadMore: loadMore,
            itemLayout: 'horizontal',
            dataSource: inboxData,
            renderItem: function renderItem(item) {
              return _react2['default'].createElement(
                _list2['default'].Item,
                {
                  className: 'selectItem',
                  onClick: function onClick() {
                    _this.setState({
                      checkNotice: true,
                      selectItem: item
                    }, function () {
                      if (item[0].sourceSystem === 'ANNOUNCEMENT') {
                        _this.announcementPreview(item[0].noticeNumber);
                        _this.partIsRead(item);
                      }
                    });
                  },
                  style: selectItem.length ? selectItem[0].noticeId === item[0].noticeId ? { backgroundColor: '#F0FBFF', borderRightColor: '#2196F3' } : {} : {}
                },
                _react2['default'].createElement(_list2['default'].Item.Meta, {
                  avatar: _this.typeAvatar(item[0].sourceSystem),
                  title: _react2['default'].createElement(
                    'div',
                    { className: 'listTop' },
                    _react2['default'].createElement(
                      'div',
                      { className: 'listTitle' },
                      item[0].sourceSystem === 'ANNOUNCEMENT' ? _react2['default'].createElement('div', { dangerouslySetInnerHTML: { __html: (0, _SanitizeHtml.getSanitizeHtml)('' + (item[0].msgTitle || '')) }, className: 'ellipsis' }) : _react2['default'].createElement('div', { dangerouslySetInnerHTML: { __html: (0, _SanitizeHtml.getSanitizeHtml)(item[0].noticeNumber + '&nbsp;&nbsp;' + (item[0].msgTitle || '')) }, className: 'ellipsis' })
                    ),
                    _react2['default'].createElement(
                      'div',
                      { className: 'noReadCount' },
                      item.filter(function (v, i) {
                        return v.isRead === 0;
                      }).length !== 0 ? _react2['default'].createElement(
                        'div',
                        null,
                        item.filter(function (v, i) {
                          return v.isRead === 0;
                        }).length
                      ) : ''
                    )
                  ),
                  description: _react2['default'].createElement(
                    'div',
                    { className: 'listDescription' },
                    _react2['default'].createElement(
                      'div',
                      { className: 'desEllipsis' },
                      _react2['default'].createElement('div', { dangerouslySetInnerHTML: { __html: (0, _SanitizeHtml.getSanitizeHtml)('' + (item[0].subject || '无')) } })
                    ),
                    _react2['default'].createElement(
                      'div',
                      { className: 'listContent' },
                      _react2['default'].createElement(
                        'div',
                        { className: 'list-name-time' },
                        _react2['default'].createElement(
                          'div',
                          { className: 'itemName' },
                          _react2['default'].createElement(
                            _Ellipsis2['default'],
                            {
                              length: 10,
                              tooltip: _this.renderItemName(item[0])
                            },
                            _this.renderItemName(item[0])
                          )
                        ),
                        _react2['default'].createElement(
                          'div',
                          { className: 'itemTime' },
                          _this.renderTime(item[0].receiveDate)
                        )
                      )
                    )
                  )
                })
              );
            }
          })
        ),
        _react2['default'].createElement(
          'div',
          { className: 'allN-footer' },
          _react2['default'].createElement(
            'div',
            { className: 'footer-left', onClick: function onClick() {
                return _this.allIsRead();
              } },
            _react2['default'].createElement(_icon2['default'], { type: 'biaojiquanbuyidu' }),
            HeaderStore.language[intlPrefix + '.all.tagsReads'],
            readSpin ? _react2['default'].createElement(_spin2['default'], { size: 'small', style: { position: 'absolute', right: -21, transform: 'scale(0.8)' } }) : ''
          )
        )
      );
    };

    _this.renderMessageRight = function () {
      var HeaderStore = _this.props.HeaderStore;
      var _this$state16 = _this.state,
          announcementData = _this$state16.announcementData,
          inboxData = _this$state16.inboxData,
          inboxLoaded = _this$state16.inboxLoaded,
          selectItem = _this$state16.selectItem,
          selectMsgItem = _this$state16.selectMsgItem,
          filterType = _this$state16.filterType,
          defaultType = _this$state16.defaultType,
          allCount = _this$state16.allCount,
          unReadCount = _this$state16.unReadCount,
          parameterData = _this$state16.parameterData,
          loading = _this$state16.loading,
          loadingMore = _this$state16.loadingMore,
          isShowX = _this$state16.isShowX,
          readSpin = _this$state16.readSpin;

      console.log('selectItem aaa sss lll ===>', selectItem);
      if (selectItem && selectItem[0] && selectItem[0].sourceSystem === 'ANNOUNCEMENT') {
        return _this.renderAnnContent(announcementData || {});
      }
      return _react2['default'].createElement(
        'div',
        { className: 'right-detailNotice' },
        _this.state.checkNotice && selectItem ? _react2['default'].createElement(
          'div',
          { className: 'detailNotice' },
          _react2['default'].createElement(
            'div',
            { className: 'detailN-header' },
            _react2['default'].createElement(
              'div',
              { className: 'detailN-title' },
              _react2['default'].createElement(
                'div',
                { className: 'detailN-h1' },
                _react2['default'].createElement(
                  _tooltip2['default'],
                  { title: _react2['default'].createElement('span', { dangerouslySetInnerHTML: { __html: (0, _SanitizeHtml.getSanitizeHtml)('<span>' + selectItem[0].noticeNumber + '&nbsp;&nbsp;' + (selectItem[0].msgTitle || '') + '</span>') } }), placement: 'topLeft' },
                  _react2['default'].createElement('div', { className: 'h1-title', dangerouslySetInnerHTML: { __html: (0, _SanitizeHtml.getSanitizeHtml)('<span>' + selectItem[0].noticeNumber + '&nbsp;&nbsp;' + (selectItem[0].msgTitle || '') + '</span>') } })
                )
              ),
              _react2['default'].createElement(
                'div',
                { className: 'detailN-action' },
                _react2['default'].createElement(
                  _tooltip2['default'],
                  { title: HeaderStore.language[intlPrefix + '.all.tagsReads'] },
                  _react2['default'].createElement(_icon2['default'], {
                    type: 'biaojiquanbuyidu',
                    className: 'quanbubiaojiweiyidu',
                    onClick: function onClick() {
                      return _this.partIsRead(selectItem);
                    }
                  })
                ),
                _react2['default'].createElement(
                  _popconfirm2['default'],
                  {
                    title: HeaderStore.language[intlPrefix + '.notice.confirm.delete'],
                    okText: HeaderStore.language.yes,
                    cancelText: HeaderStore.language.no,
                    onConfirm: function onConfirm() {
                      return _this.iconDelete();
                    },
                    onCancel: function onCancel() {}
                  },
                  _react2['default'].createElement(_icon2['default'], { type: 'piliangshanchu', className: 'shanchu' })
                )
              )
            ),
            _react2['default'].createElement(
              'div',
              { className: 'detail' },
              _react2['default'].createElement(
                _row2['default'],
                null,
                _react2['default'].createElement(
                  _col2['default'],
                  { span: 12 },
                  _react2['default'].createElement(
                    'span',
                    { className: 'detailN-field' },
                    HeaderStore.language[intlPrefix + '.notice.founder']
                  ),
                  _react2['default'].createElement(
                    'span',
                    null,
                    selectItem[0].createdBy ? selectItem[0].createdBy === '0' ? HeaderStore.language[intlPrefix + '.notice.systemAdmin'] : selectItem[0].createdBy : HeaderStore.language[intlPrefix + '.notice.null']
                  )
                ),
                _react2['default'].createElement(
                  _col2['default'],
                  { span: 12 },
                  _react2['default'].createElement(
                    'span',
                    { className: 'detailN-field' },
                    HeaderStore.language[intlPrefix + '.notice.creationDate']
                  ),
                  _react2['default'].createElement(
                    'span',
                    null,
                    selectItem[0].creationDate || HeaderStore.language[intlPrefix + '.notice.null']
                  )
                )
              ),
              _react2['default'].createElement(
                _row2['default'],
                null,
                _react2['default'].createElement(
                  _col2['default'],
                  { span: 12 },
                  _react2['default'].createElement(
                    'span',
                    { className: 'detailN-field' },
                    HeaderStore.language[intlPrefix + '.notice.organizationName']
                  ),
                  _react2['default'].createElement(
                    'span',
                    null,
                    selectItem[0].organizationName || HeaderStore.language[intlPrefix + '.notice.null']
                  )
                ),
                _react2['default'].createElement(
                  _col2['default'],
                  { span: 12 },
                  _react2['default'].createElement(
                    'span',
                    { className: 'detailN-field' },
                    HeaderStore.language[intlPrefix + '.notice.projectName']
                  ),
                  _react2['default'].createElement(
                    'span',
                    null,
                    selectItem[0].projectName || HeaderStore.language[intlPrefix + '.notice.null']
                  )
                )
              )
            )
          ),
          _react2['default'].createElement(
            'div',
            { className: 'detailN-list' },
            _react2['default'].createElement(_list2['default'], {
              loading: loading,
              itemLayout: 'horizontal',
              dataSource: selectItem,
              renderItem: function renderItem(item) {
                return _react2['default'].createElement(
                  _list2['default'].Item,
                  {
                    onClick: function onClick(e) {
                      _this.setState({
                        selectMsgItem: item
                      });
                      if (item.isRead === 0) {
                        _this.singleIsRead(item);
                      }
                    },
                    style: selectMsgItem.noticeId === item.noticeId ? { backgroundColor: '#F5F6FA' } : null
                  },
                  _react2['default'].createElement(_list2['default'].Item.Meta, {
                    avatar: _react2['default'].createElement(
                      'div',
                      null,
                      _react2['default'].createElement('span', { className: item.isRead ? 'noPoint isPoint' : 'redPoint isPoint' }),
                      _react2['default'].createElement(
                        _avatar2['default'],
                        { style: { fontSize: 18 }, src: item.userUrl || null },
                        selectItem[0].createdBy ? _this.getNewAvatar(selectItem[0].createdBy) : _react2['default'].createElement(
                          'span',
                          { style: { fontWeight: 600 } },
                          'U'
                        )
                      )
                    ),
                    title: _react2['default'].createElement(
                      'div',
                      { className: 'title-date-delet' },
                      _react2['default'].createElement(
                        'div',
                        { className: 'itemTitle' },
                        _react2['default'].createElement(
                          _tooltip2['default'],
                          { title: _react2['default'].createElement('span', { dangerouslySetInnerHTML: { __html: (0, _SanitizeHtml.getSanitizeHtml)(item.subject) } }), placement: 'topLeft' },
                          _react2['default'].createElement('span', { dangerouslySetInnerHTML: { __html: (0, _SanitizeHtml.getSanitizeHtml)(item.subject) } })
                        )
                      ),
                      _react2['default'].createElement(
                        'div',
                        null,
                        _react2['default'].createElement(
                          'span',
                          { className: 'itemData' },
                          item.receiveDate
                        ),
                        _react2['default'].createElement(_icon2['default'], {
                          className: 'itemDelet'
                          // type="shanchu"
                          , type: 'shanchu3',
                          onClick: function onClick(e) {
                            return _this.iconDelete(item, 'one', e);
                          }
                        })
                      )
                    ),
                    description: _react2['default'].createElement(
                      'div',
                      { className: 'listDescription' },
                      item.sourceSystem === 'WF' ? _react2['default'].createElement(
                        'div',
                        null,
                        _react2['default'].createElement(
                          'span',
                          null,
                          HeaderStore.language[intlPrefix + '.notice.please.click']
                        ),
                        _react2['default'].createElement(
                          'a',
                          {
                            onClick: function onClick() {
                              return window.open('' + item.msgContent);
                            },
                            style: { color: '#2196F3' },
                            target: '_blank'
                          },
                          HeaderStore.language[intlPrefix + '.notice.here']
                        )
                      ) : _react2['default'].createElement('div', { dangerouslySetInnerHTML: { __html: (0, _SanitizeHtml.getSanitizeHtml)(item.msgContent) } })
                    )
                  })
                );
              }
            })
          )
        ) : ''
      );
    };

    _this.renderAnnContent = function (annDetail) {
      var _this$state17 = _this.state,
          opacity = _this$state17.opacity,
          contentHeight = _this$state17.contentHeight;

      console.log('annDetail ===>', annDetail);
      var content = new _quillDeltaToHtml.QuillDeltaToHtmlConverter(isJSON(annDetail.content) ? JSON.parse(annDetail.content) : '', {}).convert();
      return _react2['default'].createElement(
        'div',
        { className: 'message-ann' },
        _react2['default'].createElement(
          'div',
          { className: 'message-ann-top', id: 'ann-top-box' },
          _react2['default'].createElement(
            'div',
            { className: 'ann-top-title' },
            annDetail.title
          ),
          _react2['default'].createElement(
            'div',
            { className: 'ann-top-other' },
            _react2['default'].createElement(
              'span',
              null,
              _react2['default'].createElement(
                _avatar2['default'],
                { style: { fontSize: 20 }, src: annDetail.imageUrl || null },
                annDetail.createdBy ? _this.getNewAvatar(annDetail.createByName) : _react2['default'].createElement(
                  'span',
                  { style: { fontWeight: 600 } },
                  'U'
                )
              ),
              _react2['default'].createElement(
                'span',
                { className: 'bottom-createby' },
                annDetail.createByName
              )
            ),
            _react2['default'].createElement(
              'span',
              null,
              _react2['default'].createElement(_icon2['default'], { type: 'shijian' }),
              _react2['default'].createElement(
                'span',
                { className: 'bottom-creationDate' },
                annDetail.startTime && annDetail.startTime.split(' ')[0] || ''
              )
            )
          )
        ),
        _react2['default'].createElement(
          'div',
          {
            className: 'message-ann-bottom',
            id: 'c-announcement-content'
          },
          _react2['default'].createElement(
            'div',
            { id: 'announcement-content-all' },
            _react2['default'].createElement('div', { className: 'ann-content', dangerouslySetInnerHTML: { __html: (0, _SanitizeHtml.getSanitizeHtml)('' + (content || '')) } }),
            _this.renderAnnouncementFile(annDetail)
          )
        )
      );
    };

    _this.announcementPreview = function (announcementId) {
      var HeaderStore = _this.props.HeaderStore;

      HeaderStore.getAnnouncementById(_this.organizationId, announcementId).then(function (res) {
        console.log(';data  ===>', res);
        _this.setState({
          announcementData: res
        });
      });
    };

    _this.handleDownload = function (e, item) {
      e.stopPropagation();
      console.log('item ===>', item);
      var HeaderStore = _this.props.HeaderStore;

      HeaderStore.downloadFile(_this.organizationId, item.attachmentId).then(function (res) {
        var fileUrl1 = res.fileUrl;
        window.open(fileUrl1);
      });
    };

    _this.handleViewFile = function (e, item) {
      e.stopPropagation();
      window.open('/portal/preview?fileId=' + item.attachmentId + '&orgId=' + getCurrentOrganization().id + '&messageShow=hidden');
    };

    _this.renderAnnouncementFile = function (data) {
      var HeaderStore = _this.props.HeaderStore;

      var fileOptions = [];
      if (data.attachments) {
        data.attachments.forEach(function (item) {
          fileOptions.push(_react2['default'].createElement(
            'p',
            { className: 'file-item' },
            _react2['default'].createElement(
              'div',
              { className: 'file-item-left' },
              _react2['default'].createElement(_icon2['default'], { style: { marginRight: 8, cursor: 'pointer', fontSize: 16 }, onClick: function onClick(e) {
                  return _this.handleDownload(e, item);
                }, type: 'attachment' }),
              _react2['default'].createElement(
                'span',
                { className: 'file-item-title', onClick: function onClick(e) {
                    return _this.handleDownload(e, item);
                  } },
                item.attachmentName,
                item.fileType
              ),
              _react2['default'].createElement(
                'span',
                { className: 'file-item-size' },
                '(',
                item.attachmentSize / (1024 * 1024) > 1 ? Math.round(item.attachmentSize / (1024 * 1024) * 100) / 100 + ' M' : Math.round(item.attachmentSize / 1024 * 100) / 100 + ' kb',
                ')'
              )
            ),
            _react2['default'].createElement(
              'div',
              { className: 'file-item-right' },
              _react2['default'].createElement(_icon2['default'], { style: { marginRight: 8, cursor: 'pointer', fontSize: 16, color: '#595959' }, onClick: function onClick(e) {
                  return _this.handleDownload(e, item);
                }, type: 'download' })
            )
          ));
        });
      }
      return _react2['default'].createElement(
        'div',
        { className: 'ann-file-content' },
        data.attachments && data.attachments.length > 0 ? _react2['default'].createElement(
          'div',
          { className: 'content-box' },
          _react2['default'].createElement(
            'div',
            { className: 'file-area-title' },
            HeaderStore.language['common.attachment']
          ),
          fileOptions
        ) : ''
      );
    };

    _this.organizationId = _this.props.AppState.userInfo.currentOrganizationId;
    _this.language = _this.props.AppState.currentLanguage;
    _this.taskRemindInterval = null;
    _this.fuwumenhu = _this.props.HeaderStore.getQueryString('triggerMsgCenter');

    _this.state = {
      // mouseEnter: false,
      // idKey: '',
      // webSocket: 0,
      visible: _this.fuwumenhu === 'Y' || false,

      inboxLoaded: false,
      loading: true,
      loadingMore: false,

      inboxData: [], // 通知数据

      totalUnRead: '', // 铃铛未读数量
      allCount: '', // 通知数据数量
      unReadCount: '', // 未读通知的数量

      selectItem: [], // 选中的通知
      selectMsgItem: {}, // 选中的消息通知

      filterType: true, // 筛选显示
      defaultType: 'all', // 筛选的类型

      // 获取通知的参数
      parameterData: {
        direction: 'desc',
        iamOrganizationId: _this.organizationId,
        // isRead: 0,
        page: 1,
        queryText: '',
        size: 100,
        sort: 'receiveDate',
        // sourceSystem: "",
        userId: _this.props.AppState.userInfo.id
      },

      // 获取通知数量的参数
      countParameter: {
        iamOrganizationId: _this.organizationId,
        // isRead: 0,
        page: 1,
        size: 0,
        // sourceSystem: "",
        userId: _this.props.AppState.userInfo.id
      },

      isShowX: false,
      searchValue: '',
      readSpin: false
    };
    return _this;
  }

  (0, _createClass3['default'])(Inbox, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var _props = this.props,
          AppState = _props.AppState,
          HeaderStore = _props.HeaderStore;

      HeaderStore.queryStatusList(this.organizationId);
      HeaderStore.queryStatusList(this.organizationId);
      // HeaderStore.queryLanguage(AppState.userInfo.currentOrganizationId, this.language);
    }

    // 获取来源系统


    // 显现通知中心页面


    // 关闭通知中心页面


    // 消息头像


    /* 改变后台返回过来的数据 --- 消息 */


    // 初始加载数据


    // 获取通知的数量


    // 查询通知接口


    // 获取全部通知信息


    // 获取未读通知


    // 获得类型筛选通知


    // 选择全部


    // 单条标记已读


    // 部分标记已读


    // 全部标记已读


    // 全部已读后重新获取数据


    /* 数据深拷贝 */


    // 单点删除（只有一条'one'/有多条），批量删除


    // 删除后重新获取数据


    // 加载更多


    // 高级搜索


    // 根据通知类别判断通知图标


    // 换算通知最新消息至今的时间差


    // 渲染左侧列表处的人名


    /* 渲染消息左边的内容 */


    /* 渲染消息右边的内容 */


    /* 渲染公告内容 */


    /**
    * 点击查看公告详情
    * @param announcementId 公告Id
    */


    /* 下载文件 */


    /* 预览文件 */


    /**
     *  渲染公告附件
     * @param data
     */

  }, {
    key: 'renderPopoverContent',


    // 渲染通知页
    value: function renderPopoverContent() {
      var _this2 = this;

      var HeaderStore = this.props.HeaderStore;
      var _state = this.state,
          inboxData = _state.inboxData,
          inboxLoaded = _state.inboxLoaded,
          selectItem = _state.selectItem,
          selectMsgItem = _state.selectMsgItem,
          filterType = _state.filterType,
          defaultType = _state.defaultType,
          allCount = _state.allCount,
          unReadCount = _state.unReadCount,
          parameterData = _state.parameterData,
          loading = _state.loading,
          loadingMore = _state.loadingMore,
          isShowX = _state.isShowX,
          readSpin = _state.readSpin;

      var mohusousuo = _react2['default'].createElement(_icon2['default'], { type: 'sousuoneirong', style: { fontSize: 16, marginBottom: 1 } });
      var shanchux = _react2['default'].createElement(
        'div',
        { style: { width: 18, height: 40 } },
        isShowX ? _react2['default'].createElement(_icon2['default'], {
          type: 'wenjianshanchu',
          className: 'searchCancel',
          onClick: function onClick() {
            parameterData.queryText = '';
            _this2.state.parameterData.page = 1;
            _this2.setState({
              parameterData: parameterData,
              searchValue: ''
            });
            _this2.getAllNotice();
          }
        }) : null
      );

      if (this.state.visible) {
        return _react2['default'].createElement(
          'div',
          { className: 'noticeBox' },
          inboxLoaded ? _react2['default'].createElement(
            'div',
            { className: 'notice' },
            _react2['default'].createElement(
              'div',
              { className: 'notice-header' },
              _react2['default'].createElement(
                'div',
                { className: 'header-search-top' },
                _react2['default'].createElement(Search, {
                  prefix: mohusousuo,
                  suffix: shanchux
                  // placeholder="搜索"
                  , placeholder: HeaderStore.language[intlPrefix + '.notice.search'],
                  onSearch: function onSearch(value) {
                    return _this2.handleSearch(value);
                  },
                  underline: false,
                  enterButton: false,
                  value: this.state.searchValue,
                  onChange: function onChange(v) {
                    _this2.setState({
                      searchValue: v.target.value,
                      isShowX: !!v.target.value
                    });
                    if (!v.target.value) {
                      _this2.handleSearch(v.target.value);
                    }
                  }
                })
              ),
              _react2['default'].createElement(
                'div',
                { className: 'header-cancel' },
                _react2['default'].createElement(_icon2['default'], { type: 'guanbi', onClick: this.handleCancel })
              )
            ),
            _react2['default'].createElement(
              'div',
              { className: 'notice-content' },
              _react2['default'].createElement(
                'div',
                { className: 'content-center' },
                this.renderMessageLeft(),
                this.renderMessageRight()
              )
            )
          ) : _react2['default'].createElement(
            'div',
            { className: 'notice', style: { justifyContent: 'center' } },
            _react2['default'].createElement(_spin2['default'], null)
          )
        );
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props2 = this.props,
          AppState = _props2.AppState,
          HeaderStore = _props2.HeaderStore;
      var inboxVisible = HeaderStore.inboxVisible;
      var _state2 = this.state,
          inboxData = _state2.inboxData,
          inboxLoaded = _state2.inboxLoaded;

      return _react2['default'].createElement(
        'div',
        null,
        _react2['default'].createElement(
          _WSHandler2['default'],
          {
            className: 'noticeCenter',
            messageKey: 'choerodon:msg:site-msg:' + AppState.userInfo.id,
            onMessage: this.handleMessage
          },
          _react2['default'].createElement(
            _badge2['default'],
            {
              onClick: this.handleButtonClick,
              className: prefixCls
              // count={`${this.state.webSocket > 99 ? '99+' : this.state.webSocket}` || 0}
              , count: '' + (this.state.totalUnRead > 99 ? '99+' : this.state.totalUnRead >= 0 ? this.state.totalUnRead : 0) || 0
            },
            _react2['default'].createElement(
              _button2['default'],
              { functype: 'flat', shape: 'circle', className: 'head-example' },
              _react2['default'].createElement(_icon2['default'], { type: 'notifications', style: { fontSize: 21, color: '#FFF' } })
            )
          ),
          this.renderPopoverContent()
        )
      );
    }
  }]);
  return Inbox;
}(_react.Component)) || _class) || _class);
exports['default'] = Inbox;