'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _style2 = require('yqcloud-ui/lib/progress/style');

var _progress = require('yqcloud-ui/lib/progress');

var _progress2 = _interopRequireDefault(_progress);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _mobxReact = require('mobx-react');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var LoadingBarRequiredProps = {
  display: _propTypes2['default'].bool
}; /*
   * Loading
   * 加载效果组件
   *
   * */

function LoadingBar(_ref) {
  var _ref$display = _ref.display,
      display = _ref$display === undefined ? false : _ref$display;

  var spinClass = (0, _classnames2['default'])({
    'spin-hidden': !display,
    'spin-container': display
  });
  return _react2['default'].createElement(
    'div',
    { className: spinClass },
    _react2['default'].createElement(_progress2['default'], { type: 'loading' })
  );
}

LoadingBar.propTypes = LoadingBarRequiredProps;
exports['default'] = (0, _mobxReact.observer)(LoadingBar);