'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class; /**
                   * Create By kanghua.pang on 2019.06.14
                   */

// import { PDFReader } from 'react-read-pdf';


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _mobxReact = require('mobx-react');

var _reactViewer = require('react-viewer');

var _reactViewer2 = _interopRequireDefault(_reactViewer);

var _index = require('../index');

require('./style/index.scss');

var _previewHeaderLogo = require('./style/previewHeaderLogo.svg');

var _previewHeaderLogo2 = _interopRequireDefault(_previewHeaderLogo);

var _xlsx = require('./style/xlsx.svg');

var _xlsx2 = _interopRequireDefault(_xlsx);

var _docx = require('./style/docx.svg');

var _docx2 = _interopRequireDefault(_docx);

var _image = require('./style/image.svg');

var _image2 = _interopRequireDefault(_image);

var _pdf = require('./style/pdf.svg');

var _pdf2 = _interopRequireDefault(_pdf);

var _ppt = require('./style/ppt.svg');

var _ppt2 = _interopRequireDefault(_ppt);

var _txt = require('./style/txt.svg');

var _txt2 = _interopRequireDefault(_txt);

var _html = require('./style/html.svg');

var _html2 = _interopRequireDefault(_html);

var _db = require('./style/db.svg');

var _db2 = _interopRequireDefault(_db);

var _video = require('./style/video.svg');

var _video2 = _interopRequireDefault(_video);

var _one = require('./style/one.svg');

var _one2 = _interopRequireDefault(_one);

var _bmp = require('./style/bmp.svg');

var _bmp2 = _interopRequireDefault(_bmp);

var _gif = require('./style/gif.svg');

var _gif2 = _interopRequireDefault(_gif);

var _jpg = require('./style/jpg.svg');

var _jpg2 = _interopRequireDefault(_jpg);

var _png = require('./style/png.svg');

var _png2 = _interopRequireDefault(_png);

var _svg = require('./style/svg.svg');

var _svg2 = _interopRequireDefault(_svg);

var _tiff = require('./style/tiff.svg');

var _tiff2 = _interopRequireDefault(_tiff);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var Preview = (_dec = (0, _mobxReact.inject)('AppState', 'PreviewStore'), _dec(_class = (0, _mobxReact.observer)(_class = function (_Component) {
  (0, _inherits3['default'])(Preview, _Component);

  function Preview(props) {
    (0, _classCallCheck3['default'])(this, Preview);

    var _this = (0, _possibleConstructorReturn3['default'])(this, (Preview.__proto__ || Object.getPrototypeOf(Preview)).call(this, props));

    _this.strNumber = function (str, cha, num) {
      var x = str.indexOf(cha);
      for (var i = 0; i < num; i++) {
        x = str.indexOf(cha, x + 1);
      }
      return x;
    };

    _this.getQueryString = function (name) {
      var url = window.location.hash;
      var theRequest = {};
      if (name === 'fileUrl') {
        theRequest[name] = url.split('fileUrl=')[1];
        var urlop = _this.strNumber(theRequest[name], '&', 5);
        theRequest[name] = theRequest[name].substring(0, urlop || theRequest[name].length());
        if (theRequest[name]) {
          return theRequest[name];
        }
      } else {
        if (url.indexOf('?') !== -1) {
          var str = url.substr(10);
          var strs = str.split('&');
          for (var i = 0; i < strs.length; i += 1) {
            if (strs[i].split('=').length > 2) {
              theRequest[strs[i].split('=')[0]] = decodeURI(strs[i].split('=')[1] + '=' + strs[i].split('=')[2]);
            } else {
              theRequest[strs[i].split('=')[0]] = decodeURI(strs[i].split('=')[1]);
            }
            if (theRequest[name]) {
              return theRequest[name];
            }
          }
        }
      }
    };

    _this.officeOnlineViewer = 'https://catloos.catlbattery.com/hosting/discovery?src=';
    // all supported preview files icons
    _this.supportedPreviewFiles = {
      pdf: _pdf2['default'],
      image: {
        jpg: _jpg2['default'],
        jpeg: _jpg2['default'],
        png: _png2['default'],
        svg: _svg2['default'],
        gif: _gif2['default'],
        tif: _tiff2['default'],
        tiff: _tiff2['default'],
        pcx: _image2['default'],
        bmp: _bmp2['default']
      },
      office: {
        docx: _docx2['default'],
        dotx: _docx2['default'],
        doc: _docx2['default'],
        dotm: _docx2['default'],
        xls: _xlsx2['default'],
        xlsx: _xlsx2['default'],
        xltm: _xlsx2['default'],
        xlsm: _xlsx2['default'],
        xltx: _xlsx2['default'],
        xlam: _xlsx2['default'],
        xlsb: _xlsx2['default'],
        ppt: _ppt2['default'],
        pptx: _ppt2['default'],
        pptm: _ppt2['default'],
        ppsx: _ppt2['default'],
        ppsm: _ppt2['default'],
        potx: _ppt2['default'],
        mdb: _db2['default'],
        dbx: _db2['default'],
        one: _one2['default']
      },
      txt: _txt2['default'],
      html: _html2['default'],
      movie: _video2['default']
      // console.log(this.supportedPreviewFiles["office"])
    };return _this;
  }

  (0, _createClass3['default'])(Preview, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      var _props = this.props,
          PreviewStore = _props.PreviewStore,
          AppState = _props.AppState;
      // 取消header的显示

      PreviewStore.setHeaderVisableStatus(false);
      AppState.setHideMenu(true);

      // 获得preview的文件名, 文件名, 下载链接, 文件大小
      PreviewStore.setFileName(this.getQueryString('fileName'));
      PreviewStore.setFileSize(this.getQueryString('fileSize'));
      PreviewStore.setFileUrl(this.getQueryString('fileUrl'));
      PreviewStore.setFileType(this.getQueryString('fileType'));
      var fileID = this.getQueryString('fileId');
      var iamOrganizationId = this.getQueryString('iamOrganizationId');

      // 获得文件大小
      var fileSize = PreviewStore.getFileSize;
      if (fileSize === 0) {
        PreviewStore.setFileSize('0 B');
      }
      var k = 1024;
      var sizes = ['B', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'];
      var i = Math.floor(Math.log(fileSize) / Math.log(k));
      PreviewStore.setFileSize((fileSize / Math.pow(k, i)).toPrecision(3) + ' ' + sizes[i]);

      // 判断文件类型
      var fileType = PreviewStore.getFileType;

      // handle pdf
      if (fileType === '.pdf') {
        PreviewStore.setPreviewTopIcon('pdf');
        PreviewStore.setPreviewFile('pdf');
      }

      // handle image
      var imagesFileExtensions = ['.jpg', '.png', '.svg', '.jpeg', '.bmp', '.gif', '.tif', '.tiff', '.pcx'];
      imagesFileExtensions.forEach(function (extension) {
        if (fileType === extension) {
          PreviewStore.setPreviewTopIcon(extension.substr(1));
          PreviewStore.setPreviewFile('image');
        }
      });

      // handle office
      var officeExtensions = ['.xlsx', '.docx', '.doc', '.dotx', '.dotm', '.ppt', '.xls', '.xltm', '.xlsm', '.xltx', '.mdb', '.xlam', '.xlsb', '.dbx', '.one', '.pptx', '.pptm', '.ppsx', '.ppsm', '.potx'];
      officeExtensions.forEach(function (extension) {
        if (fileType === extension) {
          PreviewStore.setPreviewFile('office');
          PreviewStore.setPreviewTopIcon(extension.substr(1));
        }
      });

      // handle video files
      var videoExtensions = ['.ogv', '.ogg', '.mp4', '.webm'];
      videoExtensions.forEach(function (extension) {
        if (fileType === extension) {
          PreviewStore.setPreviewFile('movie');
          PreviewStore.setPreviewTopIcon('movie');
        }
      });

      // handle other uncommon files
      if (fileType === '.txt') {
        PreviewStore.setPreviewTopIcon('txt');
        PreviewStore.setPreviewFile('txt');
        PreviewStore.getPreviewData(iamOrganizationId, fileID);
      }

      if (fileType === '.html') {
        PreviewStore.setPreviewTopIcon('html');
        PreviewStore.setPreviewFile('html');
        PreviewStore.getPreviewData(iamOrganizationId, fileID);
      }
      console.log(PreviewStore);
    }

    // 获取URL上面的参数

  }, {
    key: 'renderHeaderFileTypeImg',


    // render header Icon depending on the file type
    value: function renderHeaderFileTypeImg() {
      var PreviewStore = this.props.PreviewStore;

      var fileTypeImage = PreviewStore.getPreViewTopIcon;
      var headerFileIcon = _txt2['default'];

      if (PreviewStore.getPreviewFile === "office") {
        headerFileIcon = this.supportedPreviewFiles["office"][fileTypeImage];
      } else if (PreviewStore.getPreviewFile === "image") {
        headerFileIcon = this.supportedPreviewFiles["image"][fileTypeImage];
      } else {
        headerFileIcon = this.supportedPreviewFiles[fileTypeImage];
      }

      return _react2['default'].createElement('img', { id: 'yqy-preview-header-file-img', src: headerFileIcon });
    }

    // office file preview template

  }, {
    key: 'renderOfficePreview',
    value: function renderOfficePreview() {
      var PreviewStore = this.props.PreviewStore;


      var fileID = this.getQueryString('fileId');
      var iamOrganizationId = this.getQueryString('iamOrganizationId');
      var fileType = this.getQueryString('fileType');
      var officeOnlineViewer = 'https://catloos.catlbattery.com/wv/wordviewerframe.aspx?embed=1&WOPISrc=';
      if (fileType.indexOf('doc') > -1) {
        officeOnlineViewer = 'https://catloos.catlbattery.com/we/WordEditorFrame.aspx?WOPISrc=';
      }
      if (fileType.indexOf('pdf') > -1) {
        officeOnlineViewer = 'https://catloos.catlbattery.com/wv/wordviewerframe.aspx?PdfMode=1&WOPISrc=';
      }
      if (fileType.indexOf('xlsx') > -1) {
        officeOnlineViewer = 'https://catloos.catlbattery.com/x/_layouts/xlviewerinternal.aspx?WOPISrc=';
      }
      if (fileType.indexOf('ppt') > -1) {
        officeOnlineViewer = 'https://catloos.catlbattery.com/p/PowerPointFrame.aspx?PowerPointView=ChromelessView&Embed=1&WOPISrc=';
      }
      var officePreview = _react2['default'].createElement(
        _index.Page,
        null,
        _react2['default'].createElement(
          'div',
          { className: 'yqy-previewDiv' },
          _react2['default'].createElement('iframe', {
            title: 'office-preview',
            id: 'officePreviewer'
            // src={this.officeOnlineViewer + encodeURI(PreviewStore.getFileUrl)}
            // src={this.officeOnlineViewer + `${process.env.API_HOST}/fileService/v1/${iamOrganizationId}/file/view/stream/${fileID}`}
            , src: officeOnlineViewer + (process.env.FILE_HOST + '/v1/' + iamOrganizationId + '/wopi/files/' + fileID),
            style: { border: '0', width: '100%', height: '100%' }
          })
        )
      );
      return officePreview;
    }

    // image preview template
    //

  }, {
    key: 'renderImagePreview',
    value: function renderImagePreview() {
      var PreviewStore = this.props.PreviewStore;

      var imagePreview = _react2['default'].createElement(
        _index.Page,
        null,
        _react2['default'].createElement(
          'div',
          { className: 'previewDiv' },
          this.renderHeaderDiv()
        ),
        _react2['default'].createElement(_reactViewer2['default'], {
          visible: true,
          noClose: true,
          images: [{ src: PreviewStore.getFileUrl, alt: '' }],
          noNavbar: true,
          scalable: false,
          noImgDetails: true,
          changeable: false
        })
      );
      return imagePreview;
    }

    // txt preview template

  }, {
    key: 'renderTxtPreview',
    value: function renderTxtPreview() {
      var PreviewStore = this.props.PreviewStore;

      var txtPreview = _react2['default'].createElement(
        _index.Page,
        null,
        _react2['default'].createElement(
          'div',
          { style: { height: '100%' } },
          this.renderHeaderDiv(),
          _react2['default'].createElement(
            'span',
            { className: 'preview-txt-style' },
            PreviewStore.getTxtContent
          )
        )
      );
      return txtPreview;
    }

    // html preview template

  }, {
    key: 'renderHtmlPreview',
    value: function renderHtmlPreview() {
      var PreviewStore = this.props.PreviewStore;

      var htmlPreview = _react2['default'].createElement(
        _index.Page,
        null,
        _react2['default'].createElement(
          'div',
          { style: { height: '100%' } },
          this.renderHeaderDiv(),
          _react2['default'].createElement('iframe', {
            title: 'pdf-iframe',
            srcdoc: PreviewStore.getTxtContent,
            style: { border: '0', width: '100%', height: '100%' }
          })
        )
      );
      return htmlPreview;
    }

    // pdf preview template

  }, {
    key: 'renderPdfPreview',
    value: function renderPdfPreview() {
      var PreviewStore = this.props.PreviewStore;

      var pdfPreview = _react2['default'].createElement(
        _index.Page,
        null,
        _react2['default'].createElement(
          'div',
          { style: { height: '100%' } },
          this.renderHeaderDiv(),
          _react2['default'].createElement('embed', {
            title: 'pdf-iframe',
            src: PreviewStore.getFileUrl,
            style: { border: '0', width: '100%', height: '100%' }
          })
        )
      );
      return pdfPreview;
    }

    // the video preview template

  }, {
    key: 'renderVideoPreview',
    value: function renderVideoPreview() {
      var PreviewStore = this.props.PreviewStore;


      var videoPreview = _react2['default'].createElement(
        _index.Page,
        null,
        _react2['default'].createElement(
          'div',
          { className: 'previewDiv' },
          this.renderHeaderDiv(),
          _react2['default'].createElement(
            'div',
            { className: 'preview-image-box' },
            _react2['default'].createElement('video', { className: 'preview-image', controls: 'controls', src: PreviewStore.getFileUrl })
          )
        )
      );
      return videoPreview;
    }

    // render the header of preview page

  }, {
    key: 'renderHeaderDiv',
    value: function renderHeaderDiv() {
      var PreviewStore = this.props.PreviewStore;

      var headerDiv = _react2['default'].createElement(
        'div',
        { className: 'yqy-title-div' },
        _react2['default'].createElement(
          'div',
          { id: 'yqy-title-box' },
          this.renderHeaderFileTypeImg(),
          _react2['default'].createElement(
            'h1',
            { id: 'yqy-preview-title' },
            PreviewStore.getFileName
          ),
          _react2['default'].createElement(
            'p',
            { id: 'yqy-preview-file-size' },
            '(' + PreviewStore.getFileSize + ')'
          ),
          _react2['default'].createElement(
            'a',
            { href: PreviewStore.getFileUrl },
            _react2['default'].createElement('img', {
              className: 'yqy-download-img',
              alt: 'download-img',
              src: require('./style/DownloadButton.png')
            }),
            _react2['default'].createElement(
              'span',
              { id: 'yqy-preview-download-txt' },
              '\u4E0B\u8F7D'
            )
          ),
          _react2['default'].createElement(
            'div',
            { id: 'yqy-right-imgbox' },
            _react2['default'].createElement('img', {
              style: { width: '97x', height: '22px' },
              alt: 'logo',
              src: _previewHeaderLogo2['default']
            })
          )
        )
      );
      return headerDiv;
    }
  }, {
    key: 'render',
    value: function render() {
      var PreviewStore = this.props.PreviewStore;

      if (PreviewStore.getPreviewFile === 'image') {
        //  handle image preview
        return this.renderImagePreview();
      } else if (PreviewStore.getPreviewFile === 'office') {
        //  handle office files preview
        return this.renderOfficePreview();
      } else if (PreviewStore.getPreviewFile === 'pdf') {
        //  handle Pdf preview
        return (
          // this.renderPdfPreview()
          this.renderOfficePreview()
        );
      } else if (PreviewStore.getPreviewFile === 'txt') {
        return (
          // handle txt
          this.renderTxtPreview()
        );
      } else if (PreviewStore.getPreviewFile === 'html') {
        return this.renderHtmlPreview();
      } else if (PreviewStore.getPreviewFile === 'movie') {
        return this.renderVideoPreview();
      } else {
        //handle unsupported file preview
        return _react2['default'].createElement(
          'div',
          null,
          _react2['default'].createElement(
            'span',
            null,
            '\u8BE5\u6587\u4EF6\u4E0D\u652F\u6301\u9884\u89C8'
          )
        );
      }
    }
  }]);
  return Preview;
}(_react.Component)) || _class) || _class);
exports['default'] = Preview;