'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _style6 = require('yqcloud-ui/lib/modal/style');

var _modal = require('yqcloud-ui/lib/modal');

var _modal2 = _interopRequireDefault(_modal);

var _style7 = require('yqcloud-ui/lib/row/style');

var _row = require('yqcloud-ui/lib/row');

var _row2 = _interopRequireDefault(_row);

var _style8 = require('yqcloud-ui/lib/col/style');

var _col = require('yqcloud-ui/lib/col');

var _col2 = _interopRequireDefault(_col);

var _style9 = require('yqcloud-ui/lib/icon/style');

var _icon = require('yqcloud-ui/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _style10 = require('yqcloud-ui/lib/button/style');

var _button = require('yqcloud-ui/lib/button');

var _button2 = _interopRequireDefault(_button);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactIntl = require('react-intl');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var Remove = (_temp = _class = function (_Component) {
  (0, _inherits3['default'])(Remove, _Component);

  function Remove() {
    (0, _classCallCheck3['default'])(this, Remove);
    return (0, _possibleConstructorReturn3['default'])(this, (Remove.__proto__ || Object.getPrototypeOf(Remove)).apply(this, arguments));
  }

  (0, _createClass3['default'])(Remove, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          open = _props.open,
          handleCancel = _props.handleCancel,
          handleConfirm = _props.handleConfirm;

      return _react2['default'].createElement(
        _modal2['default'],
        {
          visible: open || false,
          width: 400,
          onCancel: handleCancel,
          wrapClassName: 'vertical-center-modal remove',
          footer: _react2['default'].createElement(
            'div',
            null,
            _react2['default'].createElement(_button2['default'], {
              onClick: handleCancel,
              className: 'color3',
              height: 36,
              text: _react2['default'].createElement(_reactIntl.FormattedMessage, { id: 'cancel' })
            }),
            _react2['default'].createElement(_button2['default'], {
              onClick: handleConfirm,
              className: 'color3',
              style: { marginLeft: '8px' },
              height: 36,
              text: _react2['default'].createElement(_reactIntl.FormattedMessage, { id: 'delete' })
            })
          )
        },
        _react2['default'].createElement(
          _row2['default'],
          null,
          _react2['default'].createElement(
            _col2['default'],
            { span: 24 },
            _react2['default'].createElement(
              _col2['default'],
              { span: 2 },
              _react2['default'].createElement(
                'a',
                { style: { fontSize: 20, color: '#ffc07b' } },
                _react2['default'].createElement(_icon2['default'], { type: 'question-circle-o' })
              )
            ),
            _react2['default'].createElement(
              _col2['default'],
              { span: 22 },
              _react2['default'].createElement(
                'h2',
                null,
                _react2['default'].createElement(_reactIntl.FormattedMessage, { id: 'confirm.delete' })
              )
            )
          )
        ),
        _react2['default'].createElement(
          _row2['default'],
          null,
          _react2['default'].createElement(
            _col2['default'],
            { offset: 2 },
            _react2['default'].createElement(
              'div',
              { style: { marginTop: 10 } },
              _react2['default'].createElement(
                'span',
                null,
                _react2['default'].createElement(_reactIntl.FormattedMessage, { id: 'confirm.delete.tip' })
              )
            )
          )
        )
      );
    }
  }]);
  return Remove;
}(_react.Component), _class.propTypes = {
  open: _propTypes2['default'].bool
}, _temp);
exports['default'] = Remove;