'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/*eslint-disable*/
var zh_CN = {
  'user.preferences': '用户首选项',
  'signOut': '安全退出',
  'choose': '请选择',
  'select': '选择',
  'cancel': '返回',

  'learnmore': '了解更多',
  'boot.signout': '安全退出',
  'boot.select': '选择',
  'boot.return': '返回',

  // operation
  'boot.operation': '操作',
  'boot.add': '新增',
  'boot.create': '创建',
  'boot.edit': '编辑',
  'boot.modify': '修改',
  'boot.delete': '删除',
  'boot.remove': '移除',
  'boot.confirm.delete': '确认删除',
  'boot.cancel': '取消',
  'boot.refresh': '刷新',
  'boot.detail': '详情',
  'boot.enable': '启用',
  'boot.disable': '停用',

  // status
  // success
  'boot.operation.success': '操作成功',
  'boot.create.success': '创建成功',
  'boot.modify.success': '修改成功',
  'boot.delete.success': '删除成功',
  'boot.remove.success': '移除成功',
  'boot.enable.success': '启用成功',
  'boot.disable.success': '停用成功',
  // error
  'boot.operation.error': '操作失败',
  'boot.create.error': '创建失败',
  'boot.modify.error': '修改失败',
  'boot.delete.error': '删除失败',
  'boot.remove.error': '移除失败',
  'boot.enabled.error': '启用失败',
  'boot.disable.error': '停用失败',

  'boot.dashboard.home': '首页',
  'boot.dashboard.customize': '自定义',
  'boot.dashboard.complete': '完成',
  'boot.dashboard.success': '保存成功',

  'yes': '是',
  'no': '否',
  'save': '保存',
  'close': '关闭',
  'stop': '停止',
  'restart': '重启',
  'upgrade': '升级',
  'signout': '安全退出',
  'return': '返回',
  'filtertable': '过滤表',
  'ok': '确定',
  'all': '全部',

  'day': '天',
  'hour': '小时',
  'minute': '分钟',
  'second': '秒',

  // operation
  'operation': '操作',
  'add': '添加',
  'addnew': '新增',
  'create': '创建',
  'edit': '编辑',
  'modify': '修改',
  'delete': '删除',
  'remove': '移除',
  'confirm.delete': '确认删除',
  'refresh': '刷新',
  'detail': '详情',
  'enable': '启用',
  'effective': '生效',
  'invalid': '失效',
  'disable': '停用',
  'expired': '已失效',
  'publish': '发布',
  'unpublished': '未发布',
  'published': '已发布',
  'upload': '上传附件',
  'preview': '预览',

  // status
  // success
  'success': '成功',
  'operation.success': '操作成功',
  'add.success': '添加成功',
  'create.success': '创建成功',
  'modify.success': '修改成功',
  'save.success': '保存成功',
  'delete.success': '删除成功',
  'remove.success': '移除成功',
  'enable.success': '启用成功',
  'disable.success': '停用成功',
  'effective.success': '生效成功',
  'invalid.success': '失效成功',
  'publish.success': '发布成功',
  // error
  'error': '失败',
  'operation.error': '操作失败',
  'add.error': '添加失败',
  'create.error': '创建失败',
  'modify.error': '修改失败',
  'save.error': '保存失败',
  'delete.error': '删除失败',
  'remove.error': '移除失败',
  'enabled.error': '启用失败',
  'disable.error': '停用失败',
  'effective.error': '生效失败',
  'invalid.error': '失效失败',
  'publish.error': '发布失败',

  // 统一字段
  'name': '名称',
  'code': '编码',
  'status': '状态',
  'level': '层级',
  'source': '来源',
  'type': '类型',

  // 布局设置
  'employee': '员工',
  'department': '部门',
  'receiver': '接收对象',
  'receiverTooltip': '接收对象组织展示:组织ID-上一级组织名称-组织名称，员工展示:员工编码-员工名称',

  'organization.setting': '设置',
  'organization.setting.layout': '工作台布局设置',
  'organization.setting.layout.header.title': '工作台布局设置',
  'organization.setting.layout.add': '新增应用',
  // 'organization.setting.layout.table.tip': '表数据默认顺序即为布局顺序，可通过拖拽行重新排列布局顺序',
  'organization.setting.layout.table.name': '模块名称',
  'organization.setting.layout.table.application': '归属应用',
  'organization.setting.layout.table.status': '状态',
  'organization.setting.layout.table.action': '操作',
  'organization.setting.layout.modify': '修改模块',
  'organization.setting.layout.create': '选择模块',
  'organization.setting.layout.application': '应用',
  'organization.setting.layout.application.require.msg': '应用必选，请选择应用',
  'organization.setting.layout.width': '横向长度占比',
  'organization.setting.layout.module': '模块',
  'organization.setting.layout.module.require.msg': '模块必选，请选择模块',
  'organization.setting.layout.preview': '预览',
  // 'organization.setting.layout.cancel': '确认返回？',
  'organization.setting.layout.cancel.title': '表单未提交',
  'organization.setting.layout.cancel.content': '确认返回？',

  // 待办事项
  'organization.setting.todoList.key': '编号',
  'organization.setting.todoList.theme': '主题',
  'organization.setting.todoList.applicant': '提单人',
  'organization.setting.todoList.sourceFrom': '来源',
  'organization.setting.todoList.priority': '优先级',
  'organization.setting.todoList.creationDate': '创建时间',
  'organization.setting.todoList.lastUpdateDate': '更新时间',
  'organization.setting.todoList.status': '状态',

  // 工作日历
  'organization.setting.calendar.create': '创建行程',
  'organization.setting.calendar.modify': '编辑行程',
  'organization.setting.calendar.theme': '主题',
  'organization.setting.calendar.theme.require.msg': '请填写主题',
  'organization.setting.calendar.content': '内容',
  'organization.setting.calendar.content.require.msg': '请填写内容',
  'organization.setting.calendar.address': '地点',
  'organization.setting.calendar.address.require.msg': '请填写地点',
  'organization.setting.calendar.time': '时间',
  'organization.setting.calendar.startTime': '开始时间',
  'organization.setting.calendar.startTime.require.msg': '请选择开始时间',
  'organization.setting.calendar.endTime': '结束时间',
  'organization.setting.calendar.endTime.require.msg': '请选择结束时间',
  'organization.setting.calendar.reminder': '提醒方式',
  'organization.setting.calendar.remindTime': '提醒时间',
  'organization.setting.calendar.remindTime.require.msg': '请选择结束时间',
  'organization.setting.calendar.time.require.msg': '请选择行程时间',
  'organization.setting.calendar.status': '状态',
  'organization.setting.calendar.create.Message': '请先填写主题',
  'organization.setting.calendar.emailCheck': '无法获取用户邮箱，请在行程开始前前往个人信息中进行维护',
  'none': '不提醒',
  'email': '邮件',

  // 机器人
  'robot': '智能客服',
  'new.order': '新建服务单',
  'intelligent.service': '智能客服',
  'robot.help': '以上结果都不满意，你还可以',
  // 'intelligent.welcome': '您好，我是燕千云智能客服,可为您提供{code1}和{code2}的帮助，请问您需要哪种帮助。',
  'intelligent.welcome': '您好，我是燕千云智能客服,可为您提供7*24小时的帮助，请输入相关问题的关键字。',
  'input.msg': '请写下你的问题',
  'send': '发送',
  'before': '开始前',
  'intelligent.service.clear.history': '清空记录',

  '5.min': '5分钟',
  '15.min': '15分钟',
  '30.min': '30分钟',
  '1.hour': '1小时',
  '2.hour': '2小时',
  '1.day': '1天',
  '2.day': '2天',
  '1.week': '1周',

  'password.minLength': '密码长度至少为',
  'password.maxLength': '密码长度最多为',
  'password.upcount': '大写字母至少为',
  'password.lowcount': '小写字母至少为',
  'password.msg': '密码不能与账号相同',
  'password.regex': '正则不匹配',
  'password.characters': '特殊字符至少为',

  'sign.out': '退出登录',
  'manage': '管理',
  'portal.enter': '服务门户',

  'system.consulting': '系统咨询',
  'answer.questions': '解答疑问'

};

exports['default'] = zh_CN;