'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _dec2, _dec3, _dec4, _dec5, _dec6, _dec7, _dec8, _dec9, _dec10, _dec11, _dec12, _dec13, _dec14, _dec15, _dec16, _dec17, _dec18, _dec19, _dec20, _class, _desc, _value, _class2, _descriptor, _descriptor2, _descriptor3, _descriptor4, _descriptor5, _descriptor6, _descriptor7, _descriptor8, _descriptor9, _descriptor10, _descriptor11, _descriptor12, _descriptor13, _descriptor14, _descriptor15, _descriptor16, _descriptor17, _descriptor18, _descriptor19, _descriptor20, _descriptor21, _descriptor22, _descriptor23, _descriptor24, _descriptor25, _descriptor26, _descriptor27, _descriptor28, _descriptor29, _descriptor30, _descriptor31, _descriptor32, _descriptor33, _descriptor34, _descriptor35, _descriptor36, _descriptor37, _descriptor38, _descriptor39, _descriptor40, _descriptor41, _descriptor42, _descriptor43, _descriptor44, _descriptor45, _descriptor46, _descriptor47, _descriptor48; /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 * Create By Steven King on 2019.05.21
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 */


var _mobx = require('mobx');

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _store = require('../components/store');

var _store2 = _interopRequireDefault(_store);

var _axios = require('../components/axios');

var _axios2 = _interopRequireDefault(_axios);

var _language = require('./language');

var _language2 = _interopRequireDefault(_language);

var _constants = require('../common/constants');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _initDefineProp(target, property, descriptor, context) {
  if (!descriptor) return;
  Object.defineProperty(target, property, {
    enumerable: descriptor.enumerable,
    configurable: descriptor.configurable,
    writable: descriptor.writable,
    value: descriptor.initializer ? descriptor.initializer.call(context) : void 0
  });
}

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

function _initializerWarningHelper(descriptor, context) {
  throw new Error('Decorating class property failed. Please ensure that transform-class-properties is enabled.');
}

var ORDER = _constants.SEARCH_TYPE.ORDER,
    KDB = _constants.SEARCH_TYPE.KDB,
    QDB = _constants.SEARCH_TYPE.QDB;


var DEFAULT_PAGE = {
  page: 1,
  size: 10,
  total: 0
};

var queryParam = function queryParam(data) {
  var arr = [];
  for (var key in data) {
    arr.push(key + '=' + data[key]);
  }
  return arr.join('&');
};

var GlobalSearchStore = (_dec = (0, _store2['default'])('GlobalSearchStore'), _dec2 = _mobx.action.bound, _dec3 = _mobx.action.bound, _dec4 = _mobx.action.bound, _dec5 = _mobx.action.bound, _dec6 = _mobx.action.bound, _dec7 = _mobx.action.bound, _dec8 = _mobx.action.bound, _dec9 = _mobx.action.bound, _dec10 = _mobx.action.bound, _dec11 = _mobx.action.bound, _dec12 = _mobx.action.bound, _dec13 = _mobx.action.bound, _dec14 = _mobx.action.bound, _dec15 = _mobx.action.bound, _dec16 = _mobx.action.bound, _dec17 = _mobx.action.bound, _dec18 = _mobx.action.bound, _dec19 = _mobx.action.bound, _dec20 = _mobx.action.bound, _dec(_class = (_class2 = function (_languageStore) {
  (0, _inherits3['default'])(GlobalSearchStore, _languageStore);

  function GlobalSearchStore() {
    (0, _classCallCheck3['default'])(this, GlobalSearchStore);

    var _this = (0, _possibleConstructorReturn3['default'])(this, (GlobalSearchStore.__proto__ || Object.getPrototypeOf(GlobalSearchStore)).call(this, 'globalSearch'));

    _initDefineProp(_this, 'queryNull', _descriptor, _this);

    _initDefineProp(_this, 'loading', _descriptor2, _this);

    _initDefineProp(_this, 'hot', _descriptor3, _this);

    _initDefineProp(_this, 'searchText', _descriptor4, _this);

    _initDefineProp(_this, 'menu', _descriptor5, _this);

    _initDefineProp(_this, 'organizationId', _descriptor6, _this);

    _initDefineProp(_this, 'organizationName', _descriptor7, _this);

    _initDefineProp(_this, 'type', _descriptor8, _this);

    _initDefineProp(_this, 'userInfo', _descriptor9, _this);

    _initDefineProp(_this, 'searchField', _descriptor10, _this);

    _initDefineProp(_this, 'kwSearchField', _descriptor11, _this);

    _initDefineProp(_this, 'QASearchField', _descriptor12, _this);

    _initDefineProp(_this, 'serviceOrderCounts', _descriptor13, _this);

    _initDefineProp(_this, 'page', _descriptor14, _this);

    _initDefineProp(_this, 'size', _descriptor15, _this);

    _initDefineProp(_this, 'searchResultList', _descriptor16, _this);

    _initDefineProp(_this, 'setSearchText', _descriptor17, _this);

    _initDefineProp(_this, 'setSearchField', _descriptor18, _this);

    _initDefineProp(_this, 'setServiceOrderCounts', _descriptor19, _this);

    _initDefineProp(_this, 'QASearchCounts', _descriptor20, _this);

    _initDefineProp(_this, 'QApage', _descriptor21, _this);

    _initDefineProp(_this, 'QAsize', _descriptor22, _this);

    _initDefineProp(_this, 'QAsearchResultList', _descriptor23, _this);

    _initDefineProp(_this, 'setQASearchCounts', _descriptor24, _this);

    _initDefineProp(_this, 'setQASearchField', _descriptor25, _this);

    _initDefineProp(_this, 'setQAsearchResultList', _descriptor26, _this);

    _initDefineProp(_this, 'setMenu', _descriptor27, _this);

    _initDefineProp(_this, 'setPage', _descriptor28, _this);

    _initDefineProp(_this, 'setQApage', _descriptor29, _this);

    _initDefineProp(_this, 'setThePage', _descriptor30, _this);

    _initDefineProp(_this, 'setQAsize', _descriptor31, _this);

    _initDefineProp(_this, 'setSize', _descriptor32, _this);

    _initDefineProp(_this, 'setType', _descriptor33, _this);

    _initDefineProp(_this, 'setOrganizationId', _descriptor34, _this);

    _initDefineProp(_this, 'setSearchResultList', _descriptor35, _this);

    _initDefineProp(_this, 'knowledgeCounts', _descriptor36, _this);

    _initDefineProp(_this, 'theSearchField', _descriptor37, _this);

    _initDefineProp(_this, 'theSearchRange', _descriptor38, _this);

    _initDefineProp(_this, 'theSearchSource', _descriptor39, _this);

    _initDefineProp(_this, 'theSearchAccurcy', _descriptor40, _this);

    _initDefineProp(_this, 'theBeginAt', _descriptor41, _this);

    _initDefineProp(_this, 'theEndAt', _descriptor42, _this);

    _initDefineProp(_this, 'thePage', _descriptor43, _this);

    _initDefineProp(_this, 'theSize', _descriptor44, _this);

    _initDefineProp(_this, 'kwlgResultList', _descriptor45, _this);

    _initDefineProp(_this, 'setKwSearchField', _descriptor46, _this);

    _initDefineProp(_this, 'searchApi', _descriptor47, _this);

    _this.dataFactory = function (key, sourceData) {
      var resultList = [];
      if (key === ORDER) {
        sourceData.map(function (item) {
          var result = {};
          result.id = item.id;
          result.titleCode = item.eventNum;
          result.titleText = item.title;
          result.project = item.projectName;
          result.orderType = item.ticketTypeMeaning;
          result.creator = item.createEmployeeName;
          result.handlor = item.handlerName;
          result.avatar = item.createEmployeeImage;
          result.status = item.ticketStatusName;
          result.description = item.description;
          result.reason = item.rootCauseContent;
          result.solution = item.solutionContent;
          result.reply = item.eventReplyContent;
          result.statusColor = item.ticketStatusColor;
          result.createAt = item.submitDate;
          result.orderTypesType = item.ticketTypeClassify;
          result.createEmployeeGroupName = item.createEmployeeGroupName;
          result.handleGroupName = item.handleGroupName;
          resultList.push(result);
        });
      } else if (key === KDB) {
        sourceData.map(function (item) {
          var result = {};
          result.knowledgeId = item.knowledgeId;
          result.titleCode = '';
          result.titleText = item.title;
          result.tagList = item.keywords;
          result.paragraph = item.content;
          result.author = item.author;
          result.avatar = item.userUrl;
          result.createAt = item.creationDate;
          result.serverPath = item.categoryName;
          result.creator = item.createdBy;
          resultList.push(result);
        });
      } else {
        sourceData.map(function (item) {
          var result = {};
          result.questionId = item.questionId;
          result.questionName = item.questionName;
          result.answer = item.answer;
          result.creationDate = item.creationDate;
          result.categoryName = item.categoryName;
          result.relatedQuestionList = item.relatedQuestionList;
          resultList.push(result);
        });
      }
      return resultList;
    };

    _initDefineProp(_this, 'checkPage', _descriptor48, _this);

    return _this;
  }

  // 通用


  // 搜索内容


  // 默认tab项


  // 租户id


  // 租户名称


  // 租户名称


  // 用户信息


  // 服务单


  // 服务单总数


  // 默认页码


  // 默认页容量
  // 搜索结果集 服务单

  (0, _createClass3['default'])(GlobalSearchStore, [{
    key: 'setUserInfo',
    value: function setUserInfo(userInfo) {
      this.userInfo = userInfo;
    }

    // 问答库


    // 问答库总数


    // 问答库默认页码


    // 问答库搜索结果

  }, {
    key: 'setHot',
    value: function setHot(hot) {
      this.hot = hot;
    }
  }, {
    key: 'setOrganizationName',
    value: function setOrganizationName(organizationName) {
      this.organizationName = organizationName;
    }
  }, {
    key: 'setLoading',
    value: function setLoading(loading) {
      this.loading = loading;
    }

    // 知识库单总数


    // 搜索域


    // 知识范围


    // 知识来源


    // 查询方式


    // 开始时间


    // 结束时间


    // 默认页码


    // 默认页容量

  }, {
    key: 'setKnowledgeCounts',
    // 搜索结果集 知识库

    value: function setKnowledgeCounts(knowledgeCounts) {
      this.knowledgeCounts = knowledgeCounts;
    }
  }, {
    key: 'setTheSearchField',
    value: function setTheSearchField(theSearchField) {
      this.theSearchField = theSearchField;
      this.checkPage();
    }
  }, {
    key: 'setTheSearchRange',
    value: function setTheSearchRange(theSearchRange) {
      this.theSearchRange = theSearchRange;
      this.checkPage();
    }
  }, {
    key: 'setTheSearchSource',
    value: function setTheSearchSource(theSearchSource) {
      this.theSearchSource = theSearchSource;
      this.checkPage();
    }
  }, {
    key: 'setTheSearchAccurcy',
    value: function setTheSearchAccurcy(theSearchAccurcy) {
      this.theSearchAccurcy = theSearchAccurcy;
      this.checkPage();
    }
  }, {
    key: 'setTheBeginAt',
    value: function setTheBeginAt(theBeginAt) {
      this.theBeginAt = theBeginAt;
      this.checkPage();
    }
  }, {
    key: 'setTheEndAt',
    value: function setTheEndAt(theEndAt) {
      this.theEndAt = theEndAt;
      this.checkPage();
    }
  }, {
    key: 'setThePage',
    value: function setThePage(thePage, disabelRequest) {
      this.thePage = thePage;
      if (!disabelRequest) {
        this.searchApi();
      }
    }
  }, {
    key: 'setTheSize',
    value: function setTheSize(theSize, disabelRequest, isAll) {
      this.theSize = theSize;
      if (!disabelRequest) {
        this.searchApi();
      }

      if (isAll) {
        this.searchApi(isAll);
      }
    }
  }, {
    key: 'setKwlgResultList',
    value: function setKwlgResultList(kwlgResultList) {
      this.kwlgResultList = kwlgResultList;
      this.setLoading(false);
    }
  }, {
    key: 'setQueryNull',
    value: function setQueryNull(queryNull) {
      this.queryNull = queryNull;
    }
  }, {
    key: 'loadAll',
    value: function loadAll(noApi) {
      this.setPage(DEFAULT_PAGE.page, true);
      this.setSize(DEFAULT_PAGE.size, true);
      this.setQApage(DEFAULT_PAGE.page, true);
      this.setQAsize(DEFAULT_PAGE.size, true);
      this.setThePage(DEFAULT_PAGE.page, true);
      this.setTheSize(DEFAULT_PAGE.size, true, !noApi);
    }

    // 服务单请求

  }, {
    key: 'searchRequestForServiceOrder',
    value: function searchRequestForServiceOrder() {
      var _this2 = this;

      // 控制不允许搜索
      if (!this.searchText) {
        this.setQueryNull(true);
        return;
      } else {
        this.setQueryNull(false);
      }
      var iamOrganizeationId = this.organizationId,
          queryContent = this.searchText,
          _searchField = this.searchField,
          sort = _searchField.id,
          asc = _searchField.asc,
          page = this.page,
          size = this.size,
          employeeId = this.userInfo.employeeId;

      var param = {
        iamOrganizeationId: iamOrganizeationId,
        sort: sort,
        queryContent: queryContent,
        direction: asc ? 'asc' : 'desc',
        page: page,
        size: size,
        fragmentSize: 100,
        fragmentOffset: 100,
        employeeId: employeeId
      };
      var url = '/itsm/v1/' + iamOrganizeationId + '/organizations/elastic/event?' + queryParam(param);
      this.setLoading(true);
      _axios2['default'].get(url).then(function (json) {
        if (!json.failed) {
          _this2.setServiceOrderCounts(json.total);
          _this2.setSearchResultList(_this2.dataFactory(ORDER, json.elasticDTOList));
        } else {
          _this2.setLoading(false);
        }
      });
    }

    // 知识库请求

  }, {
    key: 'searchRequestForKnowlege',
    value: function searchRequestForKnowlege() {
      var _this3 = this;

      var url = '/km/v1/' + this.organizationId + '/query/match/anyOne';

      if (!this.searchText) {
        this.setQueryNull(true);
        return;
      } else {
        this.setQueryNull(false);
      }
      var iamOrganizationId = this.organizationId,
          searchText = this.searchText,
          _kwSearchField = this.kwSearchField,
          sort = _kwSearchField.id,
          asc = _kwSearchField.asc,
          page = this.thePage,
          size = this.theSize,
          accuracy = this.theSearchAccurcy,
          field = this.theSearchField,
          searchRange = this.theSearchRange,
          theSearchSource = this.theSearchSource,
          creationDateFrom = this.theBeginAt,
          creationDateTo = this.theEndAt,
          userId = this.userInfo.id;

      var param = {
        direction: asc ? 'asc' : 'desc', // 必须小写
        iamOrganizationId: iamOrganizationId,
        knowledgeType: 'all',
        page: page,
        searchField: {
          accuracy: accuracy,
          field: ~field.indexOf('ALL') ? 'all' : field,
          searchText: searchText
        },
        searchRange: ~searchRange.indexOf('ALL') ? 'all' : searchRange,
        size: size,
        sort: sort,
        sourceField: {
          accuracy: 'precise',
          field: 'source',
          searchText: ~theSearchSource.indexOf('ALL') ? 'ALL' : theSearchSource // 必须大写
        },
        userId: userId
      };

      if (creationDateFrom && creationDateTo) {
        param.creationDateFrom = (0, _moment2['default'])(creationDateFrom).format('YYYY-MM-DD');
        param.creationDateTo = (0, _moment2['default'])(creationDateTo).format('YYYY-MM-DD');
      }

      this.setLoading(true);
      _axios2['default'].post(url, param).then(function (json) {
        if (!json.failed) {
          _this3.setKnowledgeCounts(json.totalHits);
          _this3.setKwlgResultList(_this3.dataFactory(KDB, json.indexTemplateList));
        } else {
          _this3.setLoading(false);
        }
      });
    }

    // 问答库请求

  }, {
    key: 'searchRequestForQuestion',
    value: function searchRequestForQuestion() {
      var _this4 = this;

      if (!this.searchText) {
        this.setQueryNull(true);
        return;
      } else {
        this.setQueryNull(false);
      }
      var iamOrganizationId = this.organizationId,
          queryText = this.searchText,
          _QASearchField = this.QASearchField,
          sort = _QASearchField.id,
          asc = _QASearchField.asc,
          page = this.QApage,
          size = this.QAsize;

      var param = {
        iamOrganizationId: iamOrganizationId,
        sort: sort,
        queryText: queryText,
        direction: asc ? 'asc' : 'desc',
        page: page,
        size: size
      };

      this.setLoading(true);
      var url = '/chatrobot/v1/' + this.organizationId + '/question/qa/query?' + queryParam(param);
      _axios2['default'].get(url).then(function (json) {
        if (json.success) {
          _this4.setQASearchCounts(json.result.totalHits);
          _this4.setQAsearchResultList(_this4.dataFactory(QDB, json.result.crQaQuestions));
        } else {
          _this4.setLoading(false);
        }
      });
    }
  }]);
  return GlobalSearchStore;
}(_language2['default']), (_descriptor = _applyDecoratedDescriptor(_class2.prototype, 'queryNull', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return false;
  }
}), _descriptor2 = _applyDecoratedDescriptor(_class2.prototype, 'loading', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return false;
  }
}), _descriptor3 = _applyDecoratedDescriptor(_class2.prototype, 'hot', [_mobx.observable], {
  enumerable: true,
  initializer: null
}), _descriptor4 = _applyDecoratedDescriptor(_class2.prototype, 'searchText', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return '';
  }
}), _descriptor5 = _applyDecoratedDescriptor(_class2.prototype, 'menu', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return ORDER;
  }
}), _descriptor6 = _applyDecoratedDescriptor(_class2.prototype, 'organizationId', [_mobx.observable], {
  enumerable: true,
  initializer: null
}), _descriptor7 = _applyDecoratedDescriptor(_class2.prototype, 'organizationName', [_mobx.observable], {
  enumerable: true,
  initializer: null
}), _descriptor8 = _applyDecoratedDescriptor(_class2.prototype, 'type', [_mobx.observable], {
  enumerable: true,
  initializer: null
}), _descriptor9 = _applyDecoratedDescriptor(_class2.prototype, 'userInfo', [_mobx.observable], {
  enumerable: true,
  initializer: null
}), _descriptor10 = _applyDecoratedDescriptor(_class2.prototype, 'searchField', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return { // 排序字段
      id: '_score',
      asc: ''
    };
  }
}), _descriptor11 = _applyDecoratedDescriptor(_class2.prototype, 'kwSearchField', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return { // 排序字段 知识库
      id: 'dateAndScore',
      asc: ''
    };
  }
}), _descriptor12 = _applyDecoratedDescriptor(_class2.prototype, 'QASearchField', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return { // 排序字段 问答库
      id: '_score',
      asc: '' };
  }
}), _descriptor13 = _applyDecoratedDescriptor(_class2.prototype, 'serviceOrderCounts', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return DEFAULT_PAGE.total;
  }
}), _descriptor14 = _applyDecoratedDescriptor(_class2.prototype, 'page', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return DEFAULT_PAGE.page;
  }
}), _descriptor15 = _applyDecoratedDescriptor(_class2.prototype, 'size', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return DEFAULT_PAGE.size;
  }
}), _descriptor16 = _applyDecoratedDescriptor(_class2.prototype, 'searchResultList', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return [];
  }
}), _descriptor17 = _applyDecoratedDescriptor(_class2.prototype, 'setSearchText', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this5 = this;

    return function (searchText) {
      _this5.searchText = searchText;
      _this5.setQueryNull(false);
    };
  }
}), _descriptor18 = _applyDecoratedDescriptor(_class2.prototype, 'setSearchField', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this6 = this;

    return function (searchField) {
      _this6.searchField = searchField;
      _this6.checkPage();
    };
  }
}), _descriptor19 = _applyDecoratedDescriptor(_class2.prototype, 'setServiceOrderCounts', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this7 = this;

    return function (serviceOrderCounts) {
      _this7.serviceOrderCounts = serviceOrderCounts;
    };
  }
}), _applyDecoratedDescriptor(_class2.prototype, 'setUserInfo', [_dec2], Object.getOwnPropertyDescriptor(_class2.prototype, 'setUserInfo'), _class2.prototype), _descriptor20 = _applyDecoratedDescriptor(_class2.prototype, 'QASearchCounts', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return DEFAULT_PAGE.total;
  }
}), _descriptor21 = _applyDecoratedDescriptor(_class2.prototype, 'QApage', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return DEFAULT_PAGE.page;
  }
}), _descriptor22 = _applyDecoratedDescriptor(_class2.prototype, 'QAsize', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return DEFAULT_PAGE.size;
  }
}), _descriptor23 = _applyDecoratedDescriptor(_class2.prototype, 'QAsearchResultList', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return [];
  }
}), _descriptor24 = _applyDecoratedDescriptor(_class2.prototype, 'setQASearchCounts', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this8 = this;

    return function (QASearchCounts) {
      _this8.QASearchCounts = QASearchCounts;
    };
  }
}), _descriptor25 = _applyDecoratedDescriptor(_class2.prototype, 'setQASearchField', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this9 = this;

    return function (QASearchField) {
      _this9.QASearchField = QASearchField;
      _this9.checkPage();
    };
  }
}), _descriptor26 = _applyDecoratedDescriptor(_class2.prototype, 'setQAsearchResultList', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this10 = this;

    return function (QAsearchResultList) {
      _this10.QAsearchResultList = QAsearchResultList;
      _this10.setLoading(false);
    };
  }
}), _descriptor27 = _applyDecoratedDescriptor(_class2.prototype, 'setMenu', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this11 = this;

    return function (menu) {
      _this11.menu = menu;
      if (menu === KDB) {
        _this11.setKwSearchField({
          id: 'dateAndScore',
          asc: ''
        });
      } else if (menu === QDB) {
        _this11.setQASearchField({
          id: '_score',
          asc: ''
        });
      } else {
        _this11.setSearchField({
          id: '_score',
          asc: ''
        });
      }
    };
  }
}), _applyDecoratedDescriptor(_class2.prototype, 'setHot', [_dec3], Object.getOwnPropertyDescriptor(_class2.prototype, 'setHot'), _class2.prototype), _descriptor28 = _applyDecoratedDescriptor(_class2.prototype, 'setPage', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this12 = this;

    return function (page, disabelRequest) {
      _this12.page = page;
      if (!disabelRequest) {
        _this12.searchApi();
      }
    };
  }
}), _descriptor29 = _applyDecoratedDescriptor(_class2.prototype, 'setQApage', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this13 = this;

    return function (QApage, disabelRequest) {
      _this13.QApage = QApage;
      if (!disabelRequest) {
        _this13.searchApi();
      }
    };
  }
}), _descriptor30 = _applyDecoratedDescriptor(_class2.prototype, 'setThePage', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this14 = this;

    return function (thePage, disabelRequest) {
      _this14.thePage = thePage;
      if (!disabelRequest) {
        _this14.searchApi();
      }
    };
  }
}), _descriptor31 = _applyDecoratedDescriptor(_class2.prototype, 'setQAsize', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this15 = this;

    return function (QAsize, disabelRequest, isAll) {
      _this15.QAsize = QAsize;
      if (!disabelRequest) {
        _this15.searchApi();
      }
      if (isAll) {
        _this15.searchApi(isAll);
      }
    };
  }
}), _descriptor32 = _applyDecoratedDescriptor(_class2.prototype, 'setSize', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this16 = this;

    return function (size, disabelRequest, isAll) {
      _this16.size = size;
      if (!disabelRequest) {
        _this16.searchApi();
      }
      if (isAll) {
        _this16.searchApi(isAll);
      }
    };
  }
}), _descriptor33 = _applyDecoratedDescriptor(_class2.prototype, 'setType', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this17 = this;

    return function (type) {
      _this17.type = type;
    };
  }
}), _descriptor34 = _applyDecoratedDescriptor(_class2.prototype, 'setOrganizationId', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this18 = this;

    return function (id) {
      _this18.organizationId = id;
    };
  }
}), _applyDecoratedDescriptor(_class2.prototype, 'setOrganizationName', [_dec4], Object.getOwnPropertyDescriptor(_class2.prototype, 'setOrganizationName'), _class2.prototype), _descriptor35 = _applyDecoratedDescriptor(_class2.prototype, 'setSearchResultList', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this19 = this;

    return function (searchResultList) {
      _this19.searchResultList = searchResultList;
      _this19.setLoading(false);
    };
  }
}), _applyDecoratedDescriptor(_class2.prototype, 'setLoading', [_dec5], Object.getOwnPropertyDescriptor(_class2.prototype, 'setLoading'), _class2.prototype), _descriptor36 = _applyDecoratedDescriptor(_class2.prototype, 'knowledgeCounts', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return DEFAULT_PAGE.total;
  }
}), _descriptor37 = _applyDecoratedDescriptor(_class2.prototype, 'theSearchField', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return 'ALL0';
  }
}), _descriptor38 = _applyDecoratedDescriptor(_class2.prototype, 'theSearchRange', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return 'ALL1';
  }
}), _descriptor39 = _applyDecoratedDescriptor(_class2.prototype, 'theSearchSource', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return 'ALL2';
  }
}), _descriptor40 = _applyDecoratedDescriptor(_class2.prototype, 'theSearchAccurcy', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return 'fuzzy';
  }
}), _descriptor41 = _applyDecoratedDescriptor(_class2.prototype, 'theBeginAt', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return '';
  }
}), _descriptor42 = _applyDecoratedDescriptor(_class2.prototype, 'theEndAt', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return '';
  }
}), _descriptor43 = _applyDecoratedDescriptor(_class2.prototype, 'thePage', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return DEFAULT_PAGE.page;
  }
}), _descriptor44 = _applyDecoratedDescriptor(_class2.prototype, 'theSize', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return DEFAULT_PAGE.size;
  }
}), _descriptor45 = _applyDecoratedDescriptor(_class2.prototype, 'kwlgResultList', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return [];
  }
}), _applyDecoratedDescriptor(_class2.prototype, 'setKnowledgeCounts', [_dec6], Object.getOwnPropertyDescriptor(_class2.prototype, 'setKnowledgeCounts'), _class2.prototype), _descriptor46 = _applyDecoratedDescriptor(_class2.prototype, 'setKwSearchField', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this20 = this;

    return function (kwSearchField) {
      _this20.kwSearchField = kwSearchField;
      _this20.checkPage();
    };
  }
}), _applyDecoratedDescriptor(_class2.prototype, 'setTheSearchField', [_dec7], Object.getOwnPropertyDescriptor(_class2.prototype, 'setTheSearchField'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setTheSearchRange', [_dec8], Object.getOwnPropertyDescriptor(_class2.prototype, 'setTheSearchRange'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setTheSearchSource', [_dec9], Object.getOwnPropertyDescriptor(_class2.prototype, 'setTheSearchSource'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setTheSearchAccurcy', [_dec10], Object.getOwnPropertyDescriptor(_class2.prototype, 'setTheSearchAccurcy'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setTheBeginAt', [_dec11], Object.getOwnPropertyDescriptor(_class2.prototype, 'setTheBeginAt'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setTheEndAt', [_dec12], Object.getOwnPropertyDescriptor(_class2.prototype, 'setTheEndAt'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setThePage', [_dec13], Object.getOwnPropertyDescriptor(_class2.prototype, 'setThePage'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setTheSize', [_dec14], Object.getOwnPropertyDescriptor(_class2.prototype, 'setTheSize'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setKwlgResultList', [_dec15], Object.getOwnPropertyDescriptor(_class2.prototype, 'setKwlgResultList'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setQueryNull', [_dec16], Object.getOwnPropertyDescriptor(_class2.prototype, 'setQueryNull'), _class2.prototype), _descriptor47 = _applyDecoratedDescriptor(_class2.prototype, 'searchApi', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this21 = this;

    return function (isAll) {
      if (isAll) {
        _this21.searchRequestForServiceOrder();
        _this21.searchRequestForKnowlege();
        _this21.searchRequestForQuestion();
        return;
      }

      if (_this21.menu === ORDER) {
        _this21.searchRequestForServiceOrder();
      } else if (_this21.menu === KDB) {
        _this21.searchRequestForKnowlege();
      } else {
        _this21.searchRequestForQuestion();
      }
    };
  }
}), _descriptor48 = _applyDecoratedDescriptor(_class2.prototype, 'checkPage', [_mobx.action], {
  enumerable: true,
  initializer: function initializer() {
    var _this22 = this;

    return function () {
      if (_this22.menu === ORDER) {
        _this22.setPage(DEFAULT_PAGE.page, true);
        _this22.setSize(DEFAULT_PAGE.size);
      } else if (_this22.menu === KDB) {
        _this22.setThePage(DEFAULT_PAGE.page, true);
        _this22.setTheSize(DEFAULT_PAGE.size);
      } else {
        _this22.setQApage(DEFAULT_PAGE.page, true);
        _this22.setQAsize(DEFAULT_PAGE.size);
      }
    };
  }
}), _applyDecoratedDescriptor(_class2.prototype, 'loadAll', [_dec17], Object.getOwnPropertyDescriptor(_class2.prototype, 'loadAll'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'searchRequestForServiceOrder', [_dec18], Object.getOwnPropertyDescriptor(_class2.prototype, 'searchRequestForServiceOrder'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'searchRequestForKnowlege', [_dec19], Object.getOwnPropertyDescriptor(_class2.prototype, 'searchRequestForKnowlege'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'searchRequestForQuestion', [_dec20], Object.getOwnPropertyDescriptor(_class2.prototype, 'searchRequestForQuestion'), _class2.prototype)), _class2)) || _class);


var globalSearchStore = new GlobalSearchStore();

exports['default'] = globalSearchStore;