'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class, _desc, _value, _class2, _descriptor, _descriptor2, _descriptor3, _descriptor4, _descriptor5, _descriptor6, _descriptor7, _descriptor8; /**
                                                                                                                                                          * Create By kanghua.pang on 2019.06.14
                                                                                                                                                          */


var _mobx = require('mobx');

var _store = require('../components/store');

var _store2 = _interopRequireDefault(_store);

var _language = require('./language');

var _language2 = _interopRequireDefault(_language);

var _axios = require('../components/axios');

var _axios2 = _interopRequireDefault(_axios);

var _Observable = require('rxjs/Observable');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _initDefineProp(target, property, descriptor, context) {
  if (!descriptor) return;
  Object.defineProperty(target, property, {
    enumerable: descriptor.enumerable,
    configurable: descriptor.configurable,
    writable: descriptor.writable,
    value: descriptor.initializer ? descriptor.initializer.call(context) : void 0
  });
}

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

function _initializerWarningHelper(descriptor, context) {
  throw new Error('Decorating class property failed. Please ensure that transform-class-properties is enabled.');
}

var PreviewStore = (_dec = (0, _store2['default'])('PreviewStore'), _dec(_class = (_class2 = function (_languageStore) {
  (0, _inherits3['default'])(PreviewStore, _languageStore);

  function PreviewStore() {
    (0, _classCallCheck3['default'])(this, PreviewStore);

    var _this = (0, _possibleConstructorReturn3['default'])(this, (PreviewStore.__proto__ || Object.getPrototypeOf(PreviewStore)).call(this, 'preview'));

    _initDefineProp(_this, 'isHeaderVisable', _descriptor, _this);

    _initDefineProp(_this, 'previewFile', _descriptor2, _this);

    _initDefineProp(_this, 'fileName', _descriptor3, _this);

    _initDefineProp(_this, 'txtContent', _descriptor4, _this);

    _initDefineProp(_this, 'preViewTopIcon', _descriptor5, _this);

    _initDefineProp(_this, 'fileSize', _descriptor6, _this);

    _initDefineProp(_this, 'fileType', _descriptor7, _this);

    _initDefineProp(_this, 'fileUrl', _descriptor8, _this);

    _this.getPreviewData = function (iamOrganizationId, fileId) {
      _axios2['default'].get('/fileService/v1/' + iamOrganizationId + '/file/view/stream/' + fileId).then(function (data) {
        _this.setFileContent(data);
      });
    };

    return _this;
  }

  (0, _createClass3['default'])(PreviewStore, [{
    key: 'setPreviewTopIcon',
    value: function setPreviewTopIcon(preViewTopIcon) {
      this.preViewTopIcon = preViewTopIcon;
    }
  }, {
    key: 'setFileContent',
    value: function setFileContent(txtContent) {
      this.txtContent = txtContent;
    }
  }, {
    key: 'setPreviewFile',
    value: function setPreviewFile(previewFile) {
      this.previewFile = previewFile;
    }
  }, {
    key: 'setHeaderVisableStatus',
    value: function setHeaderVisableStatus(status) {
      this.isHeaderVisable = status;
    }
  }, {
    key: 'setFileName',
    value: function setFileName(fileName) {
      this.fileName = fileName;
    }
  }, {
    key: 'setFileSize',
    value: function setFileSize(fileSize) {
      this.fileSize = fileSize;
    }
  }, {
    key: 'setFileUrl',
    value: function setFileUrl(fileUrl) {
      this.fileUrl = fileUrl;
    }
  }, {
    key: 'setFileType',
    value: function setFileType(fileType) {
      this.fileType = fileType;
    }
  }, {
    key: 'getTxtContent',
    get: function get() {
      return this.txtContent;
    }
  }, {
    key: 'getPreViewTopIcon',
    get: function get() {
      return this.preViewTopIcon;
    }
  }, {
    key: 'getPreviewFile',
    get: function get() {
      return this.previewFile;
    }
  }, {
    key: 'getFileName',
    get: function get() {
      return this.fileName;
    }
  }, {
    key: 'getFileSize',
    get: function get() {
      return this.fileSize;
    }
  }, {
    key: 'getFileUrl',
    get: function get() {
      return this.fileUrl;
    }
  }, {
    key: 'getFileType',
    get: function get() {
      return this.fileType;
    }
  }]);
  return PreviewStore;
}(_language2['default']), (_descriptor = _applyDecoratedDescriptor(_class2.prototype, 'isHeaderVisable', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return true;
  }
}), _descriptor2 = _applyDecoratedDescriptor(_class2.prototype, 'previewFile', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return '';
  }
}), _descriptor3 = _applyDecoratedDescriptor(_class2.prototype, 'fileName', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return '';
  }
}), _descriptor4 = _applyDecoratedDescriptor(_class2.prototype, 'txtContent', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return '';
  }
}), _descriptor5 = _applyDecoratedDescriptor(_class2.prototype, 'preViewTopIcon', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return '';
  }
}), _descriptor6 = _applyDecoratedDescriptor(_class2.prototype, 'fileSize', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return '';
  }
}), _descriptor7 = _applyDecoratedDescriptor(_class2.prototype, 'fileType', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return '';
  }
}), _descriptor8 = _applyDecoratedDescriptor(_class2.prototype, 'fileUrl', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return '';
  }
}), _applyDecoratedDescriptor(_class2.prototype, 'getTxtContent', [_mobx.computed], Object.getOwnPropertyDescriptor(_class2.prototype, 'getTxtContent'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'getPreViewTopIcon', [_mobx.computed], Object.getOwnPropertyDescriptor(_class2.prototype, 'getPreViewTopIcon'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'getPreviewFile', [_mobx.computed], Object.getOwnPropertyDescriptor(_class2.prototype, 'getPreviewFile'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'getFileName', [_mobx.computed], Object.getOwnPropertyDescriptor(_class2.prototype, 'getFileName'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'getFileSize', [_mobx.computed], Object.getOwnPropertyDescriptor(_class2.prototype, 'getFileSize'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'getFileUrl', [_mobx.computed], Object.getOwnPropertyDescriptor(_class2.prototype, 'getFileUrl'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'getFileType', [_mobx.computed], Object.getOwnPropertyDescriptor(_class2.prototype, 'getFileType'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setPreviewTopIcon', [_mobx.action], Object.getOwnPropertyDescriptor(_class2.prototype, 'setPreviewTopIcon'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setFileContent', [_mobx.action], Object.getOwnPropertyDescriptor(_class2.prototype, 'setFileContent'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setPreviewFile', [_mobx.action], Object.getOwnPropertyDescriptor(_class2.prototype, 'setPreviewFile'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setHeaderVisableStatus', [_mobx.action], Object.getOwnPropertyDescriptor(_class2.prototype, 'setHeaderVisableStatus'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setFileName', [_mobx.action], Object.getOwnPropertyDescriptor(_class2.prototype, 'setFileName'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setFileSize', [_mobx.action], Object.getOwnPropertyDescriptor(_class2.prototype, 'setFileSize'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setFileUrl', [_mobx.action], Object.getOwnPropertyDescriptor(_class2.prototype, 'setFileUrl'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'setFileType', [_mobx.action], Object.getOwnPropertyDescriptor(_class2.prototype, 'setFileType'), _class2.prototype)), _class2)) || _class);


var previewStore = new PreviewStore();
exports['default'] = previewStore;