'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _AppState = require('./AppState');

var _AppState2 = _interopRequireDefault(_AppState);

var _HeaderStore = require('./HeaderStore');

var _HeaderStore2 = _interopRequireDefault(_HeaderStore);

var _MenuStore = require('./MenuStore');

var _MenuStore2 = _interopRequireDefault(_MenuStore);

var _SearchBoxStore = require('./SearchBoxStore');

var _SearchBoxStore2 = _interopRequireDefault(_SearchBoxStore);

var _PermissionStore = require('./PermissionStore');

var _PermissionStore2 = _interopRequireDefault(_PermissionStore);

var _AnnouncementStore = require('./AnnouncementStore');

var _AnnouncementStore2 = _interopRequireDefault(_AnnouncementStore);

var _CalendarStore = require('./CalendarStore');

var _CalendarStore2 = _interopRequireDefault(_CalendarStore);

var _KnowledgeBaseStore = require('./KnowledgeBaseStore');

var _KnowledgeBaseStore2 = _interopRequireDefault(_KnowledgeBaseStore);

var _MyTasksStore = require('./MyTasksStore');

var _MyTasksStore2 = _interopRequireDefault(_MyTasksStore);

var _PortalStore = require('./PortalStore');

var _PortalStore2 = _interopRequireDefault(_PortalStore);

var _GlobalSearchStore = require('./GlobalSearchStore');

var _GlobalSearchStore2 = _interopRequireDefault(_GlobalSearchStore);

var _language = require('./language');

var _language2 = _interopRequireDefault(_language);

var _UtilStore = require('./UtilStore');

var _UtilStore2 = _interopRequireDefault(_UtilStore);

var _common = require('../common');

var _PreviewStore = require('./PreviewStore');

var _PreviewStore2 = _interopRequireDefault(_PreviewStore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var stores = {
  AppState: _AppState2['default'],
  HeaderStore: _HeaderStore2['default'],
  MenuStore: _MenuStore2['default'],
  SearchBoxStore: _SearchBoxStore2['default'],
  PermissionStore: _PermissionStore2['default'],
  AnnouncementStore: _AnnouncementStore2['default'],
  CalendarStore: _CalendarStore2['default'],
  KnowledgeBaseStore: _KnowledgeBaseStore2['default'],
  MyTasksStore: _MyTasksStore2['default'],
  PortalStore: _PortalStore2['default'],
  GlobalSearchStore: _GlobalSearchStore2['default'],
  LanguageStore: _language2['default'],
  UtilStore: _UtilStore2['default'],
  PreviewStore: _PreviewStore2['default']
};
if (_common.dashboard) {
  stores.PortalStore = _PortalStore2['default'];
}

exports['default'] = stores;