'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/*eslint-disable*/
var en_US = {
  'common': {
    "yes": '',
    "no": '',
    "save": '',
    "close": '',
    "stop": '',
    "restart": '',
    "upgrade": '',
    "learnmore": '',
    "signout": '',
    "select": '',
    "return": '',
    "filtertable": '',
    "ok": '',
    "all": '',
    "valid": '',

    "day": '',
    "hour": '',
    "minute": '',
    "second": '',

    "operation": '',
    "add": '',
    "addnew": '',
    "new": '',
    "create": '',
    "edit": '',
    "modify": '',
    "delete": '',
    "remove": '',
    "confirm.delete": '',
    "confirm.delete.tip": '',
    "confirm": '',
    "cancel": '',
    "refresh": '',
    "detail": '',
    "enable": '',
    "effective": '',
    "invalid": '',
    "disable": '',
    "expired": '',
    "publish": '',
    "unpublished": '',
    "published": '',
    "reviewing": '',
    "reviewed": '',
    "upload": '',
    "preview": '',
    "reload": '',
    "warning": '',
    "republish": '',
    "success": '',
    "operation.success": '',
    "add.success": '',
    "create.success": '',
    "modify.success": '',
    "save.success": '',
    "delete.success": '',
    "remove.success": '',
    "enable.success": '',
    "disable.success": '',
    "effective.success": '',
    "invalid.success": '',
    "publish.success": '',
    "comment.success": '',
    "reply.success": '',
    "collect.success": '',
    "submit.success": '',
    "error": '',
    "operation.error": '',
    "add.error": '',
    "create.error": '',
    "modify.error": '',
    "save.error": '',
    "delete.error": '',
    "remove.error": '',
    "enabled.error": '',
    "disable.error": '',
    "effective.error": '',
    "invalid.error": '',
    "publish.error": '',
    "comment.error": '',
    "reply.error": '',
    "collect.error": '',
    // 平台
    'announcement': '',
    'calendar': '',
    'myTask': '',
    'todoList': '',
    'process': '',
    'approval': '',
    'doneMatter': '',
    'report': '',
    'knowledge': '',
    'latestKnowledge': '',
    'popularKnowledge': '',
    'form.cancel.title': '',
    'form.cancel.content': '',
    'robot': '',
    'new.order': '',
    'intelligent.service': '',
    'intelligent.welcome': '',
    'input.msg': '',
    'send': '',
    'before': '',
    'robot.help': '',
    'intelligent.service.clear.history': '',
    'homepage': '',
    'notice': '通知',
    'open': '打开'
  },
  // 组件语言
  'util': {
    'robot': '',
    'new.order': '',
    'intelligent.service': '',
    'intelligent.welcome': '',
    'input.msg': '',
    'send': '',
    'before': '',
    'robot.help': '',
    'intelligent.service.clear.history': '',
    'robot.knowledge': '',
    'robot.order': '',
    'robot.content': '',
    'robot.broken': '',
    'robot.input': '',
    'robot.have.sensitive': ''
  },
  // 代办事项
  'task': {
    'organization.setting.todoList.key': '',
    'organization.setting.todoList.theme': '',
    'organization.setting.todoList.applicant': '',
    'organization.setting.todoList.submitter': '',
    'organization.setting.todoList.sourceFrom': '',
    'organization.setting.todoList.priority': '',
    'organization.setting.todoList.creationDate': '',
    'organization.setting.todoList.lastUpdateDate': '',
    'organization.setting.todoList.status': '',
    'organization.globalsearch.noData': '',
    'invite.title': '',
    'invite.content1': '',
    'invite.content2': '',
    'invite.content3': '',
    'invite.time.msg': '',
    'invite.ok': '',
    'invite.reject': '',
    'agree': '',
    'reject': '',
    'boot.refresh': ''
  },
  'myCalendar': {
    // 工作日历
    'organization.setting.calendar.create': '',
    'organization.setting.calendar.editTodo': '',
    'organization.setting.calendar.modify': '',
    'organization.setting.calendar.theme': '',
    'organization.setting.calendar.theme.require.msg': '',
    'organization.setting.calendar.content': '',
    'organization.setting.calendar.content.require.msg': '',
    'organization.setting.calendar.address': '',
    'organization.setting.calendar.address.require.msg': '',
    'organization.setting.calendar.time': '',
    'organization.setting.calendar.startTime': '',
    'organization.setting.calendar.startTime.require.msg': '',
    'organization.setting.calendar.endTime': '',
    'organization.setting.calendar.endTime.require.msg': '',
    'organization.setting.calendar.reminder': '',
    'organization.setting.calendar.remindTime': '',
    'organization.setting.calendar.remindTime.require.msg': '',
    'organization.setting.calendar.time.require.msg': '',
    'organization.setting.calendar.status': '',
    'organization.setting.calendar.create.Message': '',
    'organization.setting.calendar.emailCheck': '',
    'organization.setting.calendar.create.quickly': '',
    'organization.setting.calendar.todo': '',
    'organization.setting.calendar.done': '',
    'none': '',
    'email': '',
    '5.min': '',
    '15.min': '',
    '30.min': '',
    '1.hour': '',
    '2.hour': '',
    '1.day': '',
    '2.day': '',
    '1.week': '',
    'organization.setting.calendar.full.edit': ''
  },
  'announcement': {},
  'bootHeader': {
    'organization.header.inbox.from': '',
    'organization.header.inbox.noMessage': '',
    'organization.header.inbox.messageResSetting': '',
    'organization.header.inbox.allChangeRead': '',
    'organization.header.inbox.seeAll': '',

    'organization.header.user.personalMessage': '',
    'organization.header.user.changePassword': '',
    'organization.header.user.organizationMessage': '',
    'organization.header.user.noticeMsgList': '',
    'organization.header.user.noticeResSetting': '',
    'organization.header.from.source': '',
    'organization.header.station.noMessage': '',
    'organization.header.message.acceptSetting': '',
    'organization.header.taskCenter.list': '',
    'organization.header.file.delete': '',
    'organization.header.not.tagsReads': '',
    'organization.header.organization': '租户',
    'organization.header.organization.all': '所有租户',
    'organization.header.organization.null': '无租户',
    'organization.header.organization.name': '名称',
    'organization.header.organization.code': '编码',
    'organization.header.organization.type': '类型',
    'organization.header.organization.role.msg': '您还没有在任何租户中被分配角色',
    'organization.header.organization.null.record': '您没有最近浏览记录',
    'organization.header.select.project': '选择项目',
    'organization.header.organization.recent': '最近',
    'organization.header.search.organization': '搜索租户',
    'organization.header.user.info': '个人信息',
    'organization.header.change.password': '修改密码',
    'organization.header.organization.info': '租户信息',
    'organization.header.notice.list': '消息通知列表',
    'organization.header.notice.config': '消息接收设置',
    'organization.header.login.out': '退出登录',
    'organization.header.portal.enter': '服务门户',

    'organization.header.notice.search': '',
    'organization.header.notice.allNotice': '',
    'organization.header.notice.unReadNotice': '',
    'organization.header.notice.sourceSystem.all': '',
    'organization.header.notice.sourceSystem.ITSM': '',
    'organization.header.notice.sourceSystem.KB': '',
    'organization.header.notice.sourceSystem.WF': '',
    'organization.header.notice.sourceSystem.SYSTEM': '',
    'organization.header.notice.systemAdmin': '',
    'organization.header.notice.null': '',
    'organization.header.notice.confirm.delete': '',
    'organization.header.notice.founder': '',
    'organization.header.notice.creationDate': '',
    'organization.header.notice.organizationName': '',
    'organization.header.notice.projectName': '',
    'organization.header.notice.please.click': '',
    'organization.header.notice.here': '',
    'organization.header.notice.dateYear': '',
    'organization.header.notice.dateMonth': '',
    'organization.header.notice.dateWeek': '',
    'organization.header.notice.dateDay': '',
    'organization.header.notice.dateHour': '',
    'organization.header.notice.dateMinutes': '',
    'organization.header.notice.dateNow': '',
    'organization.header.notice.clickMore': '',
    'organization.header.notice.noMore': '',

    'organization.header.tipsTop': '',
    'portal.layout.announcement': '',
    'common.attachment': ''
  },

  // 项目数量
  'ProjectService': {
    'portal.projectList.title': '',
    'portal.projectList.table.my': '',
    'portal.projectList.table.pending': '',
    'portal.projectList.table.shelters': '',
    'portal.projectList.calender': '',
    'organization.globalsearch.noData': ''
  }
};
exports['default'] = en_US;