'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports['default'] = runCmd;

var _getRunCmdEnv = require('./getRunCmdEnv');

var _getRunCmdEnv2 = _interopRequireDefault(_getRunCmdEnv);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function runCmd(cmd, args, fn) {
  var runner = require('child_process').spawn(cmd, args || [], {
    // keep color
    stdio: 'inherit',
    env: (0, _getRunCmdEnv2['default'])()
  });

  runner.on('close', function (code) {
    if (fn) {
      fn(code);
    }
  });
}