'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _style4 = require('yqcloud-ui/lib/modal/style');

var _modal = require('yqcloud-ui/lib/modal');

var _modal2 = _interopRequireDefault(_modal);

var _style5 = require('yqcloud-ui/lib/button/style');

var _button = require('yqcloud-ui/lib/button');

var _button2 = _interopRequireDefault(_button);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _style6 = require('yqcloud-ui/lib/input/style');

var _input = require('yqcloud-ui/lib/input');

var _input2 = _interopRequireDefault(_input);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var TextArea = _input2['default'].TextArea;

var FullEditor = function (_Component) {
  (0, _inherits3['default'])(FullEditor, _Component);

  function FullEditor(props) {
    (0, _classCallCheck3['default'])(this, FullEditor);

    var _this = (0, _possibleConstructorReturn3['default'])(this, (FullEditor.__proto__ || Object.getPrototypeOf(FullEditor)).call(this, props));

    _this.handleOk = function () {
      _this.props.onOk(_this.state.delta);
    };

    _this.state = {
      delta: ''
    };
    return _this;
  }

  (0, _createClass3['default'])(FullEditor, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.initValue();
    }
  }, {
    key: 'initValue',
    value: function initValue() {
      this.setState({
        delta: this.props.initValue
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          visible = _props.visible,
          onCancel = _props.onCancel,
          onOk = _props.onOk,
          title = _props.title;


      return _react2['default'].createElement(
        _modal2['default'],
        {
          className: this.props.className,
          title: title,
          visible: visible || false,
          maskClosable: false,
          width: 800,
          closable: false
          // onCancel={this.props.onCancel}
          // onOk={this.handleOk}
          , footer: [_react2['default'].createElement(
            _button2['default'],
            { key: 'cancel', onClick: this.props.onCancel },
            this.props.cancelText ? this.props.cancelText : 'cancel'
          ), _react2['default'].createElement(
            _button2['default'],
            { key: 'save', type: 'primary', onClick: this.handleOk },
            this.props.okText ? this.props.okText : 'ok'
          )]
        },
        _react2['default'].createElement(TextArea, {
          className: 'full-edit-textarea',
          autoComplete: 'off',
          value: this.state.delta,
          style: { height: 297, width: '100%' },
          onChange: function onChange(e) {
            _this2.setState({ delta: e.target.value });
          }
        })
      );
    }
  }]);
  return FullEditor;
}(_react.Component);

exports['default'] = FullEditor;