'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

exports['default'] = function (props) {
  var html = '<img src=# onerror=alert(123); />';
  var _props$style = props.style,
      style = _props$style === undefined ? {} : _props$style,
      _props$className = props.className,
      className = _props$className === undefined ? '' : _props$className;


  return _react2['default'].createElement('span', {
    className: className
    // eslint-disable-next-line react/no-danger
    , dangerouslySetInnerHTML: {
      __html: '' + ((0, _sanitizeHtml2['default'])(props.html || '', (0, _extends3['default'])({}, _sanitizeOptions2['default'])) || '')
    },
    style: (0, _extends3['default'])({ display: 'inline-block' }, style)
  });
};

exports.getSanitizeHtml = getSanitizeHtml;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _sanitizeHtml = require('sanitize-html');

var _sanitizeHtml2 = _interopRequireDefault(_sanitizeHtml);

var _sanitizeOptions = require('./sanitizeOptions');

var _sanitizeOptions2 = _interopRequireDefault(_sanitizeOptions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

/* eslint-disable react/prop-types */
/* eslint-disable react/display-name */
/*
 * @Author: xiaoreya
 * @Date: 2022-05-05 11:35:59
 * @Description:
 */
function getSanitizeHtml(html) {
  return '' + ((0, _sanitizeHtml2['default'])(html || '', (0, _extends3['default'])({}, _sanitizeOptions2['default'])) || '');
}