'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var ACCESS_TOKEN = exports.ACCESS_TOKEN = 'access_token';
var TOKEN_TYPE = exports.TOKEN_TYPE = 'token_type';
var ACCESS_DOMAIN = exports.ACCESS_DOMAIN = 'domain';
var AUTH_HOST = exports.AUTH_HOST = '' + process.env.AUTH_HOST;

var cookieServer = '' + process.env.COOKIE_SERVER;

var clientId = window.location.hostname.replace(cookieServer, '').replace('.', '');

if (!clientId || clientId === 'v2') {
  clientId = 'yqcloud';
}

// cookieServer = `${clientId}.${cookieServer}`;

var COOKIE_SERVER = exports.COOKIE_SERVER = cookieServer;
var CLIENT_ID = exports.CLIENT_ID = clientId;
var CLIENT_TYPE = exports.CLIENT_TYPE = 'default';

var _href = window.location.href;
// _href.replace('state=1', '') // 去除已有的state=1,防止重复
_href = _href.replace(/&state=1/g, ''); // 去除已有的state=1,防止重复
_href = _href.replace(/state=1/g, ''); // 去除已有的state=1,防止重复
var urlArr = _href.split('?');
var url = urlArr[0] + '?state=1';
if (urlArr.length > 1) {
  url = urlArr[0] + '?state=1&' + urlArr[1];
}
// export const AUTH_URL = `${AUTH_HOST}/oauth/authorize?response_type=token&client_id=${CLIENT_ID}&client_type=${CLIENT_TYPE}&redirect_uri=${encodeURIComponent(window.location.href)}&state=`;
var AUTH_URL = exports.AUTH_URL = AUTH_HOST + '/oauth/authorize?response_type=token&client_id=' + CLIENT_ID + '&client_type=' + CLIENT_TYPE + '&redirect_uri=' + encodeURIComponent(url);
console.log('process.env.LOCAL ===>', process.env.LOCAL);
var LOCAL = exports.LOCAL = JSON.parse(process.env.LOCAL || 'true');
var HEADER_TITLE_NAME = exports.HEADER_TITLE_NAME = '' + (process.env.HEADER_TITLE_NAME || '燕千云');
var USE_DASHBOARD = exports.USE_DASHBOARD = JSON.parse(process.env.USE_DASHBOARD || 'false');

var SEARCH_TYPE = exports.SEARCH_TYPE = {
  ORDER: 'ORDER',
  KDB: 'KDB',
  QDB: 'QDB'
};