'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _style5 = require('yqcloud-ui/lib/dropdown/style');

var _dropdown = require('yqcloud-ui/lib/dropdown');

var _dropdown2 = _interopRequireDefault(_dropdown);

var _style6 = require('yqcloud-ui/lib/button/style');

var _button = require('yqcloud-ui/lib/button');

var _button2 = _interopRequireDefault(_button);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _style7 = require('yqcloud-ui/lib/icon/style');

var _icon = require('yqcloud-ui/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _style8 = require('yqcloud-ui/lib/menu/style');

var _menu = require('yqcloud-ui/lib/menu');

var _menu2 = _interopRequireDefault(_menu);

var _class;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _mobxReact = require('mobx-react');

var _permission = require('../permission');

var _permission2 = _interopRequireDefault(_permission);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Item = _menu2['default'].Item;

var Action = (0, _mobxReact.observer)(_class = function (_Component) {
  (0, _inherits3['default'])(Action, _Component);

  function Action() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3['default'])(this, Action);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3['default'])(this, (_ref = Action.__proto__ || Object.getPrototypeOf(Action)).call.apply(_ref, [this].concat(args))), _this), _this.state = {}, _this.handleClick = function (arg) {
      var action = arg.item.props.action;

      if (typeof action === 'function') {
        action();
      }
    }, _temp), (0, _possibleConstructorReturn3['default'])(_this, _ret);
  }

  (0, _createClass3['default'])(Action, [{
    key: 'getAllService',
    value: function getAllService(data) {
      return data.reduce(function (list, _ref2) {
        var _ref2$service = _ref2.service,
            service = _ref2$service === undefined ? [] : _ref2$service;
        return list.concat(service);
      }, []);
    }
  }, {
    key: 'renderMenu',
    value: function renderMenu(data) {
      var _this2 = this;

      return _react2['default'].createElement(
        _menu2['default'],
        { onClick: this.handleClick, style: { minWidth: 80 } },
        data.map(function (item) {
          return _this2.renderMenuItem(item);
        })
      );
    }
  }, {
    key: 'renderMenuItem',
    value: function renderMenuItem(_ref3) {
      var service = _ref3.service,
          text = _ref3.text,
          action = _ref3.action,
          icon = _ref3.icon;

      var item = _react2['default'].createElement(
        Item,
        { action: action },
        icon && _react2['default'].createElement(_icon2['default'], { type: icon }),
        text
      );
      return _react2['default'].createElement(
        _permission2['default'],
        {
          service: service,
          key: Math.random(),
          defaultChildren: (0, _react.cloneElement)(item, { style: { display: 'none' } })
        },
        item
      );
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          data = _props.data,
          placement = _props.placement,
          restProps = (0, _objectWithoutProperties3['default'])(_props, ['data', 'placement']);

      return _react2['default'].createElement(
        _permission2['default'],
        {
          service: this.getAllService(data)
        },
        _react2['default'].createElement(
          _dropdown2['default'],
          { overlay: this.renderMenu(data), trigger: ['click'], placement: placement },
          _react2['default'].createElement(_button2['default'], (0, _extends3['default'])({ size: 'small', shape: 'circle', style: { color: '#000' }, icon: 'more_vert' }, restProps))
        )
      );
    }
  }]);
  return Action;
}(_react.Component)) || _class;

exports['default'] = Action;