'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports['default'] = undefined;

var _style2 = require('yqcloud-ui/lib/button/style');

var _button = require('yqcloud-ui/lib/button');

var _button2 = _interopRequireDefault(_button);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require('react-router-dom');

var _mobxReact = require('mobx-react');

var _axios = require('../axios');

var _axios2 = _interopRequireDefault(_axios);

var _logo = require('./style/icons/logo-0811.svg');

var _logo2 = _interopRequireDefault(_logo);

var _common = require('../../common');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var prefixCls = 'header-logo';

var Logo = (_dec = (0, _mobxReact.inject)('AppState', 'MenuStore'), (0, _reactRouterDom.withRouter)(_class = _dec(_class = (0, _mobxReact.observer)(_class = function (_Component) {
  (0, _inherits3['default'])(Logo, _Component);

  function Logo(props) {
    (0, _classCallCheck3['default'])(this, Logo);

    var _this = (0, _possibleConstructorReturn3['default'])(this, (Logo.__proto__ || Object.getPrototypeOf(Logo)).call(this, props));

    _this.gitLogoUrl = function () {
      var AppState = _this.props.AppState;

      _axios2['default'].get('iam/v1/' + AppState.userInfo.currentOrganizationId + '/organizations').then(function (data) {
        _this.setState({
          orgInfo: data
        });
      });
    };

    _this.handleMenuClick = function () {
      var AppState = _this.props.AppState;

      AppState.setMenuExpanded(!AppState.getMenuExpanded);
    };

    _this.organizationId = _this.props.AppState.currentMenuType.id;
    _this.state = {};
    return _this;
  }

  (0, _createClass3['default'])(Logo, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      this.gitLogoUrl();
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          AppState = _props.AppState,
          MenuStore = _props.MenuStore,
          location = _props.location;
      var orgInfo = this.state.orgInfo;
      // const { pathname, search } = location;

      var menus = MenuStore.getMenuData;
      var homePath = '/';
      var _AppState$currentMenu = AppState.currentMenuType,
          type = _AppState$currentMenu.type,
          id = _AppState$currentMenu.id,
          name = _AppState$currentMenu.name,
          organizationId = _AppState$currentMenu.organizationId;

      if (type && type !== 'site') {
        homePath = homePath + '?type=' + type + '&id=' + id + '&name=' + name;
        // if (organizationId) {
        //   homePath += `&organizationId=${organizationId}`;
        // }
      }
      return _react2['default'].createElement(
        'div',
        { className: prefixCls + '-wrap' },
        menus.length ? _react2['default'].createElement(_button2['default'], { shape: 'circle', icon: 'caidan-daohangtubiao', className: prefixCls + '-menu-icon', onClick: this.handleMenuClick }) : _react2['default'].createElement('div', { className: prefixCls + '-icon' }),
        _react2['default'].createElement(_reactRouterDom.Link, { to: homePath, className: prefixCls, style: { backgroundImage: 'url(' + (orgInfo ? orgInfo.logoUrl ? orgInfo.logoUrl : _logo2['default'] : '') + ')' } })
      );
    }
  }]);
  return Logo;
}(_react.Component)) || _class) || _class) || _class);
exports['default'] = Logo;