'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports['default'] = undefined;

var _style6 = require('yqcloud-ui/lib/popover/style');

var _popover = require('yqcloud-ui/lib/popover');

var _popover2 = _interopRequireDefault(_popover);

var _style7 = require('yqcloud-ui/lib/divider/style');

var _divider = require('yqcloud-ui/lib/divider');

var _divider2 = _interopRequireDefault(_divider);

var _style8 = require('yqcloud-ui/lib/button/style');

var _button = require('yqcloud-ui/lib/button');

var _button2 = _interopRequireDefault(_button);

var _style9 = require('yqcloud-ui/lib/icon/style');

var _icon = require('yqcloud-ui/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _style10 = require('yqcloud-ui/lib/tooltip/style');

var _tooltip = require('yqcloud-ui/lib/tooltip');

var _tooltip2 = _interopRequireDefault(_tooltip);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _mobxReact = require('mobx-react');

var _reactRouterDom = require('react-router-dom');

var _reactIntl = require('react-intl');

var _Avatar = require('./Avatar');

var _Avatar2 = _interopRequireDefault(_Avatar);

var _findFirstLeafMenu2 = require('../util/findFirstLeafMenu');

var _findFirstLeafMenu3 = _interopRequireDefault(_findFirstLeafMenu2);

var _common = require('../../common');

var _Ellipsis = require('../../../components/Ellipsis');

var _Ellipsis2 = _interopRequireDefault(_Ellipsis);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var intlPrefix = 'organization.header';

var UserPreferences = (_dec = (0, _mobxReact.inject)('AppState', 'MenuStore', 'HeaderStore'), (0, _reactRouterDom.withRouter)(_class = _dec(_class = (0, _mobxReact.observer)(_class = function (_Component) {
  (0, _inherits3['default'])(UserPreferences, _Component);

  function UserPreferences() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3['default'])(this, UserPreferences);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3['default'])(this, (_ref = UserPreferences.__proto__ || Object.getPrototypeOf(UserPreferences)).call.apply(_ref, [this].concat(args))), _this), _this.preferences = function () {
      var _this$props = _this.props,
          MenuStore = _this$props.MenuStore,
          history = _this$props.history,
          HeaderStore = _this$props.HeaderStore;

      MenuStore.loadMenuData({ type: 'site' }, true).then(function (menus) {
        if (menus.length) {
          var _findFirstLeafMenu = (0, _findFirstLeafMenu3['default'])(menus[0]),
              route = _findFirstLeafMenu.route,
              domain = _findFirstLeafMenu.domain;

          (0, _common.historyPushMenu)(history, route + '?type=site', domain);
        }
      });
      HeaderStore.setUserPreferenceVisible(false);
    }, _this.handleVisibleChange = function (visible) {
      _this.props.HeaderStore.setUserPreferenceVisible(visible);
    }, _this.getNewAvatar = function (realName, loginName) {
      if ((realName || loginName).charAt(0).charCodeAt(0) > 96 && (realName || loginName).charAt(0).charCodeAt(0) < 123) {
        return _react2['default'].createElement(
          'span',
          { style: {
              borderRadius: '90px',
              display: 'inline-block',
              width: 40,
              height: 40,
              color: '#FFFFFF',
              fontSize: '20px',
              fontWeight: 'bold',
              lineHeight: '40px',
              background: '#EF7F25'
            }
          },
          (realName || loginName).charAt(0)
        );
      } else if ((realName || loginName).charAt(0).charCodeAt(0) > 64 && (realName || loginName).charAt(0).charCodeAt(0) < 91) {
        return _react2['default'].createElement(
          'span',
          { style: {
              borderRadius: '90px',
              display: 'inline-block',
              width: 40,
              height: 40,
              color: '#FFFFFF',
              fontSize: '20px',
              fontWeight: 'bold',
              lineHeight: '40px',
              background: '#EF7F25'
            }
          },
          (realName || loginName).charAt(0)
        );
      } else if ((realName || loginName).charAt(0).charCodeAt(0) > 47 && (realName || loginName).charAt(0).charCodeAt(0) < 58) {
        return _react2['default'].createElement(
          'span',
          { style: {
              borderRadius: '90px',
              display: 'inline-block',
              width: 40,
              height: 40,
              color: '#FFFFFF',
              fontSize: '23px',
              fontWeight: 'bold',
              lineHeight: '40px',
              background: '#3C4D73'
            }
          },
          (realName || loginName).charAt(0)
        );
      } else {
        return _react2['default'].createElement(
          'span',
          { style: {
              borderRadius: '90px',
              display: 'inline-block',
              width: 40,
              height: 40,
              color: '#FFFFFF',
              fontSize: '23px',
              fontWeight: 'bold',
              lineHeight: '40px',
              background: '#2196F3'
            }
          },
          (realName || loginName).charAt(0)
        );
      }
    }, _this.getNewAvatarS = function (realName, loginName) {
      if ((realName || loginName).charAt(0).charCodeAt(0) > 96 && (realName || loginName).charAt(0).charCodeAt(0) < 123) {
        return _react2['default'].createElement(
          'span',
          { style: {
              borderRadius: '90px',
              display: 'inline-block',
              width: 35,
              height: 35,
              color: '#FFFFFF',
              fontSize: '20px',
              fontWeight: 'bold',
              lineHeight: '35px',
              background: '#EF7F25'
            }
          },
          (realName || loginName).charAt(0)
        );
      } else if ((realName || loginName).charAt(0).charCodeAt(0) > 64 && (realName || loginName).charAt(0).charCodeAt(0) < 91) {
        return _react2['default'].createElement(
          'span',
          { style: {
              borderRadius: '90px',
              display: 'inline-block',
              width: 35,
              height: 35,
              color: '#FFFFFF',
              fontSize: '19px',
              fontWeight: 'bold',
              lineHeight: '35px',
              background: '#EF7F25'
            }
          },
          (realName || loginName).charAt(0)
        );
      } else if ((realName || loginName).charAt(0).charCodeAt(0) > 47 && (realName || loginName).charAt(0).charCodeAt(0) < 58) {
        return _react2['default'].createElement(
          'span',
          { style: {
              borderRadius: '90px',
              display: 'inline-block',
              width: 35,
              height: 35,
              color: '#FFFFFF',
              fontSize: '20px',
              fontWeight: 'bold',
              lineHeight: '35px',
              background: '#3C4D73'
            }
          },
          (realName || loginName).charAt(0)
        );
      } else {
        return _react2['default'].createElement(
          'span',
          { style: {
              borderRadius: '90px',
              display: 'inline-block',
              width: 35,
              height: 35,
              color: '#FFFFFF',
              fontSize: '20px',
              fontWeight: 'bold',
              lineHeight: '35px',
              background: '#2196F3'
            }
          },
          (realName || loginName).charAt(0)
        );
      }
    }, _temp), (0, _possibleConstructorReturn3['default'])(_this, _ret);
  }

  (0, _createClass3['default'])(UserPreferences, [{
    key: 'componentWillMount',
    value: function componentWillMount() {}
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      var history = this.props.history;

      if (window.location.href.split('#')[1].split('&')[1] === 'token_type=bearer') {
        history.push('/');
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          AppState = _props.AppState,
          HeaderStore = _props.HeaderStore;

      var _ref2 = AppState.getUserInfo || {},
          imageUrl = _ref2.imageUrl,
          loginName = _ref2.loginName,
          realName = _ref2.realName,
          email = _ref2.email;

      var emailText = AppState.userInfo.userEmailDOList && AppState.userInfo.userEmailDOList.length > 0 ? AppState.userInfo.userEmailDOList.find(function (v) {
        return v.isMain === 1;
      }) && AppState.userInfo.userEmailDOList.find(function (v) {
        return v.isMain === 1;
      }).emailName : '';
      var emailText_copy = AppState.userInfo.userEmailDOList && AppState.userInfo.userEmailDOList.length > 0 ? AppState.userInfo.userEmailDOList.find(function (v) {
        return v.isMain === 1;
      }) && AppState.userInfo.userEmailDOList.find(function (v) {
        return v.isMain === 1;
      }).emailName : '';
      // console.log(AppState.userInfo.userEmailDOList.find(v => v.isMain === 1) && AppState.userInfo.userEmailDOList.find(v => v.isMain === 1).emailName)
      if (emailText && emailText.length > 22) {
        emailText_copy = emailText_copy.slice(0, 21) + '...';
      } else {
        emailText = '';
        emailText_copy = '';
      }
      var AppBarIconRight = _react2['default'].createElement(
        'div',
        { className: 'user-preference-popover-content' },
        _react2['default'].createElement(
          _Avatar2['default'],
          { src: imageUrl, style: { width: 40, height: 40, fontSize: 25, marginTop: 12, marginLeft: 14, overflow: 'hidden' } },
          this.getNewAvatar(realName, loginName)
        ),
        _react2['default'].createElement(
          'div',
          { className: 'popover-title' },
          _react2['default'].createElement(
            _Ellipsis2['default'],
            { length: 10, tooltip: '' + (realName || loginName) },
            realName || loginName
          )
        ),
        _react2['default'].createElement(
          'div',
          { className: 'popover-text' },
          emailText && emailText.length > 22 ? _react2['default'].createElement(
            _tooltip2['default'],
            { overlayStyle: { zIndex: '1510' }, title: emailText },
            _react2['default'].createElement(
              'span',
              null,
              emailText_copy
            )
          ) : emailText
        ),
        _react2['default'].createElement(
          'div',
          { className: 'personUlBox' },
          _react2['default'].createElement(
            'ul',
            null,
            _react2['default'].createElement(
              'li',
              null,
              _react2['default'].createElement(
                _button2['default'],
                { style: { color: '#04173F' }, onClick: function onClick() {
                    return window.location.href = '#/iam/userinfo?type=site';
                  } },
                _react2['default'].createElement(_icon2['default'], { type: 'ure', style: { color: '#04173F', fontSize: 18 } }),
                '\xA0\xA0',
                HeaderStore.language[intlPrefix + '.user.info']
              )
            ),
            _react2['default'].createElement(
              'li',
              null,
              _react2['default'].createElement(
                _button2['default'],
                { style: { color: '#04173F' }, onClick: function onClick() {
                    return window.location.href = '#/iam/usermodifyPwd?type=site';
                  } },
                _react2['default'].createElement(_icon2['default'], { type: 'fuibc', style: { color: '#04173F', fontSize: 18 } }),
                '\xA0\xA0',
                HeaderStore.language[intlPrefix + '.change.password']
              )
            ),
            _react2['default'].createElement(
              'li',
              null,
              _react2['default'].createElement(
                _button2['default'],
                { style: { color: '#04173F' }, onClick: function onClick() {
                    return window.location.href = '#/iam/organizationinfo?type=site';
                  } },
                _react2['default'].createElement(_icon2['default'], { type: 'hybaj', style: { color: '#04173F', fontSize: 18 } }),
                '\xA0\xA0',
                HeaderStore.language[intlPrefix + '.organization.info']
              )
            ),
            _react2['default'].createElement(
              'li',
              null,
              _react2['default'].createElement(
                _button2['default'],
                { style: { color: '#04173F' }, onClick: function onClick() {
                    return window.location.href = '#/iam/msgReceiveSetting?type=site';
                  } },
                _react2['default'].createElement(_icon2['default'], { type: 'ianaj', style: { color: '#04173F', fontSize: 18 } }),
                '\xA0\xA0',
                HeaderStore.language[intlPrefix + '.notice.config']
              )
            )
          )
        ),
        _react2['default'].createElement(_divider2['default'], { style: { marginTop: 7, marginBottom: 0 } }),
        _react2['default'].createElement(
          'div',
          { className: 'popover-button-wrapper' },
          _react2['default'].createElement(
            _button2['default'],
            {
              style: { color: '#04173F', width: 260, height: 40, textAlign: 'left' },
              onClick: function onClick() {
                return (0, _common.logout)();
              }
            },
            _react2['default'].createElement(_icon2['default'], { type: 'exit_to_app', style: { color: '#04173F', fontSize: 18 } }),
            '\xA0\xA0',
            HeaderStore.language[intlPrefix + '.login.out']
          )
        )
      );
      return _react2['default'].createElement(
        _popover2['default'],
        {
          overlayClassName: 'user-preference-popover',
          content: AppBarIconRight,
          trigger: 'click',
          visible: HeaderStore.userPreferenceVisible,
          placement: 'bottomRight',
          onVisibleChange: this.handleVisibleChange
        },
        _react2['default'].createElement(
          _Avatar2['default'],
          { src: imageUrl, style: { width: 35, height: 35 } },
          this.getNewAvatarS(realName, loginName)
        )
      );
    }
  }]);
  return UserPreferences;
}(_react.Component)) || _class) || _class) || _class);
exports['default'] = UserPreferences;