'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports['default'] = undefined;

var _style3 = require('yqcloud-ui/lib/spin/style');

var _spin = require('yqcloud-ui/lib/spin');

var _spin2 = _interopRequireDefault(_spin);

var _style4 = require('yqcloud-ui/lib/icon/style');

var _icon = require('yqcloud-ui/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactIntl = require('react-intl');

var _mobxReact = require('mobx-react');

var _constants = require('../../common/constants');

var _Robot = require('./Robot');

var _Robot2 = _interopRequireDefault(_Robot);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var PageContent = (_dec = (0, _mobxReact.inject)('AppState'), (0, _reactIntl.injectIntl)(_class = _dec(_class = (0, _mobxReact.observer)(_class = function (_Component) {
  (0, _inherits3['default'])(PageContent, _Component);

  function PageContent() {
    (0, _classCallCheck3['default'])(this, PageContent);
    return (0, _possibleConstructorReturn3['default'])(this, (PageContent.__proto__ || Object.getPrototypeOf(PageContent)).apply(this, arguments));
  }

  (0, _createClass3['default'])(PageContent, [{
    key: 'render',
    value: function render() {
      var props = this.props;
      var className = props.className,
          code = props.code,
          children = props.children,
          style = props.style,
          _props$spinning = props.spinning,
          spinning = _props$spinning === undefined ? false : _props$spinning;

      var classString = (0, _classnames2['default'])('page-content', className);
      var title = props.title,
          description = props.description,
          link = props.link;

      if (code) {
        var intl = props.intl,
            currentMenuType = props.AppState.currentMenuType,
            values = props.values;
        var _currentMenuType$name = currentMenuType.name,
            name = _currentMenuType$name === undefined ? _constants.HEADER_TITLE_NAME : _currentMenuType$name;
        var messages = intl.messages;

        title = intl.formatMessage({ id: code + '.title' }, values || { name: name });
        description = intl.formatMessage({ id: code + '.description' });
        if (messages[code + '.link']) {
          link = intl.formatMessage({ id: code + '.link' });
        }
      }
      return _react2['default'].createElement(
        _spin2['default'],
        {
          size: 'large',
          wrapperClassName: 'content-spin',
          spinning: spinning
        },
        _react2['default'].createElement(
          'div',
          { className: classString, style: style },
          this.props.robot && _react2['default'].createElement(_Robot2['default'], null),
          (code || title || description) && _react2['default'].createElement(
            'div',
            { className: 'page-content-header' },
            _react2['default'].createElement(
              'div',
              { className: 'title' },
              title
            ),
            _react2['default'].createElement(
              'div',
              { className: 'description' },
              description,
              link && _react2['default'].createElement(
                'a',
                { href: link, target: '_blank', rel: 'noreferrer noopener' },
                _react2['default'].createElement(_reactIntl.FormattedMessage, { id: 'learnmore', defaultMessage: '\u4E86\u89E3\u66F4\u591A' }),
                _react2['default'].createElement(_icon2['default'], { type: 'open_in_new' })
              )
            )
          ),
          children
        )
      );
    }
  }]);
  return PageContent;
}(_react.Component)) || _class) || _class) || _class);
exports['default'] = PageContent;