'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports['default'] = undefined;

var _style3 = require('yqcloud-ui/lib/tooltip/style');

var _tooltip = require('yqcloud-ui/lib/tooltip');

var _tooltip2 = _interopRequireDefault(_tooltip);

var _style4 = require('yqcloud-ui/lib/button/style');

var _button = require('yqcloud-ui/lib/button');

var _button2 = _interopRequireDefault(_button);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _class2, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactRouterDom = require('react-router-dom');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactIntl = require('react-intl');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var PageHeader = (0, _reactRouterDom.withRouter)(_class = (_temp2 = _class2 = function (_Component) {
  (0, _inherits3['default'])(PageHeader, _Component);

  function PageHeader() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3['default'])(this, PageHeader);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3['default'])(this, (_ref = PageHeader.__proto__ || Object.getPrototypeOf(PageHeader)).call.apply(_ref, [this].concat(args))), _this), _this.onBackBtnClick = function () {
      if (_this.props.backPath === 'back') {
        _this.linkToBack();
      } else {
        _this.linkToChange(_this.props.backPath);
      }
    }, _this.linkToChange = function (url) {
      var history = _this.props.history;

      history.push(url);
    }, _this.linkToBack = function () {
      var history = _this.props.history;

      history.goBack();
    }, _temp), (0, _possibleConstructorReturn3['default'])(_this, _ret);
  }

  (0, _createClass3['default'])(PageHeader, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          title = _props.title,
          backPath = _props.backPath,
          children = _props.children,
          className = _props.className;

      var backBtn = '';
      if (backPath) {
        backBtn = _react2['default'].createElement(
          'div',
          null,
          _react2['default'].createElement(
            _tooltip2['default'],
            {
              title: _react2['default'].createElement(_reactIntl.FormattedMessage, { id: 'return' }),
              placement: 'bottom',
              getTooltipContainer: function getTooltipContainer(that) {
                return that;
              }
            },
            _react2['default'].createElement(_button2['default'], {
              type: 'primary',
              onClick: this.onBackBtnClick,
              className: 'back-btn small-tooltip',
              shape: 'circle',
              size: 'large',
              icon: 'arrow_back'
            })
          )
        );
      }
      return _react2['default'].createElement(
        'div',
        { className: (0, _classnames2['default'])('page-head', className) },
        backBtn,
        _react2['default'].createElement(
          'span',
          { className: 'page-head-title' },
          title
        ),
        children
      );
    }
  }]);
  return PageHeader;
}(_react.Component), _class2.propTypes = {
  backPath: _propTypes2['default'].string
}, _temp2)) || _class;

exports['default'] = PageHeader;