'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _style2 = require('yqcloud-ui/lib/spin/style');

var _spin = require('yqcloud-ui/lib/spin');

var _spin2 = _interopRequireDefault(_spin);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _permission = require('../permission');

var _permission2 = _interopRequireDefault(_permission);

var _ = require('../error-pages/403');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var spinStyle = {
  textAlign: 'center',
  paddingTop: 300
};

var defaultChildren = _react2['default'].createElement(
  'div',
  { style: spinStyle },
  _react2['default'].createElement(_spin2['default'], { size: 'large' })
);

var Page = function Page(_ref) {
  var className = _ref.className,
      service = _ref.service,
      onAccess = _ref.onAccess,
      props = (0, _objectWithoutProperties3['default'])(_ref, ['className', 'service', 'onAccess']);

  var classString = (0, _classnames2['default'])('page-container', className);
  var page = _react2['default'].createElement('div', (0, _extends3['default'])({}, props, { className: classString }));
  if (service && service.length) {
    return _react2['default'].createElement(
      _permission2['default'],
      {
        service: service,
        defaultChildren: defaultChildren,
        noAccessChildren: _react2['default'].createElement(_2['default'], null),
        onAccess: onAccess
      },
      page
    );
  } else {
    return page;
  }
};

exports['default'] = Page;