'use strict';

/**
 * 全文搜索国际化key值
 * create by Steven King at 2019.05.28
 */
module.exports = {
  prefix: 'organization.globalsearch.',
  key: ['matchScore', ' createAt', 'comprehensive', 'score', 'readCount', 'all', 'title', 'keyword', 'creator', 'content', 'category', 'knowledgeCode', 'organizationBelong', 'department', 'project', 'user', 'knowledgeBase', 'itsm', 'fuzzy', 'precise', 'searchField', 'knowledgeRange', 'knowledgeOrigin', 'searchType', 'publishDate', 'comeFrom', 'organization', 'ticketType', 'handlor', 'status', 'description', 'reason', 'solution', 'reply', 'noData', 'createAt', 'endAt', 'searchFocus', 'searchError', 'serviceOrder', 'filter', 'comefrom', 'questionBase', 'sameQuestion', 'expandAll', 'collapse', 'viewImage'],
  getLanguage: function getLanguage() {
    var _this = this;

    return this.key.map(function (item) {
      return _this.prefix + item;
    });
  }
};