"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
/*eslint-disable*/
var ja_JP = {
  "user.preferences": "preferences",
  "signOut": "signOut",
  "choose": "choose",
  "select": "select",
  "cancel": "cancel",

  "learnmore": "Learn More",
  "boot.signout": "SignOut",
  "boot.select": "Select",
  "boot.return": "Return",

  // operation
  "boot.operation": "Operation",
  "boot.add": "Add",
  "boot.create": "Create",
  "boot.edit": "Edit",
  "boot.modify": "Modify",
  "boot.delete": "Delete",
  "boot.remove": "Remove",
  "boot.confirm.delete": "Confirm Delete",
  "boot.cancel": "Cancel",
  "boot.refresh": "Refresh",
  "boot.detail": "Detail",
  "boot.enable": "Enable",
  "boot.disable": "Disable",

  // status
  // success
  "boot.operation.success": "Operation Success",
  "boot.create.success": "Create Success",
  "boot.modify.success": "Modify Success",
  "boot.delete.success": "Delete Success",
  "boot.remove.success": "Remove Success",
  "boot.enable.success": "Enable Success",
  "boot.disable.success": "Disabled Success",
  // error
  "boot.operation.error": "Operation Error",
  "boot.create.error": "Create Error",
  "boot.modify.error": "Modify Error",
  "boot.delete.error": "Delete Error",
  "boot.remove.error": "Remove Error",
  "boot.enabled.error": "Enabled Error",
  "boot.disable.error": "Disabled Error",

  'yes': 'Yes',
  'no': 'No',
  'save': 'Save',
  'close': 'Close',
  'stop': 'Stop',
  'restart': 'Restart',
  'upgrade': 'Upgrade',
  'signout': 'Sign out',
  'return': 'return',
  'filtertable': 'Filter table',
  'ok': 'OK',
  'all': 'All',
  'upload': 'Click to Upload Files',

  'day': 'Day',
  'hour': 'Hour',
  'minute': 'Minute',
  'second': 'Second',

  // operation
  'operation': 'operation',
  'add': 'add',
  'addnew': 'add new',
  'create': 'create',
  'edit': 'edit',
  'modify': 'modify',
  'delete': 'delete',
  'remove': 'remove',
  'confirm.delete': 'confirm delete',
  'refresh': 'refresh',
  'detail': 'detail',
  'enable': 'enable',
  'disable': 'disable',
  'effective': 'effective',
  'invalid': 'invalid',
  'expired': 'expired',
  'publish': 'publish',
  'unpublished': 'unpublished',
  'published': 'published',
  'preview': 'preview',

  // status
  // success
  'success': 'success',
  'operation.success': 'operation success',
  'add.success': 'add success',
  'create.success': 'create success',
  'modify.success': 'modify success',
  'save.success': 'save success',
  'delete.success': 'delete success',
  'remove.success': 'remove success',
  'enable.success': 'enable success',
  'disable.success': 'disable success',
  'effective.success': 'effective success',
  'invalid.success': 'invalid success',
  'publish.success': 'publish success',

  // error
  'error': 'error',
  'operation.error': 'operation error',
  'add.error': 'add error',
  'create.error': 'create error',
  'modify.error': 'modify error',
  'save.error': 'save error',
  'delete.error': 'delete error',
  'remove.error': 'remove error',
  'enabled.error': 'enabled error',
  'disable.error': 'disable error',
  'effective.error': 'effective error',
  'invalid.error': 'invalid error',
  'publish.error': 'publish error',

  // 统一字段
  'name': 'name',
  'code': 'code',
  'status': 'status',
  'level': 'level',
  'source': 'source',
  'type': 'type',

  //工作台主页面
  'organization.workbench.header.title': 'WorkBench',

  'invite.title': 'Agree to join the tenant',
  'invite.content1': '\'s tenant administrator',
  'invite.content2': 'invite your',
  'invite.content3': 'account join',
  'invite.time.msg': '（Invalidation expires 7 days after the date of issuance）',
  'invite.ok': 'Joined successfully',
  'invite.reject': 'Refusal of success',
  'agree': 'agree',
  'reject': 'reject',

  'announcement': 'Announcement',
  'calendar': 'Calendar',
  'myTask': 'my Task',
  'todoList': 'Todo List',
  'doneMatter': 'done',
  'report': 'report',
  'knowledge': 'knowledge',
  'latestKnowledge': 'Latest Knowledge',
  'popularKnowledge': 'Popular knowledge',

  // 布局设置
  'employee': 'employee',
  'department': 'department',
  'receiver': 'receivers',
  'receiverTooltip': 'Receiving person organization display: organization ID - upper level organization name - organization name, employee display: employee code - employee name',

  'organization.setting': 'setting',
  'organization.setting.layout': 'layout setting',

  'organization.setting.layout.header.title': 'layout setting',
  'organization.setting.layout.add': 'add application',
  // 'organization.setting.layout.table.tip': 'The default order of the table data is the layout order, which can be rearranged by dragging and dropping the layout order.',
  'organization.setting.layout.table.name': 'Module name',
  'organization.setting.layout.table.application': 'Attribution application',
  'organization.setting.layout.table.status': 'Status',
  'organization.setting.layout.table.action': 'Action',
  'organization.setting.layout.modify': 'modify module',
  'organization.setting.layout.create': 'select module',
  'organization.setting.layout.application': 'application',
  'organization.setting.layout.application.require.msg': 'Application must be selected, please select application',
  'organization.setting.layout.width': 'Horizontal length ratio',
  'organization.setting.layout.module': 'Select the module to display',
  'organization.setting.layout.module.require.msg': 'Module must be selected, please select module',
  'organization.setting.layout.preview': 'preview',
  // 'organization.setting.layout.cancel': 'are you sure ?',
  'organization.setting.layout.cancel.title': 'Form not submitted',
  'organization.setting.layout.cancel.content': 'Confirm return？',

  'form.cancel.title': 'Form not submitted',
  'form.cancel.content': 'Confirm return？',

  // 待办事项
  'organization.setting.todoList.key': 'number',
  'organization.setting.todoList.theme': 'theme',
  'organization.setting.todoList.applicant': 'applicant',
  'organization.setting.todoList.sourceFrom': 'sourceFrom',
  'organization.setting.todoList.priority': 'priority',
  'organization.setting.todoList.creationDate': 'creationDate',
  'organization.setting.todoList.lastUpdateDate': 'receiving time',
  'organization.setting.todoList.status': 'status',

  // 工作日历
  'organization.setting.calendar.create': 'create stroke',
  'organization.setting.calendar.modify': 'edit stroke',
  'organization.setting.calendar.theme': 'theme',
  'organization.setting.calendar.theme.require.msg': 'Please write down your theme',
  'organization.setting.calendar.content': 'content',
  'organization.setting.calendar.content.require.msg': 'Please fill in the content',
  'organization.setting.calendar.address': 'address',
  'organization.setting.calendar.address.require.msg': 'Please fill in the location',
  'organization.setting.calendar.startTime': 'begin Time',
  'organization.setting.calendar.time': 'time',
  'organization.setting.calendar.startTime.require.msg': 'Please select the start time',
  'organization.setting.calendar.endTime': 'end Time',
  'organization.setting.calendar.endTime.require.msg': 'Please select the end time',
  'organization.setting.calendar.reminder': 'reminder',
  'organization.setting.calendar.remindTime': 'remind Time',
  'organization.setting.calendar.remindTime.require.msg': 'Please select the remind time',
  'organization.setting.calendar.time.require.msg': 'Please select the travel time',
  'organization.setting.calendar.status': 'status',
  'organization.setting.calendar.create.Message': 'Please fill in the theme',
  'organization.setting.calendar.emailCheck': 'Unable to get user email, please go to personal information for maintenance before the trip begins.',
  'none': 'No reminder',
  'email': 'email',

  // 机器人
  'robot': 'robot',
  'new.order': 'new order',
  'robot.help': 'Not satisfied?',
  'intelligent.service': 'Intelligent customer service',
  'intelligent.welcome': 'Hi, you can ask me any questions~~ I am very happy to answer you!',
  'input.msg': 'Please write down your question',
  'send': 'send',
  'before': 'Before starting',
  'intelligent.service.clear.history': 'clear history',

  '5.min': '5 min',
  '15.min': '15 min',
  '30.min': '30 min',
  '1.hour': '1 hour',
  '2.hour': '2 hour',
  '1.day': '1 day',
  '2.day': '2 day',
  '1.week': '1 week',

  'password.minLength': 'Password length is at least',
  'password.maxLength': 'Password length is upto',
  'password.upcount': 'At least for a capital letter',
  'password.lowcount': 'At least for a lower-case letters',
  'password.msg': 'password can not equal with the userName',
  'password.regex': 'can not test regex',
  'password.characters': 'At least for special characters',

  'sign.out': 'sign out',
  'manage': 'Manage'
};

exports["default"] = ja_JP;