'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class, _desc, _value, _class2, _descriptor; /**
                                                        * Created by kaicheng.liu on 2018/9/26.
                                                        */

var _mobx = require('mobx');

var _store = require('../components/store');

var _store2 = _interopRequireDefault(_store);

var _axios = require('../components/axios');

var _axios2 = _interopRequireDefault(_axios);

var _languageStore = require('./language/languageStore');

var _languageStore2 = _interopRequireDefault(_languageStore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _initDefineProp(target, property, descriptor, context) {
  if (!descriptor) return;
  Object.defineProperty(target, property, {
    enumerable: descriptor.enumerable,
    configurable: descriptor.configurable,
    writable: descriptor.writable,
    value: descriptor.initializer ? descriptor.initializer.call(context) : void 0
  });
}

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

function _initializerWarningHelper(descriptor, context) {
  throw new Error('Decorating class property failed. Please ensure that transform-class-properties is enabled.');
}

var KnowledgeBaseStore = (_dec = (0, _store2['default'])('KnowledgeBaseStore'), _dec(_class = (_class2 = function (_LanguageStore) {
  (0, _inherits3['default'])(KnowledgeBaseStore, _LanguageStore);

  function KnowledgeBaseStore() {
    (0, _classCallCheck3['default'])(this, KnowledgeBaseStore);

    var _this = (0, _possibleConstructorReturn3['default'])(this, (KnowledgeBaseStore.__proto__ || Object.getPrototypeOf(KnowledgeBaseStore)).call(this, 'knowledge'));

    _initDefineProp(_this, 'isLoading', _descriptor, _this);

    _this.loadKnowledge = function (iamOrganizationId, operation) {
      return _axios2['default'].get('km/v1/' + iamOrganizationId + '/knowledge/focus?operation=' + operation);
    };

    _this.updateReadCount = function (iamOrganizationId, knowledgeId) {
      return _axios2['default'].put('km/v1/' + iamOrganizationId + '/statistics/' + knowledgeId);
    };

    return _this;
  }

  (0, _createClass3['default'])(KnowledgeBaseStore, [{
    key: 'setIsLoading',
    value: function setIsLoading(flag) {
      this.isLoading = flag;
    }
  }, {
    key: 'getIsLoading',
    get: function get() {
      return this.isLoading;
    }

    /* 获取最热知识和最新知识20条 */


    /* 更新阅读量 */

  }]);
  return KnowledgeBaseStore;
}(_languageStore2['default']), (_descriptor = _applyDecoratedDescriptor(_class2.prototype, 'isLoading', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return false;
  }
}), _applyDecoratedDescriptor(_class2.prototype, 'setIsLoading', [_mobx.action], Object.getOwnPropertyDescriptor(_class2.prototype, 'setIsLoading'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'getIsLoading', [_mobx.computed], Object.getOwnPropertyDescriptor(_class2.prototype, 'getIsLoading'), _class2.prototype)), _class2)) || _class);


var knowledgeBaseStore = new KnowledgeBaseStore();

exports['default'] = knowledgeBaseStore;