'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class, _desc, _value, _class2, _descriptor; /**
                                                        * Created by kaicheng.liu on 2019/02/21.
                                                        * 用于存储一些通用的数据
                                                        */

var _mobx = require('mobx');

var _store = require('../components/store');

var _store2 = _interopRequireDefault(_store);

var _languageStore = require('./language/languageStore');

var _languageStore2 = _interopRequireDefault(_languageStore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _initDefineProp(target, property, descriptor, context) {
  if (!descriptor) return;
  Object.defineProperty(target, property, {
    enumerable: descriptor.enumerable,
    configurable: descriptor.configurable,
    writable: descriptor.writable,
    value: descriptor.initializer ? descriptor.initializer.call(context) : void 0
  });
}

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

function _initializerWarningHelper(descriptor, context) {
  throw new Error('Decorating class property failed. Please ensure that transform-class-properties is enabled.');
}

var UtilStore = (_dec = (0, _store2['default'])('UtilStore'), _dec(_class = (_class2 = function (_LanguageStore) {
  (0, _inherits3['default'])(UtilStore, _LanguageStore);

  function UtilStore() {
    (0, _classCallCheck3['default'])(this, UtilStore);

    var _this = (0, _possibleConstructorReturn3['default'])(this, (UtilStore.__proto__ || Object.getPrototypeOf(UtilStore)).call(this, 'util'));

    _initDefineProp(_this, 'backgroundUrl', _descriptor, _this);

    return _this;
  }

  (0, _createClass3['default'])(UtilStore, [{
    key: 'setBackgroundUrl',
    value: function setBackgroundUrl(flag) {
      this.backgroundUrl = flag;
    }
  }, {
    key: 'getBackgroundUrl',
    get: function get() {
      return this.backgroundUrl;
    }
  }]);
  return UtilStore;
}(_languageStore2['default']), (_descriptor = _applyDecoratedDescriptor(_class2.prototype, 'backgroundUrl', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return '';
  }
}), _applyDecoratedDescriptor(_class2.prototype, 'setBackgroundUrl', [_mobx.action], Object.getOwnPropertyDescriptor(_class2.prototype, 'setBackgroundUrl'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'getBackgroundUrl', [_mobx.computed], Object.getOwnPropertyDescriptor(_class2.prototype, 'getBackgroundUrl'), _class2.prototype)), _class2)) || _class);


var utilStore = new UtilStore();

exports['default'] = utilStore;