'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/*eslint-disable*/
var zh_CN = {
  'common': {
    "yes": '',
    "no": '',
    "save": '',
    "close": '',
    "stop": '',
    "restart": '',
    "upgrade": '',
    "learnmore": '',
    "signout": '',
    "select": '',
    "return": '',
    "filtertable": '',
    "ok": '',
    "all": '',
    "valid": '',

    "day": '',
    "hour": '',
    "minute": '',
    "second": '',

    "operation": '',
    "add": '',
    "addnew": '',
    "new": '',
    "create": '',
    "edit": '',
    "modify": '',
    "delete": '',
    "remove": '',
    "confirm.delete": '',
    "confirm.delete.tip": '',
    "confirm": '',
    "cancel": '',
    "refresh": '',
    "detail": '',
    "enable": '',
    "effective": '',
    "invalid": '',
    "disable": '',
    "expired": '',
    "publish": '',
    "unpublished": '',
    "published": '',
    "reviewing": '',
    "reviewed": '',
    "upload": '',
    "preview": '',
    "reload": '',
    "warning": '',
    "republish": '',
    "success": '',
    "operation.success": '',
    "add.success": '',
    "create.success": '',
    "modify.success": '',
    "save.success": '',
    "delete.success": '',
    "remove.success": '',
    "enable.success": '',
    "disable.success": '',
    "effective.success": '',
    "invalid.success": '',
    "publish.success": '',
    "comment.success": '',
    "reply.success": '',
    "collect.success": '',
    "submit.success": '',
    "error": '',
    "operation.error": '',
    "add.error": '',
    "create.error": '',
    "modify.error": '',
    "save.error": '',
    "delete.error": '',
    "remove.error": '',
    "enabled.error": '',
    "disable.error": '',
    "effective.error": '',
    "invalid.error": '',
    "publish.error": '',
    "comment.error": '',
    "reply.error": '',
    "collect.error": '',
    // 平台
    'announcement': '',
    'calendar': '',
    'myTask': '',
    'todoList': '',
    'process': '',
    'approval': '',
    'doneMatter': '',
    'report': '',
    'knowledge': '',
    'latestKnowledge': '',
    'popularKnowledge': '',
    'form.cancel.title': '',
    'form.cancel.content': '',
    'robot': '',
    'new.order': '',
    'intelligent.service': '',
    'input.msg': '',
    'send': '',
    'before': '',
    'robot.help': '',
    'intelligent.service.clear.history': '',
    'homepage': '',
    'notice': '通知',
    'open': '打开'
  },
  // 组件语言
  'util': {
    'robot': '',
    'new.order': '',
    'intelligent.service': '',
    'intelligent.welcome': '',
    'input.msg': '',
    'send': '',
    'before': '',
    'robot.help': '',
    'intelligent.service.clear.history': '',
    'robot.knowledge': '${}的相关知识',
    'robot.order': '${}的相关服务单',
    'robot.content': '${}的相关内容',
    'robot.broken': '机器人瘫痪啦！！！',
    'robot.input': '请输入内容...',
    'robot.have.sensitive': '发送内容包含敏感信息，请调整后再发'

  },
  // 代办事项
  'task': {
    'organization.setting.todoList.key': '',
    'organization.setting.todoList.theme': '',
    'organization.setting.todoList.applicant': '',
    'organization.setting.todoList.submitter': '',
    'organization.setting.todoList.sourceFrom': '',
    'organization.setting.todoList.priority': '',
    'organization.setting.todoList.creationDate': '',
    'organization.setting.todoList.lastUpdateDate': '',
    'organization.setting.todoList.status': '',
    'organization.globalsearch.noData': '',
    'invite.title': '',
    'invite.content1': '',
    'invite.content2': '',
    'invite.content3': '',
    'invite.time.msg': '',
    'invite.ok': '',
    'invite.reject': '',
    'agree': '',
    'reject': '',
    'boot.refresh': ''
  },
  'myCalendar': {
    // 工作日历
    'organization.setting.calendar.create': '',
    'organization.setting.calendar.editTodo': '',
    'organization.setting.calendar.modify': '',
    'organization.setting.calendar.theme': '',
    'organization.setting.calendar.theme.require.msg': '',
    'organization.setting.calendar.content': '',
    'organization.setting.calendar.content.require.msg': '',
    'organization.setting.calendar.address': '',
    'organization.setting.calendar.address.require.msg': '',
    'organization.setting.calendar.time': '',
    'organization.setting.calendar.startTime': '',
    'organization.setting.calendar.startTime.require.msg': '',
    'organization.setting.calendar.endTime': '',
    'organization.setting.calendar.endTime.require.msg': '',
    'organization.setting.calendar.reminder': '',
    'organization.setting.calendar.remindTime': '',
    'organization.setting.calendar.remindTime.require.msg': '',
    'organization.setting.calendar.time.require.msg': '',
    'organization.setting.calendar.status': '',
    'organization.setting.calendar.create.Message': '',
    'organization.setting.calendar.emailCheck': '',
    'organization.setting.calendar.create.quickly': '',
    'organization.setting.calendar.todo': '',
    'organization.setting.calendar.done': '',
    'organization.setting.calendar.type': '类型',
    'organization.setting.calendar.typeTips': '请选择类型',
    'none': '',
    'email': '',
    '5.min': '',
    '15.min': '',
    '30.min': '',
    '1.hour': '',
    '2.hour': '',
    '1.day': '',
    '2.day': '',
    '1.week': '',
    'organization.setting.calendar.full.edit': ''
  },
  'announcement': {},
  'bootHeader': {
    'organization.header.inbox.from': '',
    'organization.header.inbox.noMessage': '',
    'organization.header.inbox.messageResSetting': '',
    'organization.header.inbox.allChangeRead': '',
    'organization.header.inbox.seeAll': '',

    'organization.header.user.personalMessage': '',
    'organization.header.user.changePassword': '',
    'organization.header.user.organizationMessage': '',
    'organization.header.user.noticeMsgList': '',
    'organization.header.user.noticeResSetting': '',
    'organization.header.from.source': '来源于',
    'organization.header.station.noMessage': '暂时没有站内消息',
    'organization.header.message.acceptSetting': '消息接受设置',
    'organization.header.all.tagsReads': '全部标记已读',
    'organization.header.missionName': '任务名称',
    'organization.header.creationDate': '创建时间',
    'organization.header.missionTypeCode': '任务类型',
    'organization.header.missionStatusCode': '状态',
    'organization.header.downloadTimes': '下载次数',
    'organization.header.taskCenter.list': '任务中心列表',
    'organization.header.file.delete': '文件7日内有效，逾期自动删除',
    'organization.header.not.tagsReads': '查看未读',
    'organization.header.organization': '租户',
    'organization.header.organization.all': '所有租户',
    'organization.header.organization.null': '无租户',
    'organization.header.organization.name': '名称',
    'organization.header.organization.code': '编码',
    'organization.header.organization.type': '类型',
    'organization.header.organization.role.msg': '您还没有在任何租户中被分配角色',
    'organization.header.organization.null.record': '您没有最近浏览记录',
    'organization.header.select.project': '选择项目',
    'organization.header.organization.recent': '最近',
    'organization.header.search.organization': '最近',
    'organization.header.user.info': '个人信息',
    'organization.header.change.password': '修改密码',
    'organization.header.organization.info': '租户信息',
    'organization.header.notice.list': '消息通知列表',
    'organization.header.notice.config': '消息接收设置',
    'organization.header.login.out': '退出登录',
    'organization.header.portal.enter': '服务门户',

    'organization.header.notice.search': '搜索',
    'organization.header.notice.allNotice': '全部通知',
    'organization.header.notice.unReadNotice': '未读通知',
    'organization.header.notice.sourceSystem.all': '全部',
    'organization.header.notice.sourceSystem.ITSM': '服务管理',
    'organization.header.notice.sourceSystem.KB': '知识中心',
    'organization.header.notice.sourceSystem.WF': '工作流',
    'organization.header.notice.sourceSystem.SYSTEM': '系统',
    'organization.header.notice.systemAdmin': '系统管理员',
    'organization.header.notice.null': '无',
    'organization.header.notice.confirm.delete': '确定要删除吗？',
    'organization.header.notice.founder': '创建人',
    'organization.header.notice.creationDate': '创建时间',
    'organization.header.notice.organizationName': '租户',
    'organization.header.notice.projectName': '项目',
    'organization.header.notice.please.click': '请点击',
    'organization.header.notice.here': '此处',
    'organization.header.notice.dateYear': '年前',
    'organization.header.notice.dateMonth': '个月前',
    'organization.header.notice.dateWeek': '周前',
    'organization.header.notice.dateDay': '天前',
    'organization.header.notice.dateHour': '小时前',
    'organization.header.notice.dateMinutes': '分钟前',
    'organization.header.notice.dateNow': '刚刚',
    'organization.header.notice.clickMore': '点击加载更多',
    'organization.header.notice.noMore': '暂无更多',

    'organization.header.tipsTop': '使用当前浏览器，无法享受最佳体验，建议更换Chrome或火狐浏览器',
    'portal.layout.announcement': '',
    'common.attachment': ''
  },

  // 搜索
  'searchBox': {
    'organization.searchBox.knowledgeSearch': '在知识库中搜索',
    'organization.searchBox.QuestionsSearch': '在问答库中搜索',
    'organization.searchBox.serviceSearch': '在服务单中搜索',
    'organization.searchBox.NewlyBuildSearch': '新建服务单',
    'organization.searchBox.knowledge': '知识库',
    'organization.searchBox.Questions': '问答库',
    'organization.searchBox.service': '服务单',
    'organization.searchBox.serviceCatalog': '服务目录'
  },

  // 项目数量
  'ProjectService': {
    'portal.projectList.title': '',
    'portal.projectList.table.my': '',
    'portal.projectList.table.pending': '',
    'portal.projectList.table.shelters': '',
    'portal.projectList.calender': '',
    'organization.globalsearch.noData': ''
  }
};
exports['default'] = zh_CN;