'use strict';

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _class;

var auth = function () {
  var _ref = (0, _asyncToGenerator3['default'])( /*#__PURE__*/_regenerator2['default'].mark(function _callee() {
    var _queryString$parse, accessToken, tokenType, expiresIn, _url, url, theRequest, str, strs, i;

    return _regenerator2['default'].wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            // // url参数对象集
            // const urlData = queryString.parse(window.location.href.split('?')[1]);

            // const {
            //   access_token: accessToken,
            //   token_type: tokenType,
            //   expires_in: expiresIn,
            // } = urlData;

            // if (accessToken) {
            //   setAccessToken(accessToken, tokenType, expiresIn);

            //   delete urlData.access_token;
            //   delete urlData.token_type;
            //   delete urlData.expires_in;
            //   delete urlData.state;
            //   delete urlData.scope;

            //   let nextUrl = window.location.href.split('?')[0];

            //   Object.keys(urlData).forEach((key, index) => {
            //     if (index === 0) {
            //       nextUrl = `${nextUrl}?${key}=${urlData[key]}`;
            //     } else {
            //       nextUrl = `${nextUrl}&${key}=${urlData[key]}`;
            //     }
            //   });

            //   window.location.href = nextUrl;

            _queryString$parse = _queryString2['default'].parse(window.location.hash), accessToken = _queryString$parse.access_token, tokenType = _queryString$parse.token_type, expiresIn = _queryString$parse.expires_in;

            console.log('url accessToken == ', accessToken);

            if (!accessToken) {
              _context.next = 9;
              break;
            }

            // console.log('url has token and set to cookie')
            (0, _index3.setAccessToken)(accessToken, tokenType, expiresIn);
            _url = window.location.href;

            if (window.location.href.indexOf('&access_token') !== -1) {
              console.log('&access_token == ');
              _url = _url.split('&access_token')[0];
            } else if (window.location.href.indexOf('#access_token') !== -1) {
              _url = _url.split('#access_token')[0];
              console.log('#access_token == ');
            } else if (window.location.href.indexOf('#/access_token') !== -1) {
              _url = _url.split('#/access_token')[0];
              console.log('#/access_token == ');
            }
            window.location.href = _url;
            // window.location.href = window.location.href.split('access_token');
            _context.next = 12;
            break;

          case 9:
            if ((0, _index3.getAccessToken)()) {
              _context.next = 12;
              break;
            }

            // console.log('url no token and login')
            (0, _index3.authorize)();
            return _context.abrupt('return', false);

          case 12:
            url = window.location.hash;
            theRequest = {};


            if (url.indexOf('?') !== -1) {
              str = url.substr(1);
              strs = str.split('&');

              for (i = 0; i < strs.length; i += 1) {
                theRequest[strs[i].split('=')[0]] = unescape(strs[i].split('=')[1]);
              }
            }

            if (!theRequest.id) {
              _context.next = 23;
              break;
            }

            _context.t0 = _AppState2['default'];
            _context.next = 19;
            return _AppState2['default'].loadUserInfoByOrganizationId(theRequest.id);

          case 19:
            _context.t1 = _context.sent;

            _context.t0.setUserInfo.call(_context.t0, _context.t1);

            _context.next = 28;
            break;

          case 23:
            _context.t2 = _AppState2['default'];
            _context.next = 26;
            return _AppState2['default'].loadUserInfo();

          case 26:
            _context.t3 = _context.sent;

            _context.t2.setUserInfo.call(_context.t2, _context.t3);

          case 28:
            return _context.abrupt('return', true);

          case 29:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  return function auth() {
    return _ref.apply(this, arguments);
  };
}();

require('babel-polyfill');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactRouterDom = require('react-router-dom');

var _history = require('history');

var _mobx = require('mobx');

var _mobxReact = require('mobx-react');

var _queryString = require('query-string');

var _queryString2 = _interopRequireDefault(_queryString);

var _index = require('../lib/containers/stores/index');

var _index2 = _interopRequireDefault(_index);

var _AppState = require('../lib/containers/stores/AppState');

var _AppState2 = _interopRequireDefault(_AppState);

var _asyncRouter = require('../lib/containers/components/util/asyncRouter');

var _asyncRouter2 = _interopRequireDefault(_asyncRouter);

var _asyncLocaleProvider = require('../lib/containers/components/util/asyncLocaleProvider');

var _asyncLocaleProvider2 = _interopRequireDefault(_asyncLocaleProvider);

var _index3 = require('../lib/containers/common/index');

require('../lib/containers/components/style/index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var UILocaleProviderAsync = (0, _asyncRouter2['default'])(function () {
  return import('yqcloud-ui/lib/locale-provider');
}, {
  locale: function locale() {
    return import('yqcloud-ui/lib/locale-provider/' + _AppState2['default'].currentLanguage + '.js');
  }
});

// Master组件通过动态引入routesPath实现页面路由注入
var Masters = (0, _asyncRouter2['default'])(function () {
  return import('../lib/containers/components/master');
}, {
  AutoRouter: function AutoRouter() {
    return import('{{ routesPath }}');
  }
});

var App = (0, _mobxReact.observer)(_class = function (_Component) {
  (0, _inherits3['default'])(App, _Component);

  function App() {
    (0, _classCallCheck3['default'])(this, App);
    return (0, _possibleConstructorReturn3['default'])(this, (App.__proto__ || Object.getPrototypeOf(App)).apply(this, arguments));
  }

  (0, _createClass3['default'])(App, [{
    key: 'render',
    value: function render() {
      var langauge = _AppState2['default'].currentLanguage;
      // 多语言的高阶组件
      var IntlProviderAsync = (0, _asyncLocaleProvider2['default'])(langauge, function () {
        return import('../lib/containers/locale/' + langauge);
      }, function () {
        return import('react-intl/locale-data/' + langauge.split('_')[0]);
      });
      return _react2['default'].createElement(
        UILocaleProviderAsync,
        null,
        _react2['default'].createElement(
          IntlProviderAsync,
          null,
          _react2['default'].createElement(
            _mobxReact.Provider,
            _index2['default'],
            _react2['default'].createElement(
              'div',
              null,
              _react2['default'].createElement(
                _reactRouterDom.HashRouter,
                { hashHistory: _history.createBrowserHistory },
                _react2['default'].createElement(
                  _reactRouterDom.Switch,
                  null,
                  _react2['default'].createElement(_reactRouterDom.Route, { path: '/', component: Masters })
                )
              )
            )
          )
        )
      );
    }
  }]);
  return App;
}(_react.Component)) || _class;

if (auth()) {
  (0, _mobx.configure)({ enforceActions: true });

  (0, _reactDom.render)(_react2['default'].createElement(App, null), document.getElementById('app'));
}