'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports['default'] = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

require('babel-polyfill');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require('react-router-dom');

var _index = require('../lib/containers/components/index');

var _asyncRouter = require('../lib/containers/components/util/asyncRouter');

var _asyncRouter2 = _interopRequireDefault(_asyncRouter);

var _portal = require('../lib/containers/components/portal');

var _portal2 = _interopRequireDefault(_portal);

var _globalSearch = require('../lib/containers/components/globalSearch');

var _globalSearch2 = _interopRequireDefault(_globalSearch);

var _preview = require('../lib/containers/components/preview');

var _preview2 = _interopRequireDefault(_preview);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function createRoute(path, component) {
  return _react2['default'].createElement(_reactRouterDom.Route, { path: path, component: (0, _asyncRouter2['default'])(component) });
}

// const Home = asyncRouter(
//   () => import('../lib/containers/components/portal'),
//   PortalStore,
// );

// const Search = asyncRouter(
//   () => import('../lib/containers/components/globalSearch'),
//   GlobalSearchStore
// )

var AutoRouter = function (_Component) {
  (0, _inherits3['default'])(AutoRouter, _Component);

  function AutoRouter() {
    (0, _classCallCheck3['default'])(this, AutoRouter);
    return (0, _possibleConstructorReturn3['default'])(this, (AutoRouter.__proto__ || Object.getPrototypeOf(AutoRouter)).apply(this, arguments));
  }

  (0, _createClass3['default'])(AutoRouter, [{
    key: 'render',
    value: function render() {
      return _react2['default'].createElement(
        _reactRouterDom.Switch,
        null,
        _react2['default'].createElement(_reactRouterDom.Route, { exact: true, path: '/', component: _portal2['default'] }),
        _react2['default'].createElement(_reactRouterDom.Route, { path: '/search', component: _globalSearch2['default'] }),
        _react2['default'].createElement(_reactRouterDom.Route, { path: '/preview', component: _preview2['default'] }),
        {{ routes }},
        _react2['default'].createElement(_reactRouterDom.Route, { path: '*', component: _index.nomatch })
      );
    }
  }]);
  return AutoRouter;
}(_react.Component);

exports['default'] = AutoRouter;